var xindex = [["COMMON-LISP____DEFUN","Defun","DEFUN",[59,111],"Define a function symbol"],
 ["ACL2____WORLD","World","WORLD",[5],"ACL2 property lists and the ACL2 logical database"],
 ["ACL2____THEORIES","Theories","THEORIES",[590],"Sets of <see topic=\"ACL2____RUNE\">rune</see>s to <see topic=\"ACL2____ENABLE\">enable</see>/<see topic=\"ACL2____DISABLE\">disable</see> in concert"],
 ["ACL2____TABLE","Table","TABLE",[59],"User-managed tables"],
 ["ACL2____STOBJ","Stobj","STOBJ",[111],"Single-threaded objects or ``von Neumann bottlenecks''"],
 ["ACL2____STATE","State","STATE",[111],"The von Neumannesque ACL2 state object"],
 ["ACL2____RUNE","Rune","RUNE",[2],"A rule name"],
 ["ACL2____RULE-CLASSES","Rule-classes","RULE-CLASSES",[590],"Adding rules to the database"],
 ["ACL2____REWRITE","Rewrite","REWRITE",[7],"Make some <v>:rewrite</v> rules (possibly conditional ones)"],
 ["ACL2____MAKE-EVENT","Make-event","MAKE-EVENT",[59,708],"Evaluate (expand) a given form and then evaluate the result"],
 ["ACL2____LD","Ld","LD",[484],"The ACL2 read-eval-print loop, file loader, and <see topic=\"ACL2____COMMAND\">command</see> processor"],
 ["ACL2____IO","Io","IO",[1072,5,111],"Input/output facilities in ACL2"],
 ["ACL2____INTRODUCTION-TO-THE-THEOREM-PROVER","Introduction-to-the-theorem-prover","INTRODUCTION-TO-THE-THEOREM-PROVER",[320],"How the theorem prover works -- level 0"],
 ["ACL2____INCLUDE-BOOK","Include-book","INCLUDE-BOOK",[840,991,59],"Load the <see topic=\"ACL2____EVENTS\">events</see> in a file"],
 ["ACL2____HINTS","Hints","HINTS",[484],"Advice to the theorem proving process"],
 ["ACL2____FORCE","Force","FORCE",[8,19,24,26,23],"Identity function used to force a hypothesis"],
 ["ACL2____ENCAPSULATE","Encapsulate","ENCAPSULATE",[59],"Hide some <see topic=\"ACL2____EVENTS\">events</see> and/or constrain some functions"],
 ["ACL2____CERTIFY-BOOK","Certify-book","CERTIFY-BOOK",[840,991],"How to produce a <see topic=\"ACL2____CERTIFICATE\">certificate</see> for a book"],
 ["ACL2____DEFUN-MODE","Defun-mode","DEFUN-MODE",[0],"Determines whether a function definition is a logical act"],
 ["ACL2____LINEAR","Linear","LINEAR",[7],"Make some arithmetic inequality rules"],
 ["ACL2____DEFTTAG","Defttag","DEFTTAG",[1072,59],"Introduce a trust tag (ttag)"],
 ["COMMON-LISP____DOCUMENTATION","Documentation","DOCUMENTATION",[590],"Information about options for downloading and viewing the ACL2 \u000A documentation, contributing documentation, and the available tools for \u000A documenting your own books."],
 ["ACL2____XARGS","Xargs","XARGS",[0,27],"Extra arguments, for example to give <see topic=\"ACL2____HINTS\">hints</see> to <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>"],
 ["ACL2____META","Meta","META",[7],"Make a <v>:meta</v> rule (a hand-written simplifier)"],
 ["ACL2____TYPE-PRESCRIPTION","Type-prescription","TYPE-PRESCRIPTION",[7],"Make a rule that specifies the type of a term"],
 ["ACL2____DEFPKG","Defpkg","DEFPKG",[59,632,111],"Define a new symbol package"],
 ["ACL2____DEFINITION","Definition","DEFINITION",[7],"Make a rule that acts like a function definition"],
 ["COMMON-LISP____DECLARE","Declare","DECLARE",[111,117],"Extra declarations that can occur in function definitions, <see topic=\"COMMON-LISP____LET\">let</see> \u000A  bindings, and so forth."],
 ["ACL2____CERTIFICATE","Certificate","CERTIFICATE",[991],"How a book is known to be admissible and where its <tt><see topic=\"ACL2____DEFPKG\">defpkg</see></tt>s reside"],
 ["ACL2____TERM","Term","TERM",[484],"The three senses of well-formed ACL2 expressions or formulas"],
 ["ACL2____BOOKS","Books","BOOKS",[590,1134],"<i>Books</i> are files of ACL2 <see topic=\"ACL2____EVENTS\">events</see>&mdash;they are the main \u000Away to split up large ACL2 developments into separate modules."],
 ["ACL2____WORMHOLE","Wormhole","WORMHOLE",[5,10],"<tt><see topic=\"ACL2____LD\">ld</see></tt> without <tt><see topic=\"ACL2____STATE\">state</see></tt> &mdash; a short-cut to a parallel universe"],
 ["ACL2____DEFSTOBJ","Defstobj","DEFSTOBJ",[59,4],"Define a new single-threaded object"],
 ["ACL2____BREAK-REWRITE","Break-rewrite","BREAK-REWRITE",[485],"The read-eval-print loop entered to <see topic=\"ACL2____MONITOR\">monitor</see> rules"],
 ["ACL2____ACL2-DEFAULTS-TABLE","ACL2-defaults-table","ACL2-DEFAULTS-TABLE",[3],"A <see topic=\"ACL2____TABLE\">table</see> specifying certain defaults, e.g., the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>"],
 ["ACL2____VERIFY-GUARDS","Verify-guards","VERIFY-GUARDS",[59,81],"Verify the <see topic=\"ACL2____GUARD\">guard</see>s of a function"],
 ["ACL2____MEMOIZE","Memoize","MEMOIZE",[111,66,59],"Turn on memoization for a specified function"],
 ["ACL2____ARRAYS","Arrays","ARRAYS",[111],"ACL2 arrays and operations on them"],
 ["ACL2____FMT","Fmt","FMT",[11,117],"Formatted printing"],
 ["ACL2____SIGNATURE","Signature","SIGNATURE",[16],"How to specify the arity of a constrained function"],
 ["COMMON-LISP____LET","Let","LET",[548,117],"Binding of lexically scoped (local) variables"],
 ["ACL2____TAU-SYSTEM","Tau-system","TAU-SYSTEM",[7],"Make a rule for the ACL2 ``type checker''"],
 ["ACL2____TRACE_42","Trace$","TRACE$",[468],"Trace function evaluations"],
 ["ACL2____PROGRAMMING-WITH-STATE","Programming-with-state","PROGRAMMING-WITH-STATE",[5,111],"Programming using the von Neumannesque ACL2 <see topic=\"ACL2____STATE\">state</see> object"],
 ["ACL2____CHARACTERS","Characters","CHARACTERS",[111],"Characters in ACL2 and operations on them"],
 ["ACL2____SET-GUARD-CHECKING","Set-guard-checking","SET-GUARD-CHECKING",[81],"Control checking <see topic=\"ACL2____GUARD\">guard</see>s during execution of top-level forms"],
 ["ACL2____MBE","Mbe","MBE",[81,111,117],"Attach code for execution"],
 ["ACL2____PROOF-CHECKER","Proof-checker","PROOF-CHECKER",[590,485],"An interactive tool for controlling ACL2's proof processes."],
 ["ACL2____DEFUN-SK","Defun-sk","DEFUN-SK",[59],"Define a function whose body has an outermost quantifier"],
 ["ACL2____MONITOR","Monitor","MONITOR",[33],"To monitor the attempted application of a rule name"],
 ["ACL2____DEFATTACH","Defattach","DEFATTACH",[59],"Execute constrained functions using corresponding attached functions"],
 ["ACL2____FORWARD-CHAINING","Forward-chaining","FORWARD-CHAINING",[7],"Make a rule to forward chain when a certain trigger arises"],
 ["ACL2____TYPE-SET","Type-set","TYPE-SET",[484],"How type information is encoded in ACL2"],
 ["ACL2____CLAUSE-PROCESSOR","Clause-processor","CLAUSE-PROCESSOR",[7],"Make or apply a <v>:clause-processor</v> rule (goal-level simplifier)"],
 ["ACL2____FREE-VARIABLES","Free-variables","FREE-VARIABLES",[7,8],"Free variables in rules"],
 ["ACL2____MUTUAL-RECURSION","Mutual-recursion","MUTUAL-RECURSION",[59,111,0],"Define some mutually recursive functions"],
 ["ACL2____OVERRIDE-HINTS","Override-hints","OVERRIDE-HINTS",[14],"A list of hints given priority in every proof attempt"],
 ["ACL2____LEMMA-INSTANCE","Lemma-instance","LEMMA-INSTANCE",[14,1239],"An object denoting an instance of a theorem"],
 ["ACL2____LD-SKIP-PROOFSP","Ld-skip-proofsp","LD-SKIP-PROOFSP",[10],"How carefully ACL2 processes your <see topic=\"ACL2____COMMAND\">command</see>s"],
 ["ACL2____EVENTS","Events","EVENTS",[590],"Functions that extend the logic"],
 ["ACL2____EQUIVALENCE","Equivalence","EQUIVALENCE",[7],"Mark a relation as an equivalence relation"],
 ["ACL2____ACCUMULATED-PERSISTENCE","Accumulated-persistence","ACCUMULATED-PERSISTENCE",[485],"To get statistics on which <see topic=\"ACL2____RUNE\">rune</see>s are being tried"],
 ["ACL2____PROGRAM","Program","PROGRAM",[18],"To set the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> to <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>"],
 ["ACL2____LOCAL","Local","LOCAL",[59],"Hiding an event in an encapsulation or book"],
 ["ACL2____DEFTHM","Defthm","DEFTHM",[59],"Prove and name a theorem"],
 ["ACL2____REDUNDANT-EVENTS","Redundant-events","REDUNDANT-EVENTS",[59],"Allowing a name to be introduced ``twice''"],
 ["ACL2____HONS-AND-MEMOIZATION","Hons-and-memoization","HONS-AND-MEMOIZATION",[590],"Hash cons, function memoization, and applicative hash tables"],
 ["ACL2____COMP","Comp","COMP",[76,59,117],"Compile some ACL2 functions"],
 ["ACL2____SET-RAW-MODE","Set-raw-mode","SET-RAW-MODE",[20],"Enter or exit ``raw mode,'' a raw Lisp environment"],
 ["ACL2____O-P","O-p","O-P",[71,117],"A recognizer for the ordinals up to epsilon-0"],
 ["ACL2____PORTCULLIS","Portcullis","PORTCULLIS",[991],"The gate guarding the entrance to a certified book"],
 ["ACL2____ORDINALS","Ordinals","ORDINALS",[484],"Ordinals in ACL2"],
 ["ACL2____HIDE","Hide","HIDE",[8],"Hide a term from the rewriter"],
 ["ACL2____DEFABSSTOBJ","Defabsstobj","DEFABSSTOBJ",[59,4],"Define a new abstract single-threaded object"],
 ["ACL2____CONSTRAINT","Constraint","CONSTRAINT",[16],"Restrictions on certain functions introduced in <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt> <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____COMPUTED-HINTS","Computed-hints","COMPUTED-HINTS",[14],"Computing advice to the theorem proving process"],
 ["ACL2____COMPILATION","Compilation","COMPILATION",[111],"Compiling ACL2 functions"],
 ["ACL2____SYNTAXP","Syntaxp","SYNTAXP",[8,26,19,23],"Attach a heuristic filter on a rule"],
 ["ACL2____SKIP-PROOFS","Skip-proofs","SKIP-PROOFS",[59],"Skip proofs for a given form &mdash; a quick way to introduce unsoundness"],
 ["ACL2____RETURN-LAST","Return-last","RETURN-LAST",[548,117],"Return the last argument, perhaps with side effects"],
 ["ACL2____LOOP-STOPPER","Loop-stopper","LOOP-STOPPER",[8],"Limit application of permutative rewrite rules"],
 ["ACL2____GUARD","Guard","GUARD",[111,22],"Restricting the domain of a function"],
 ["ACL2____CBD","Cbd","CBD",[840,43,117],"Connected book directory string"],
 ["ACL2____Pages_02Written_02Especially_02for_02the_02Tours","Pages Written Especially for the Tours","Pages Written Especially for the Tours",[320],"Pages Written Especially for the Tours"],
 ["ACL2____LOGIC","Logic","LOGIC",[18],"To set the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> to <v>:logic</v>"],
 ["ACL2____HISTORY","History","HISTORY",[590],"Functions that display or change history"],
 ["ACL2____EQUALITY-VARIANTS","Equality-variants","EQUALITY-VARIANTS",[111],"Versions of a function using different equality tests"],
 ["ACL2____TIME_42","Time$","TIME$",[111,117],"Time an evaluation"],
 ["ACL2____EC-CALL","Ec-call","EC-CALL",[81,117],"Execute a call in the ACL2 logic instead of raw Lisp"],
 ["ACL2____CONGRUENCE","Congruence","CONGRUENCE",[7],"The relations to maintain while simplifying arguments"],
 ["ACL2____SET-GAG-MODE","Set-gag-mode","SET-GAG-MODE",[619],"Modify the nature of proof output"],
 ["ACL2____VERIFY-TERMINATION","Verify-termination","VERIFY-TERMINATION",[59],"Convert a function from :program mode to :logic mode"],
 ["ACL2____PROOF-TREE","Proof-tree","PROOF-TREE",[485],"Proof tree displays"],
 ["ACL2____LP","Lp","LP",[10],"The Common Lisp entry to ACL2"],
 ["ACL2____EMBEDDED-EVENT-FORM","Embedded-event-form","EMBEDDED-EVENT-FORM",[59],"Forms that may be embedded in other <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____BIND-FREE","Bind-free","BIND-FREE",[8,19,26],"To bind free variables of a rewrite, definition, or linear rule"],
 ["ACL2____PROGN_12","Progn!","PROGN!",[59],"Evaluate some forms, not necessarily <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____MV","Mv","MV",[548,117],"Returning a multiple value"],
 ["ACL2____LD-REDEFINITION-ACTION","Ld-redefinition-action","LD-REDEFINITION-ACTION",[10],"To allow redefinition without undoing"],
 ["ACL2____INDUCTION","Induction","INDUCTION",[7],"Make a rule that suggests a certain induction"],
 ["ACL2____DEFCHOOSE","Defchoose","DEFCHOOSE",[59],"Define a Skolem (witnessing) function"],
 ["ACL2____COMMAND","Command","COMMAND",[85],"Forms you type at the top-level, but..."],
 ["ACL2____SET-EVISC-TUPLE","Set-evisc-tuple","SET-EVISC-TUPLE",[11],"Control suppression of details when printing"],
 ["ACL2____FORWARD-CHAINING-REPORTS","Forward-chaining-reports","FORWARD-CHAINING-REPORTS",[51,485],"To see reports about the forward chaining process"],
 ["ACL2____PARALLELISM","Parallelism","PARALLELISM",[590],"Experimental extension for parallel execution and proofs"],
 ["ACL2____O_C3","O&lt;","O<",[71,117],"The well-founded less-than relation on ordinals up to <v>epsilon-0</v>"],
 ["ACL2____NOTE-2-8","Note-2-8","NOTE-2-8",[167],"ACL2 Version  2.8 (March, 2004) Notes"],
 ["ACL2____MV-LET","Mv-let","MV-LET",[97,117],"Calling multi-valued ACL2 functions"],
 ["ACL2____EXTENDED-METAFUNCTIONS","Extended-metafunctions","EXTENDED-METAFUNCTIONS",[23],"State and context sensitive metafunctions"],
 ["ACL2____WITH-OUTPUT","With-output","WITH-OUTPUT",[619],"Suppressing or turning on specified output for an event"],
 ["ACL2____RULER-EXTENDERS","Ruler-extenders","RULER-EXTENDERS",[0],"Control for ACL2's termination and induction analyses"],
 ["ACL2____PROGRAMMING","Programming","PROGRAMMING",[590],"Programming in ACL2"],
 ["ACL2____BOOKS-CERTIFICATION","Books-certification","BOOKS-CERTIFICATION",[430],"Instructions for certifying the ACL2 <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>."],
 ["ACL2____BACKCHAIN-LIMIT","Backchain-limit","BACKCHAIN-LIMIT",[8,23,19,24],"Limiting the effort expended on relieving hypotheses"],
 ["ACL2____NON-LINEAR-ARITHMETIC","Non-linear-arithmetic","NON-LINEAR-ARITHMETIC",[19],"Non-linear Arithmetic"],
 ["ACL2____DMR","Dmr","DMR",[485,33,61],"Dynamically monitor rewrites and other prover activity"],
 ["ACL2____BRR","Brr","BRR",[33],"To enable or disable the breaking of rewrite rules"],
 ["ACL2____ACL2-BUILT-INS","ACL2-built-ins","ACL2-BUILT-INS",[111],"''Catch-all'' topic for built-in ACL2 functions"],
 ["ACL2____WITH-PROVER-STEP-LIMIT","With-prover-step-limit","WITH-PROVER-STEP-LIMIT",[484],"Limit the number of steps for proofs"],
 ["ACL2____INTRODUCTION-TO-THE-TAU-SYSTEM","Introduction-to-the-tau-system","INTRODUCTION-TO-THE-TAU-SYSTEM",[41],"A decision procedure for runtime types"],
 ["ACL2____WITH-PROVER-TIME-LIMIT","With-prover-time-limit","WITH-PROVER-TIME-LIMIT",[484],"Limit the time for proofs"],
 ["ACL2____WELL-FOUNDED-RELATION","Well-founded-relation","WELL-FOUNDED-RELATION",[7],"Show that a relation is well-founded on a set"],
 ["ACL2____SET-IPRINT","Set-iprint","SET-IPRINT",[11],"Control whether abbreviated output can be read back in"],
 ["ACL2____PUFF","Puff","PUFF",[85],"Replace a compound <see topic=\"ACL2____COMMAND\">command</see> by its immediate subevents"],
 ["ACL2____DOUBLE-REWRITE","Double-rewrite","DOUBLE-REWRITE",[8],"Cause a term to be rewritten twice"],
 ["ACL2____THEORY-INVARIANT","Theory-invariant","THEORY-INVARIANT",[59],"User-specified invariants on <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____SPLITTER","Splitter","SPLITTER",[485],"Reporting of rules whose application may have caused case splits"],
 ["ACL2____SET-PROVER-STEP-LIMIT","Set-prover-step-limit","SET-PROVER-STEP-LIMIT",[484],"Sets the step-limit used by the ACL2 prover"],
 ["ACL2____PC","Pc","PC",[85],"Print the <see topic=\"ACL2____COMMAND\">command</see> described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____NOTE-2-7","Note-2-7","NOTE-2-7",[167],"ACL2 Version  2.7 (November, 2002) Notes"],
 ["ACL2____IN-THEORY","In-theory","IN-THEORY",[59,2],"Designate ``current'' theory (enabling its rules)"],
 ["ACL2____DEFUN-INLINE","Defun-inline","DEFUN-INLINE",[0,59],"Define a potentially inlined function symbol and associated macro"],
 ["ACL2____DEFEVALUATOR","Defevaluator","DEFEVALUATOR",[59],"Introduce an evaluator function"],
 ["ACL2____A_02Tiny_02Warning_02Sign","A Tiny Warning Sign","A Tiny Warning Sign",[83],"A Tiny Warning Sign"],
 ["ACL2____ACL2-DOC","ACL2-doc","ACL2-DOC",[21],"A custom Emacs browser for reading ACL2 <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see>"],
 ["ACL2____ACL2-CUSTOMIZATION","ACL2-customization","ACL2-CUSTOMIZATION",[484],"File of initial commands for ACL2 to run at <see topic=\"ACL2____STARTUP\">startup</see>"],
 ["ACL2____SAVE-EXEC","Save-exec","SAVE-EXEC",[1072,1243],"Save an executable image and a wrapper script"],
 ["ACL2____PRINT-GV","Print-gv","PRINT-GV",[81,485],"Print a form whose evaluation caused a guard violation"],
 ["ACL2____META-EXTRACT","Meta-extract","META-EXTRACT",[23],"Meta reasoning using valid terms extracted from context or <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____ELIM","Elim","ELIM",[7],"Make a destructor elimination rule"],
 ["ACL2____HINTS-AND-THE-WATERFALL","Hints-and-the-waterfall","HINTS-AND-THE-WATERFALL",[14],"How <see topic=\"ACL2____HINTS\">hints</see> fit into the ACL2 proof waterfall"],
 ["ACL2____EXECUTABLE-COUNTERPART","Executable-counterpart","EXECUTABLE-COUNTERPART",[7],"A rule for computing the value of a function"],
 ["ACL2____BOOKS-CERTIFICATION-CLASSIC","Books-certification-classic","BOOKS-CERTIFICATION-CLASSIC",[112],"Classic ACL2 `make'-based certification of <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____TYPE-SPEC","Type-spec","TYPE-SPEC",[27,317],"Type specifiers can be used in Common Lisp type declarations and \u000A <see topic=\"COMMON-LISP____THE\">the</see> forms, and may result in improved efficiency of execution."],
 ["ACL2____SET-CHECK-INVARIANT-RISK","Set-check-invariant-risk","SET-CHECK-INVARIANT-RISK",[111,172,81,485],"Potential slowdown for <see topic=\"ACL2____PROGRAM\">program</see>-mode updates to <see topic=\"ACL2____STOBJ\">stobj</see>s \u000A or <see topic=\"ACL2____ARRAYS\">arrays</see>"],
 ["ACL2____PRINT-CONTROL","Print-control","PRINT-CONTROL",[11],"Advanced controls of ACL2 printing"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED","Logic-knowledge-taken-for-granted","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED",[12],"Background knowledge in ACL2 logic for theorem prover tutorial"],
 ["ACL2____LD-ERROR-ACTION","Ld-error-action","LD-ERROR-ACTION",[10],"Determines <tt><see topic=\"ACL2____LD\">ld</see></tt>'s response to an error"],
 ["ACL2____TERM-ORDER","Term-order","TERM-ORDER",[29,117],"The ordering relation on terms used by ACL2"],
 ["ACL2____SET-WATERFALL-PARALLELISM","Set-waterfall-parallelism","SET-WATERFALL-PARALLELISM",[104],"For ACL2(p): configuring the parallel execution of the waterfall"],
 ["ACL2____PROVISIONAL-CERTIFICATION","Provisional-certification","PROVISIONAL-CERTIFICATION",[112],"Certify a book in stages for improved book-level parallelism"],
 ["ACL2____INSTRUCTIONS","Instructions","INSTRUCTIONS",[47],"Instructions to the proof checker"],
 ["ACL2____GUARDS-AND-EVALUATION","Guards-and-evaluation","GUARDS-AND-EVALUATION",[81],"The relationship between guards and evaluation"],
 ["ACL2____GUARD-DEBUG","Guard-debug","GUARD-DEBUG",[81,485],"Generate markers to indicate sources of <see topic=\"ACL2____GUARD\">guard</see> proof obligations"],
 ["ACL2____SET-WRITE-ACL2X","Set-write-ACL2x","SET-WRITE-ACL2X",[840],"Cause <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt> to write out a <v>.acl2x</v> file"],
 ["ACL2____SET-DEBUGGER-ENABLE","Set-debugger-enable","SET-DEBUGGER-ENABLE",[485],"Control whether Lisp errors and breaks invoke the Lisp debugger"],
 ["ACL2____SET-CASE-SPLIT-LIMITATIONS","Set-case-split-limitations","SET-CASE-SPLIT-LIMITATIONS",[484],"Set the case-split-limitations"],
 ["ACL2____COMPOUND-RECOGNIZER","Compound-recognizer","COMPOUND-RECOGNIZER",[7],"Make a rule used by the typing mechanism"],
 ["ACL2____BOOK-COMPILED-FILE","Book-compiled-file","BOOK-COMPILED-FILE",[840],"Creating and loading of compiled and expansion files for <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____ADD-INCLUDE-BOOK-DIR","Add-include-book-dir","ADD-INCLUDE-BOOK-DIR",[840],"Link keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2____TIME-TRACKER","Time-tracker","TIME-TRACKER",[485,87,117],"Display time spent during specified evaluation"],
 ["ACL2____ORACLE-APPLY","Oracle-apply","ORACLE-APPLY",[43,117],"Call a function argument on the given list of arguments"],
 ["ACL2____OOPS","Oops","OOPS",[85],"Undo a <v>:u</v> or <v>:</v><tt><see topic=\"ACL2____UBT\">ubt</see></tt>"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INDUCTIVE-PROOF","Logic-knowledge-taken-for-granted-inductive-proof","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INDUCTIVE-PROOF",[12],"A brief explanation of induction"],
 ["ACL2____IF_A2","If*","IF*",[381],"For conditional rewriting with BDDs"],
 ["ACL2____WELL-FORMEDNESS-GUARANTEE","Well-formedness-guarantee","WELL-FORMEDNESS-GUARANTEE",[7],"Guarantee that a metafunction or clause-processor returns a \u000A  well-formed answer"],
 ["ACL2____SUBVERSIVE-RECURSIONS","Subversive-recursions","SUBVERSIVE-RECURSIONS",[484],"Why we restrict <see topic=\"ACL2____ENCAPSULATE\">encapsulate</see>d recursive functions"],
 ["ACL2____RELEASE-NOTES","Release-notes","RELEASE-NOTES",[730],"Pointers to what has changed"],
 ["ACL2____LOCAL-INCOMPATIBILITY","Local-incompatibility","LOCAL-INCOMPATIBILITY",[484],"When non-local <see topic=\"ACL2____EVENTS\">events</see> won't replay in isolation"],
 ["ACL2____INTRODUCTION-TO-REWRITE-RULES-PART-1","Introduction-to-rewrite-rules-part-1","INTRODUCTION-TO-REWRITE-RULES-PART-1",[12],"Introduction to ACL2's notion of rewrite rules"],
 ["ACL2____INTRODUCTION-TO-KEY-CHECKPOINTS","Introduction-to-key-checkpoints","INTRODUCTION-TO-KEY-CHECKPOINTS",[12],"What questions to ask at key checkpoints"],
 ["ACL2____DEFINE-TRUSTED-CLAUSE-PROCESSOR","Define-trusted-clause-processor","DEFINE-TRUSTED-CLAUSE-PROCESSOR",[59],"Define a trusted (unverified) goal-level simplifier"],
 ["ACL2____ADVANCED-FEATURES","Advanced-features","ADVANCED-FEATURES",[320],"Some advanced features of ACL2"],
 ["COMMON-LISP____IF","If","IF",[548,117],"If-then-else function"],
 ["COMMON-LISP____EQUAL","Equal","EQUAL",[548,117],"True equality"],
 ["COMMON-LISP____CDR","Cdr","CDR",[390,117],"Returns the second element of a <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> pair, else <v>nil</v>"],
 ["COMMON-LISP____CAR","Car","CAR",[390,117],"Returns the first element of a non-empty list, else <v>nil</v>"],
 ["ACL2____ZERO-TEST-IDIOMS","Zero-test-idioms","ZERO-TEST-IDIOMS",[193],"How to test for 0"],
 ["ACL2____UNSUPPORTED-WATERFALL-PARALLELISM-FEATURES","Unsupported-waterfall-parallelism-features","UNSUPPORTED-WATERFALL-PARALLELISM-FEATURES",[981],"Proof features not supported with waterfall-parallelism enabled"],
 ["ACL2____THE-METHOD","The-method","THE-METHOD",[320],"How to find proofs"],
 ["ACL2____STOBJ-EXAMPLE-1","Stobj-example-1","STOBJ-EXAMPLE-1",[4],"An example of the use of single-threaded objects"],
 ["ACL2____SLOW-ARRAY-WARNING","Slow-array-warning","SLOW-ARRAY-WARNING",[37],"A warning or error issued when <see topic=\"ACL2____ARRAYS\">arrays</see> are used inefficiently"],
 ["ACL2____SET-TAU-AUTO-MODE","Set-tau-auto-mode","SET-TAU-AUTO-MODE",[41],"Turn on or off automatic (``greedy'') generation of <v>:tau-system</v> \u000A  rules"],
 ["ACL2____PROOF-CHECKER-COMMANDS","Proof-checker-commands","PROOF-CHECKER-COMMANDS",[47],"List of commands for the proof-checker"],
 ["ACL2____PARALLELISM-TUTORIAL","Parallelism-tutorial","PARALLELISM-TUTORIAL",[336],"A tutorial on how to use the parallelism library."],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-PROPOSITIONAL-CALCULUS","Logic-knowledge-taken-for-granted-propositional-calculus","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-PROPOSITIONAL-CALCULUS",[12],"A brief explanation of propositional calculus"],
 ["ACL2____INTRODUCTION-TO-REWRITE-RULES-PART-2","Introduction-to-rewrite-rules-part-2","INTRODUCTION-TO-REWRITE-RULES-PART-2",[12],"How to arrange rewrite rules"],
 ["ACL2____GUARD-EVALUATION-TABLE","Guard-evaluation-table","GUARD-EVALUATION-TABLE",[81],"A table that shows combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____FORCING-ROUND","Forcing-round","FORCING-ROUND",[15],"A section of a proof dealing with <see topic=\"ACL2____FORCE\">force</see>d assumptions"],
 ["ACL2____BUILT-IN-CLAUSE","Built-in-clause","BUILT-IN-CLAUSE",[7],"To build a clause into the simplifier"],
 ["ACL2____BDD-ALGORITHM","Bdd-algorithm","BDD-ALGORITHM",[381],"Summary of the BDD algorithm in ACL2"],
 ["COMMON-LISP____CONS","Cons","CONS",[390,117],"Pair and list constructor"],
 ["ACL2____REDO-FLAT","Redo-flat","REDO-FLAT",[485],"Redo on failure of a <tt><see topic=\"COMMON-LISP____PROGN\">progn</see></tt>, <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt>, or <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt>"],
 ["ACL2____NUMBERS","Numbers","NUMBERS",[111],"Numbers in ACL2 and operations on them"],
 ["ACL2____DISABLE","Disable","DISABLE",[2,433],"Deletes names from current theory"],
 ["ACL2____DEFUN-MODE-CAVEAT","Defun-mode-caveat","DEFUN-MODE-CAVEAT",[486],"Potential soundness issue for functions with <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> \u000A  <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>"],
 ["ACL2____DEFEXEC","Defexec","DEFEXEC",[59,46],"Attach a terminating executable function to a definition"],
 ["ACL2_____A2ACL2-EXPORTS_A2","*ACL2-exports*","*ACL2-EXPORTS*",[632,117],"Symbols that are often imported into new <see topic=\"ACL2____PACKAGES\">packages</see> to provide \u000A easy access to ACL2 functionality."],
 ["ACL2____WET","Wet","WET",[468],"Evaluate a form and print subsequent error trace"],
 ["ACL2____VERSION","Version","VERSION",[730],"ACL2 Version Number"],
 ["ACL2____SYSTEM-UTILITIES","System-utilities","SYSTEM-UTILITIES",[111],"List of system-level programming utilities"],
 ["ACL2____QUANTIFIER-TUTORIAL","Quantifier-tutorial","QUANTIFIER-TUTORIAL",[48],"A Beginner's Guide to Reasoning about Quantification in ACL2"],
 ["ACL2____NOTE-2-9-3","Note-2-9-3","NOTE-2-9-3",[167],"ACL2 Version  2.9.3 (August, 2005) Notes"],
 ["ACL2____NOTE-2-9-1","Note-2-9-1","NOTE-2-9-1",[167],"ACL2 Version  2.9.1 (December, 2004) Notes"],
 ["ACL2____NOTE-2-7-BUG-FIXES","Note-2-7-bug-fixes","NOTE-2-7-BUG-FIXES",[129],"ACL2 Version  2.7 Notes on Bug Fixes"],
 ["ACL2____MAKE-EVENT-DETAILS","Make-event-details","MAKE-EVENT-DETAILS",[9],"Details on <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt> expansion"],
 ["ACL2____INTRODUCTION-TO-A-FEW-SYSTEM-CONSIDERATIONS","Introduction-to-a-few-system-considerations","INTRODUCTION-TO-A-FEW-SYSTEM-CONSIDERATIONS",[12],"The mechanics of interaction with the theorem prover"],
 ["ACL2____DEFPROXY","Defproxy","DEFPROXY",[59],"Define a non-executable <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>-mode function for \u000A  attachment"],
 ["ACL2____CONSERVATIVITY-OF-DEFCHOOSE","Conservativity-of-defchoose","CONSERVATIVITY-OF-DEFCHOOSE",[100],"Proof of conservativity of <tt><see topic=\"ACL2____DEFCHOOSE\">defchoose</see></tt>"],
 ["ACL2____BOOK-NAME","Book-name","BOOK-NAME",[991],"Conventions associated with book names"],
 ["COMMON-LISP____FLET","Flet","FLET",[548,117],"Local binding of function symbols"],
 ["ACL2____SPECIOUS-SIMPLIFICATION","Specious-simplification","SPECIOUS-SIMPLIFICATION",[484],"Nonproductive proof steps"],
 ["ACL2____NOTE-4-0","Note-4-0","NOTE-4-0",[167],"ACL2 Version  4.0 (July, 2010) Notes"],
 ["ACL2____NOTE-2-9-2","Note-2-9-2","NOTE-2-9-2",[167],"ACL2 Version  2.9.2 (April, 2005) Notes"],
 ["ACL2____NOTE-2-8-BUG-FIXES","Note-2-8-bug-fixes","NOTE-2-8-BUG-FIXES",[106],"ACL2 Version  2.8 Notes on Bug Fixes"],
 ["ACL2____NOTE-2-7-NEW-FUNCTIONALITY","Note-2-7-new-functionality","NOTE-2-7-NEW-FUNCTIONALITY",[129],"ACL2 Version  2.7 Notes on New Functionality"],
 ["ACL2____NESTED-STOBJS","Nested-stobjs","NESTED-STOBJS",[4],"Using <see topic=\"ACL2____STOBJ\">stobj</see>s that contain stobjs"],
 ["ACL2____INTRODUCTION-TO-THE-DATABASE","Introduction-to-the-database","INTRODUCTION-TO-THE-DATABASE",[12],"How to update the database"],
 ["ACL2____INTERESTING-APPLICATIONS","Interesting-applications","INTERESTING-APPLICATIONS",[320],"Some industrial examples of ACL2 use"],
 ["ACL2____GUARD-EVALUATION-EXAMPLES-LOG","Guard-evaluation-examples-log","GUARD-EVALUATION-EXAMPLES-LOG",[81],"Log showing combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____EVALUATOR-RESTRICTIONS","Evaluator-restrictions","EVALUATOR-RESTRICTIONS",[23],"Some restrictions on the use of evaluators in meta-level rules"],
 ["ACL2-PC____REWRITE","ACL2-pc::rewrite","REWRITE",[183],"(primitive) \u000Aapply a rewrite rule"],
 ["ACL2____WORMHOLE-IMPLEMENTATION","Wormhole-implementation","WORMHOLE-IMPLEMENTATION",[31],"Notes on how wormholes are implemented"],
 ["ACL2____USING-COMPUTED-HINTS-7","Using-computed-hints-7","USING-COMPUTED-HINTS-7",[824],"Using the <v>stable-under-simplificationp</v> flag"],
 ["ACL2____TIPS","Tips","TIPS",[320],"Some hints for using the ACL2 prover"],
 ["ACL2____STOBJ-EXAMPLE-3","Stobj-example-3","STOBJ-EXAMPLE-3",[4],"Another example of a single-threaded object"],
 ["ACL2____REDUNDANT-ENCAPSULATE","Redundant-encapsulate","REDUNDANT-ENCAPSULATE",[16],"Redundancy of <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt> <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____PROOF-TREE-EXAMPLES","Proof-tree-examples","PROOF-TREE-EXAMPLES",[92],"Proof tree example"],
 ["ACL2____PROGRAMMING-KNOWLEDGE-TAKEN-FOR-GRANTED","Programming-knowledge-taken-for-granted","PROGRAMMING-KNOWLEDGE-TAKEN-FOR-GRANTED",[12],"Background knowledge in ACL2 programming for theorem prover tutorial"],
 ["ACL2____PATTERNED-CONGRUENCE","Patterned-congruence","PATTERNED-CONGRUENCE",[7],"Removing restrictions on classic <see topic=\"ACL2____CONGRUENCE\">congruence</see> rules"],
 ["ACL2____NOTE-7-0","Note-7-0","NOTE-7-0",[167],"ACL2 Version  7.0 (January, 2015) Notes"],
 ["ACL2____NOTE-3-6","Note-3-6","NOTE-3-6",[167],"ACL2 Version  3.6 (August, 2009) Notes"],
 ["ACL2____NOTE-3-3","Note-3-3","NOTE-3-3",[167],"ACL2 Version  3.3 (November, 2007) Notes"],
 ["ACL2____NOTE-3-2-1","Note-3-2-1","NOTE-3-2-1",[167],"ACL2 Version  3.2.1 (June, 2007) Notes"],
 ["ACL2____NOTE-3-0-1","Note-3-0-1","NOTE-3-0-1",[167],"ACL2 Version  3.0.1 (August, 2006) Notes"],
 ["ACL2____NOTE-2-9-5","Note-2-9-5","NOTE-2-9-5",[167],"Changes in Version  3.0 since Version  2.9.4"],
 ["ACL2____NOTE-2-8-NEW-FUNCTIONALITY","Note-2-8-new-functionality","NOTE-2-8-NEW-FUNCTIONALITY",[106],"ACL2 Version  2.8 Notes on New Functionality"],
 ["ACL2____NOTE-2-7-PROOFS","Note-2-7-proofs","NOTE-2-7-PROOFS",[129],"ACL2 Version  2.7 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-7-OTHER","Note-2-7-other","NOTE-2-7-OTHER",[129],"ACL2 Version  2.7 Notes on Miscellaneous Changes"],
 ["ACL2____NOTE-2-6-PROOFS","Note-2-6-proofs","NOTE-2-6-PROOFS",[761],"ACL2 Version  2.6 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-6-NEW-FUNCTIONALITY","Note-2-6-new-functionality","NOTE-2-6-NEW-FUNCTIONALITY",[761],"ACL2 Version  2.6 Notes on New Functionality"],
 ["ACL2____NOTE-2-5","Note-2-5","NOTE-2-5",[167],"ACL2 Version  2.5 (June, 2000) Notes"],
 ["ACL2____META-IMPLICIT-HYPOTHESIS","Meta-implicit-hypothesis","META-IMPLICIT-HYPOTHESIS",[23],"A potentially more efficient way of coding a hypothesis metafunction"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING","Logic-knowledge-taken-for-granted-rewriting","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING",[12],"A brief explanation of rewriting from the logical perspective"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-4-ANSWER","Introductory-challenge-problem-4-answer","INTRODUCTORY-CHALLENGE-PROBLEM-4-ANSWER",[12],"Answer to challenge problem 4 for the new user of ACL2"],
 ["ACL2____INTRODUCTION-TO-HINTS","Introduction-to-hints","INTRODUCTION-TO-HINTS",[12],"How to provide hints to the theorem prover"],
 ["ACL2____GUARD-MISCELLANY","Guard-miscellany","GUARD-MISCELLANY",[81],"Miscellaneous remarks about guards"],
 ["ACL2____GITHUB-COMMIT-CODE-USING-PULL-REQUESTS","Github-commit-code-using-pull-requests","GITHUB-COMMIT-CODE-USING-PULL-REQUESTS",[577],"How to commit code to the books using pull requests"],
 ["ACL2____FREE-VARIABLES-EXAMPLES-REWRITE","Free-variables-examples-rewrite","FREE-VARIABLES-EXAMPLES-REWRITE",[1040],"Examples pertaining to free variables in <see topic=\"ACL2____REWRITE\">rewrite</see> rules"],
 ["ACL2____EQUALITY-VARIANTS-DETAILS","Equality-variants-details","EQUALITY-VARIANTS-DETAILS",[86],"Details about <see topic=\"ACL2____EQUALITY-VARIANTS\">equality-variants</see>"],
 ["ACL2____DEALING-WITH-KEY-COMBINATIONS-OF-FUNCTION-SYMBOLS","Dealing-with-key-combinations-of-function-symbols","DEALING-WITH-KEY-COMBINATIONS-OF-FUNCTION-SYMBOLS",[12],"How to get rid of key combinations of function symbols"],
 ["ACL2____BOUNDERS","Bounders","BOUNDERS",[41],"Intervals, bounder functions, and bounder correctness"],
 ["ACL2____BOOK-EXAMPLE","Book-example","BOOK-EXAMPLE",[991],"How to create, certify, and use a simple book"],
 ["ACL2____BDD-INTRODUCTION","Bdd-introduction","BDD-INTRODUCTION",[381],"Examples illustrating the use of BDDs in ACL2"],
 ["ACL2____ARCHITECTURE-OF-THE-PROVER","Architecture-of-the-prover","ARCHITECTURE-OF-THE-PROVER",[12],"A simple overview of how the prover works"],
 ["ACL2____ALTERNATIVE-INTRODUCTION","Alternative-introduction","ALTERNATIVE-INTRODUCTION",[320],"Introduction to ACL2"],
 ["ACL2____ACKNOWLEDGMENTS","Acknowledgments","ACKNOWLEDGMENTS",[730],"Some contributors to the well-being of ACL2"],
 ["ACL2-PC____APPLY-LINEAR","ACL2-pc::apply-linear","APPLY-LINEAR",[183],"(primitive) \u000Aapply a linear rule"],
 ["ACL2_____A2COMMON-LISP-SYMBOLS-FROM-MAIN-LISP-PACKAGE_A2","*common-lisp-symbols-from-main-lisp-package*","*COMMON-LISP-SYMBOLS-FROM-MAIN-LISP-PACKAGE*",[632,117],"Symbols that are often imported into new packages to provide easy \u000A access to Common Lisp functionality."],
 ["ACL2____USING-COMPUTED-HINTS-6","Using-computed-hints-6","USING-COMPUTED-HINTS-6",[824],"Using the computed-hint-replacement feature"],
 ["ACL2____REDEFINING-PROGRAMS","Redefining-programs","REDEFINING-PROGRAMS",[111],"An explanation of why we restrict redefinitions"],
 ["ACL2____POINTERS","Pointers","POINTERS",[21],"Links pointing to relevant documentation topics"],
 ["ACL2____NOTE5","Note5","NOTE5",[167],"Acl2 Version 1.5 Notes"],
 ["ACL2____NOTE-7-0-MEMOIZE","Note-7-0-memoize","NOTE-7-0-MEMOIZE",[230],"ACL2 Version  7.0 Notes on Changes to Memoization Implementation"],
 ["ACL2____NOTE-6-1","Note-6-1","NOTE-6-1",[167],"ACL2 Version  6.1 (February, 2013) Notes"],
 ["ACL2____NOTE-4-3","Note-4-3","NOTE-4-3",[167],"ACL2 Version  4.3 (July, 2011) Notes"],
 ["ACL2____NOTE-4-2","Note-4-2","NOTE-4-2",[167],"ACL2 Version  4.2 (January, 2011) Notes"],
 ["ACL2____NOTE-4-1","Note-4-1","NOTE-4-1",[167],"ACL2 Version  4.1 (September, 2010) Notes"],
 ["ACL2____NOTE-3-5","Note-3-5","NOTE-3-5",[167],"ACL2 Version  3.5 (May, 2009) Notes"],
 ["ACL2____NOTE-3-4","Note-3-4","NOTE-3-4",[167],"ACL2 Version  3.4 (August, 2008) Notes"],
 ["ACL2____NOTE-3-2","Note-3-2","NOTE-3-2",[167],"ACL2 Version  3.2 (April, 2007) Notes"],
 ["ACL2____NOTE-3-0-2","Note-3-0-2","NOTE-3-0-2",[167],"ACL2 Version  3.0.2 (December, 2006) Notes"],
 ["ACL2____NOTE-2-9-4","Note-2-9-4","NOTE-2-9-4",[167],"ACL2 Version  2.9.4 (February, 2006) Notes"],
 ["ACL2____NOTE-2-9-3-PPR-CHANGE","Note-2-9-3-ppr-change","NOTE-2-9-3-PPR-CHANGE",[202],"Change in pretty-printing for ACL2 Version_2.9.3"],
 ["ACL2____NOTE-2-9","Note-2-9","NOTE-2-9",[167],"ACL2 Version  2.9 (October, 2004) Notes"],
 ["ACL2____NOTE-2-8-PROOFS","Note-2-8-proofs","NOTE-2-8-PROOFS",[106],"ACL2 Version  2.8 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-6-OTHER","Note-2-6-other","NOTE-2-6-OTHER",[761],"ACL2 Version  2.6 Notes on Other (Minor) Changes"],
 ["ACL2____LISTS","Lists","LISTS",[111],"Lists of objects, the classic Lisp data structure."],
 ["ACL2____GOAL-SPEC","Goal-spec","GOAL-SPEC",[14],"To indicate where a hint is to be used"],
 ["ACL2____FUTURE-WORK-RELATED-TO-THE-TAU-SYSTEM","Future-work-related-to-the-tau-system","FUTURE-WORK-RELATED-TO-THE-TAU-SYSTEM",[119],"Some tau system problems that we hope someone will address"],
 ["ACL2____FURTHER-INFORMATION-ON-REWRITING","Further-information-on-rewriting","FURTHER-INFORMATION-ON-REWRITING",[12],"A grab bag of advice and information on rewriting"],
 ["ACL2____FREQUENTLY-ASKED-QUESTIONS-BY-NEWCOMERS","Frequently-asked-questions-by-newcomers","FREQUENTLY-ASKED-QUESTIONS-BY-NEWCOMERS",[12],"Some questions newcomers frequently ask"],
 ["ACL2____FAST-ALISTS","Fast-alists","FAST-ALISTS",[647,111,66],"Alists with hidden hash tables for faster execution"],
 ["ACL2____FAILED-FORCING","Failed-forcing","FAILED-FORCING",[15,485],"How to deal with a proof <see topic=\"ACL2____FAILURE\">failure</see> in a forcing round"],
 ["ACL2____DEALING-WITH-TAU-PROBLEMS","Dealing-with-tau-problems","DEALING-WITH-TAU-PROBLEMS",[119],"Some advice on dealing with problems caused by the tau system"],
 ["ACL2____BOOKS-CERTIFICATION-ALT","Books-certification-alt","BOOKS-CERTIFICATION-ALT",[112],"Alternate instructions for certifying the <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>, \u000A from the perspective of the <v>acl2-sources</v> directory."],
 ["ACL2____BOOKDATA","Bookdata","BOOKDATA",[30],"An optional tool for writing out small files with meta-data about \u000A the books that are being certified."],
 ["ACL2____ACCUMULATED-PERSISTENCE-SUBTLETIES","Accumulated-persistence-subtleties","ACCUMULATED-PERSISTENCE-SUBTLETIES",[61],"Some subtle aspects of the counting done by <tt><see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see></tt>"],
 ["ACL2____USING-COMPUTED-HINTS-4","Using-computed-hints-4","USING-COMPUTED-HINTS-4",[824],"Computing the Hints"],
 ["ACL2____USING-COMPUTED-HINTS-3","Using-computed-hints-3","USING-COMPUTED-HINTS-3",[824],"Hints as a Function of the Goal (not its Name)"],
 ["ACL2____TUTORIAL3-PHONEBOOK-EXAMPLE","Tutorial3-phonebook-example","TUTORIAL3-PHONEBOOK-EXAMPLE",[358],"A Phonebook Specification"],
 ["ACL2____TUTORIAL1-TOWERS-OF-HANOI","Tutorial1-towers-of-hanoi","TUTORIAL1-TOWERS-OF-HANOI",[358],"The Towers of Hanoi Example"],
 ["ACL2____SYNTAXP-EXAMPLES","Syntaxp-examples","SYNTAXP-EXAMPLES",[77],"Examples pertaining to syntaxp hypotheses"],
 ["ACL2____NOTE8","Note8","NOTE8",[167],"ACL2 Version 1.8 (May, 1995) Notes"],
 ["ACL2____NOTE7","Note7","NOTE7",[167],"ACL2 Version 1.7 (released October 1994) Notes"],
 ["ACL2____NOTE6","Note6","NOTE6",[167],"Acl2 Version 1.6 Notes"],
 ["ACL2____NOTE4","Note4","NOTE4",[167],"Acl2 Version 1.4 Notes"],
 ["ACL2____NOTE3","Note3","NOTE3",[167],"Acl2 Version 1.3 Notes"],
 ["ACL2____NOTE-7-2","Note-7-2","NOTE-7-2",[167],"ACL2 Version  7.2 (January, 2016) Notes"],
 ["ACL2____NOTE-7-1","Note-7-1","NOTE-7-1",[167],"ACL2 Version  7.1 (May, 2015) Notes"],
 ["ACL2____NOTE-6-5","Note-6-5","NOTE-6-5",[167],"ACL2 Version  6.5 (August, 2014) Notes"],
 ["ACL2____NOTE-6-4","Note-6-4","NOTE-6-4",[167],"ACL2 Version  6.4 (January, 2014) Notes"],
 ["ACL2____NOTE-6-3","Note-6-3","NOTE-6-3",[167],"ACL2 Version  6.3 (October, 2013) Notes"],
 ["ACL2____NOTE-6-2","Note-6-2","NOTE-6-2",[167],"ACL2 Version  6.2 (June, 2013) Notes"],
 ["ACL2____NOTE-6-0","Note-6-0","NOTE-6-0",[167],"ACL2 Version  6.0 (December, 2012) Notes"],
 ["ACL2____NOTE-5-0","Note-5-0","NOTE-5-0",[167],"ACL2 Version  5.0 (August, 2012) Notes"],
 ["ACL2____EXTEND-PE-TABLE","Extend-pe-table","EXTEND-PE-TABLE",[85],"Replace <see topic=\"ACL2____EVENTS\">events</see> displayed by <see topic=\"ACL2____HISTORY\">history</see> commands"],
 ["COMMON-LISP____MEMBER","Member","MEMBER",[277,117],"Membership predicate"],
 ["ACL2____SPECIFIC-KINDS-OF-FORMULAS-AS-REWRITE-RULES","Specific-kinds-of-formulas-as-rewrite-rules","SPECIFIC-KINDS-OF-FORMULAS-AS-REWRITE-RULES",[12],"Advice about how to handle commonly occurring formulas as rewrite rules"],
 ["ACL2____MUTUAL-RECURSION-PROOF-EXAMPLE","Mutual-recursion-proof-example","MUTUAL-RECURSION-PROOF-EXAMPLE",[1153,55],"A small proof about mutually recursive functions"],
 ["ACL2____GITHUB-COMMIT-CODE-USING-PUSH","Github-commit-code-using-push","GITHUB-COMMIT-CODE-USING-PUSH",[577],"How to commit code to the books using direct push access"],
 ["ACL2-PC____SEQUENCE","ACL2-pc::sequence","SEQUENCE",[183],"(meta) \u000Arun the given list of instructions according to a multitude of \u000Aoptions"],
 ["ACL2____PSEUDO-TERMP","Pseudo-termp","PSEUDO-TERMP",[29,117],"A predicate for recognizing term-like s-expressions"],
 ["ACL2____DEFCONST","Defconst","DEFCONST",[59,111],"Define a constant"],
 ["COMMON-LISP____REAL","Real","REAL",[590],"ACL2(r) support for real numbers"],
 ["ACL2____PROOF-OF-WELL-FOUNDEDNESS","Proof-of-well-foundedness","PROOF-OF-WELL-FOUNDEDNESS",[71],"A proof that <tt><see topic=\"ACL2____O_C3\">o&lt;</see></tt> is well-founded on <tt><see topic=\"ACL2____O-P\">o-p</see></tt>s"],
 ["ACL2____LOGICAL-NAME","Logical-name","LOGICAL-NAME",[59,1],"A name created by a logical event"],
 ["COMMON-LISP____THE","The","THE",[81,76,117],"<v>The</v> is a special form that can be used to optimize the execution \u000A efficiency of <see topic=\"ACL2____GUARD\">guard</see>-verified ACL2 definitions, or (less frequently) to \u000A carry out a low-level run-time type checks. (Advanced)"],
 ["COMMON-LISP____DEFMACRO","Defmacro","DEFMACRO",[708,59,111],"Define a macro"],
 ["ACL2____STRONG-REWRITE-RULES","Strong-rewrite-rules","STRONG-REWRITE-RULES",[12],"Formulating good rewrite rules"],
 ["ACL2____ACL2-TUTORIAL","ACL2-tutorial","ACL2-TUTORIAL",[590],"Tutorial introduction to ACL2"],
 ["COMMON-LISP____APPEND","Append","APPEND",[277,117],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> zero or more lists"],
 ["ACL2____PROGRAM-WRAPPER","Program-wrapper","PROGRAM-WRAPPER",[62,111,172],"Avoiding expensive guard checks using <see topic=\"ACL2____PROGRAM\">program</see>-mode functions"],
 ["ACL2____WORMHOLE-EVAL","Wormhole-eval","WORMHOLE-EVAL",[31],"State-saving without state &mdash; a short-cut to a parallel universe"],
 ["ACL2____MBT","Mbt","MBT",[46,117],"Introduce a test into the logic that, however, evaluates to <v>t</v>"],
 ["ACL2____ADD-MATCH-FREE-OVERRIDE","Add-match-free-override","ADD-MATCH-FREE-OVERRIDE",[54],"Set <v>:match-free</v> value to <v>:once</v> or <v>:all</v> in existing \u000A  rules"],
 ["ACL2____SYS-CALL","Sys-call","SYS-CALL",[1072,117],"Make a system call to the host operating system"],
 ["ACL2____ENABLE","Enable","ENABLE",[2,433],"Adds names to current theory"],
 ["ACL2____TERMINATION-THEOREM-EXAMPLE","Termination-theorem-example","TERMINATION-THEOREM-EXAMPLE",[57,1014,14],"How to use a previously-proved measure theorem"],
 ["ACL2____REMOVE-UNTOUCHABLE","Remove-untouchable","REMOVE-UNTOUCHABLE",[20],"Remove names from lists of untouchable symbols"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-3","Practice-formulating-strong-rules-3","PRACTICE-FORMULATING-STRONG-RULES-3",[12],"Rules suggested by <v>(<see topic=\"COMMON-LISP____MEMBER\">MEMBER</see> (FOO A) (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (BAR B) (MUM C)))</v>"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-1","Practice-formulating-strong-rules-1","PRACTICE-FORMULATING-STRONG-RULES-1",[12],"Rules suggested by <v>(<see topic=\"ACL2____TRUE-LISTP\">TRUE-LISTP</see> (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (FOO A) (BAR B)))</v>"],
 ["ACL2____LD-POST-EVAL-PRINT","Ld-post-eval-print","LD-POST-EVAL-PRINT",[10],"Determines whether and how <tt><see topic=\"ACL2____LD\">ld</see></tt> prints the result of evaluation"],
 ["ACL2____STOBJ-EXAMPLE-1-PROOFS","Stobj-example-1-proofs","STOBJ-EXAMPLE-1-PROOFS",[4],"Some proofs involving the <v>counters</v> stobj"],
 ["ACL2____SET-INHIBIT-OUTPUT-LST","Set-inhibit-output-lst","SET-INHIBIT-OUTPUT-LST",[619],"Control output"],
 ["ACL2____About_02the_02Prompt","About the Prompt","About the Prompt",[83],"About the Prompt"],
 ["ACL2____PARALLEL-PROGRAMMING","Parallel-programming","PARALLEL-PROGRAMMING",[104],"Parallel programming in ACL2(p)"],
 ["ACL2____LINEAR-ARITHMETIC","Linear-arithmetic","LINEAR-ARITHMETIC",[19],"A description of the linear arithmetic decision procedure"],
 ["ACL2____LD-KEYWORD-ALIASES","Ld-keyword-aliases","LD-KEYWORD-ALIASES",[10],"Abbreviation of some keyword commands"],
 ["ACL2____GENERALIZED-BOOLEANS","Generalized-booleans","GENERALIZED-BOOLEANS",[486],"Potential soundness issues related to ACL2 predicates"],
 ["ACL2____UNCERTIFIED-BOOKS","Uncertified-books","UNCERTIFIED-BOOKS",[30],"Invalid <see topic=\"ACL2____CERTIFICATE\">certificate</see>s and uncertified <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____MEASURE-DEBUG","Measure-debug","MEASURE-DEBUG",[1014,485],"Generate markers to indicate sources of <see topic=\"ACL2____MEASURE\">measure</see> proof obligations"],
 ["COMMON-LISP____PROGN","Progn","PROGN",[59],"Evaluate some <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____DEAD-EVENTS","Dead-events","DEAD-EVENTS",[485],"Using proof supporters to identify dead code and unused theorems"],
 ["ACL2____COMPRESS1","Compress1","COMPRESS1",[37,117],"Remove irrelevant pairs from a 1-dimensional array"],
 ["ACL2____USING-COMPUTED-HINTS-2","Using-computed-hints-2","USING-COMPUTED-HINTS-2",[824],"One Hint to Every Top-Level Goal in a Forcing Round"],
 ["ACL2____GENERALIZING-KEY-CHECKPOINTS","Generalizing-key-checkpoints","GENERALIZING-KEY-CHECKPOINTS",[12],"Getting rid of unnecessary specificity"],
 ["ACL2____UBT","Ubt","UBT",[85],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back through a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____MACRO-ALIASES-TABLE","Macro-aliases-table","MACRO-ALIASES-TABLE",[708],"A <see topic=\"ACL2____TABLE\">table</see> used to associate function names with macro names"],
 ["ACL2____FINALIZE-EVENT-USER","Finalize-event-user","FINALIZE-EVENT-USER",[619],"User-supplied code to complete <see topic=\"ACL2____EVENTS\">events</see>, e.g., with extra summary output"],
 ["ACL2____BREAK-LEMMA","Break-lemma","BREAK-LEMMA",[33],"A quick introduction to breaking rewrite rules in ACL2"],
 ["ACL2____TIDBITS","Tidbits","TIDBITS",[320],"Some basic hints for using ACL2"],
 ["ACL2____SET-SKIP-META-TERMP-CHECKS","Set-skip-meta-termp-checks","SET-SKIP-META-TERMP-CHECKS",[23,53],"Skip output checks for <see topic=\"ACL2____META\">meta</see> functions and <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see>s"],
 ["ACL2____NORMED","Normed","NORMED",[435],"Normed objects are ACL2 Objects that are \"canonical\" or \"unique\" \u000A in a certain sense."],
 ["ACL2____NOTE-2-6-RULES","Note-2-6-rules","NOTE-2-6-RULES",[761],"ACL2 Version  2.6 Notes on Changes in Rules and Constants"],
 ["ACL2____HONS-ACONS","Hons-acons","HONS-ACONS",[282,117],"<v>(<see topic=\"ACL2____HONS-ACONS\">hons-acons</see> key val alist)</v> is the main way to create or extend \u000A<see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____DEFABBREV","Defabbrev","DEFABBREV",[708,59,111],"A convenient form of macro definition for simple expansions"],
 ["ACL2____TRACE_12","Trace!","TRACE!",[468],"Trace the indicated functions after creating an active trust tag"],
 ["ACL2____ANNOTATED-ACL2-SCRIPTS","Annotated-ACL2-scripts","ANNOTATED-ACL2-SCRIPTS",[320],"Examples of ACL2 scripts"],
 ["ACL2____ADD-CUSTOM-KEYWORD-HINT","Add-custom-keyword-hint","ADD-CUSTOM-KEYWORD-HINT",[59],"Add a new custom keyword hint"],
 ["COMMON-LISP____NTH","Nth","NTH",[277,117],"The nth element (zero-based) of a list"],
 ["ACL2____REGENERATE-TAU-DATABASE","Regenerate-tau-database","REGENERATE-TAU-DATABASE",[59,119],"Regenerate the tau database relative to the current enabled theory"],
 ["COMMON-LISP_____B2","+","+",[193,117],"Addition macro"],
 ["ACL2____READ-FILE-INTO-STRING","Read-file-into-string","READ-FILE-INTO-STRING",[11],"The contents of a file as a string"],
 ["ACL2____PUFF_A2","Puff*","PUFF*",[85],"Replace a compound <see topic=\"ACL2____COMMAND\">command</see> by its subevents"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q1-ANSWER","Logic-knowledge-taken-for-granted-q1-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q1-ANSWER",[12],"The inductive step of the <v>rev-rev</v> proof -- Answer to Question 1"],
 ["ACL2____GUARD-EXAMPLE","Guard-example","GUARD-EXAMPLE",[1153,81],"A brief transcript illustrating <see topic=\"ACL2____GUARD\">guard</see>s in ACL2"],
 ["ACL2____GRANULARITY","Granularity","GRANULARITY",[336],"Limit the amount of parallelism"],
 ["COMMON-LISP____EQL","Eql","EQL",[174,86,117],"Test equality (of two numbers, symbols, or <see topic=\"ACL2____CHARACTERS\">characters</see>)"],
 ["ACL2____WHY-BRR","Why-brr","WHY-BRR",[33],"An explanation of why ACL2 has an explicit <tt><see topic=\"ACL2____BRR\">brr</see></tt> mode"],
 ["ACL2____SET-ENFORCE-REDUNDANCY","Set-enforce-redundancy","SET-ENFORCE-REDUNDANCY",[65],"Require most events to be redundant"],
 ["ACL2____LD-QUERY-CONTROL-ALIST","Ld-query-control-alist","LD-QUERY-CONTROL-ALIST",[10],"How to default answers to queries"],
 ["ACL2____IRRELEVANT-FORMALS","Irrelevant-formals","IRRELEVANT-FORMALS",[111],"Formals that are used but only insignificantly"],
 ["ACL2____TRUE-LISTP","True-listp","TRUE-LISTP",[277,117],"Recognizer for proper (null-terminated) lists"],
 ["ACL2____SET-STATE-OK","Set-state-ok","SET-STATE-OK",[5],"Allow the use of STATE as a formal parameter"],
 ["ACL2____MSG","Msg","MSG",[11,117],"Construct a ``message'' suitable for the <v>~@</v> directive of <tt><see topic=\"ACL2____FMT\">fmt</see></tt>"],
 ["ACL2____DEFUN-NX","Defun-nx","DEFUN-NX",[0,59],"Define a non-executable function symbol"],
 ["COMMON-LISP____SEARCH","Search","SEARCH",[277,553,117],"Search for a string or list in another string or list"],
 ["ACL2____STATE-GLOBAL-LET_A2","State-global-let*","STATE-GLOBAL-LET*",[43,117],"Bind <see topic=\"ACL2____STATE\">state</see> global variables"],
 ["ACL2____NOTE9","Note9","NOTE9",[167],"ACL2 Version 1.9 (Fall, 1996) Notes"],
 ["ACL2____CURRENT-PACKAGE","Current-package","CURRENT-PACKAGE",[10],"The package used for reading and printing"],
 ["ACL2____BDD","Bdd","BDD",[590],"Ordered binary decision diagrams with rewriting"],
 ["ACL2-PC_____D3","ACL2-pc::=","=",[183],"(atomic macro) \u000Aattempt an equality (or equivalence) substitution"],
 ["COMMON-LISP____AND","And","AND",[548,117],"Conjunction"],
 ["ACL2____USER-DEFINED-FUNCTIONS-TABLE","User-defined-functions-table","USER-DEFINED-FUNCTIONS-TABLE",[708],"An advanced <see topic=\"ACL2____TABLE\">table</see> used to replace certain system functions"],
 ["ACL2____TYPE-PRESCRIPTION-DEBUGGING","Type-prescription-debugging","TYPE-PRESCRIPTION-DEBUGGING",[485,24],"Improve a built-in <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rule"],
 ["ACL2____SET-ABSSTOBJ-DEBUG","Set-absstobj-debug","SET-ABSSTOBJ-DEBUG",[73],"Obtain debugging information upon atomicity violation for an abstract stobj"],
 ["ACL2____PE","Pe","PE",[85],"Print the events named by a logical name"],
 ["ACL2____NOTE-2-6-GUARDS","Note-2-6-guards","NOTE-2-6-GUARDS",[761],"ACL2 Version  2.6 Notes on Guard-related Changes"],
 ["ACL2____EVISC-TUPLE","Evisc-tuple","EVISC-TUPLE",[11],"Control suppression of details when printing"],
 ["ACL2____CONSES","Conses","CONSES",[111],"A <b>cons</b> is an ordered pair.  In ACL2, data structures like \u000A <see topic=\"ACL2____LISTS\">lists</see>, <see topic=\"ACL2____ALISTS\">alists</see>, etc., are made up of conses."],
 ["COMMON-LISP____PATHNAME","Pathname","PATHNAME",[840],"Introduction to filename conventions in ACL2"],
 ["ACL2____STOBJ-EXAMPLE-1-DEFUNS","Stobj-example-1-defuns","STOBJ-EXAMPLE-1-DEFUNS",[4],"The defuns created by the <v>counters</v> stobj"],
 ["ACL2____SET-GC-STRATEGY","Set-gc-strategy","SET-GC-STRATEGY",[484,117],"Set the garbage collection strategy (CCL only)"],
 ["ACL2____SET-FC-CRITERIA","Set-fc-criteria","SET-FC-CRITERIA",[103],"To set the tracking criteria for forward chaining reports"],
 ["ACL2____PL","Pl","PL",[85],"Print the rules for the given name or term"],
 ["ACL2____IN-TAU-INTERVALP","In-tau-intervalp","IN-TAU-INTERVALP",[41,117],"Boolean membership in a tau interval"],
 ["ACL2____DEFREC","Defrec","DEFREC",[59],"Introduce a record structure, like a <v>struct</v> in C."],
 ["ACL2____SET-RW-CACHE-STATE","Set-rw-cache-state","SET-RW-CACHE-STATE",[8],"Set the default rw-cache-state"],
 ["ACL2____PAND","Pand","PAND",[336,117],"Parallel, Boolean version of <tt><see topic=\"COMMON-LISP____AND\">and</see></tt>"],
 ["ACL2____INTERSECTION_42","Intersection$","INTERSECTION$",[277,117],"Elements of one list that are not elements of another"],
 ["ACL2_____04","@","@",[43,117],"Get the value of a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____SET-WATERFALL-PRINTING","Set-waterfall-printing","SET-WATERFALL-PRINTING",[104],"For ACL2(p): configuring the printing that occurs within the parallelized waterfall"],
 ["ACL2____NAME","Name","NAME",[59],"Syntactic rules on logical names"],
 ["ACL2____HONS-NOTE","Hons-note","HONS-NOTE",[435],"Notes about <see topic=\"ACL2____HONS\">hons</see>, especially pertaining to expensive resizing \u000A operations"],
 ["ACL2____GCL","Gcl","GCL",[484],"Tips on building and using ACL2 based on Gnu Common Lisp"],
 ["ACL2____ER","Er","ER",[911,117],"Print an error message and ``cause an error''"],
 ["ACL2____CW","Cw","CW",[11,117],"Print to the comment window"],
 ["ACL2____CASE-SPLIT","Case-split","CASE-SPLIT",[8,19,24,26,23,51],"Like force but immediately splits the top-level goal on the hypothesis"],
 ["COMMON-LISP____TYPE","Type","TYPE",[261],"Disambiguation page for <i>type</i>-related concepts."],
 ["COMMON-LISP____NOT","Not","NOT",[548,117],"Logical negation"],
 ["ACL2____PROG2_42","Prog2$","PROG2$",[1133,117],"Execute two forms and return the value of the second one"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-6","Practice-formulating-strong-rules-6","PRACTICE-FORMULATING-STRONG-RULES-6",[12],"Rules suggested by <v>(<see topic=\"COMMON-LISP____MEMBER\">MEMBER</see> (FOO A) (NATS-BELOW (BAR B)))</v>"],
 ["ACL2____NOTE-2-2","Note-2-2","NOTE-2-2",[167],"ACL2 Version  2.2 (August, 1998) Notes"],
 ["ACL2____FAST-ALIST-FORK","Fast-alist-fork","FAST-ALIST-FORK",[282,117],"<v>(<see topic=\"ACL2____FAST-ALIST-FORK\">fast-alist-fork</see> alist ans)</v> can be used to eliminate \u000A\"shadowed pairs\" from an alist or to copy <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____FAILURE","Failure","FAILURE",[485],"How to deal with a proof failure"],
 ["ACL2____DEFTHEORY-STATIC","Deftheory-static","DEFTHEORY-STATIC",[59,2],"Define a `static' theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2____BRR_04","Brr@","BRR@",[33],"To access context sensitive information within <tt><see topic=\"ACL2____BREAK-REWRITE\">break-rewrite</see></tt>"],
 ["ACL2____GUARD-QUICK-REFERENCE","Guard-quick-reference","GUARD-QUICK-REFERENCE",[81],"Brief summary of guard checking and guard verification"],
 ["ACL2____EXAMPLE-INDUCTIONS","Example-inductions","EXAMPLE-INDUCTIONS",[12],"Some examples of induction schemes in ACL2"],
 ["ACL2____TUTORIAL2-EIGHTS-PROBLEM","Tutorial2-eights-problem","TUTORIAL2-EIGHTS-PROBLEM",[358],"The Eights Problem Example"],
 ["ACL2____STARTUP","Startup","STARTUP",[320],"How to start using ACL2; the ACL2 <see topic=\"ACL2____COMMAND\">command</see> loop"],
 ["ACL2____DEFAULT-DEFUN-MODE","Default-defun-mode","DEFAULT-DEFUN-MODE",[484],"The default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> of <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>'d functions"],
 ["ACL2____ASET1","Aset1","ASET1",[37,117],"Set the elements of a 1-dimensional array"],
 ["ACL2____UNION_42","Union$","UNION$",[277,117],"Elements of one list that are not elements of another"],
 ["ACL2____SET-VERIFY-GUARDS-EAGERNESS","Set-verify-guards-eagerness","SET-VERIFY-GUARDS-EAGERNESS",[81],"The eagerness with which <see topic=\"ACL2____GUARD\">guard</see> verification is tried."],
 ["ACL2____PSTACK","Pstack","PSTACK",[485],"Seeing what the prover is up to"],
 ["ACL2____NOTE-2-7-SYSTEM","Note-2-7-system","NOTE-2-7-SYSTEM",[129],"ACL2 Version  2.7 Notes on System-level Changes"],
 ["ACL2____GUARDS-FOR-SPECIFICATION","Guards-for-specification","GUARDS-FOR-SPECIFICATION",[81],"Guards as a specification device"],
 ["ACL2____DEFTHEORY","Deftheory","DEFTHEORY",[59,2],"Define a theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2____COMMUNITY-BOOKS","Community-books","COMMUNITY-BOOKS",[30],"Libraries of ACL2 <see topic=\"ACL2____BOOKS\">books</see> developed by the ACL2 community."],
 ["ACL2____ACL2-AS-STANDALONE-PROGRAM","ACL2-as-standalone-program","ACL2-AS-STANDALONE-PROGRAM",[320],"Calling ACL2 from another program"],
 ["COMMON-LISP____LET_A2","Let*","LET*",[548,117],"Binding of lexically scoped (local) variables"],
 ["ACL2____THEORY-FUNCTIONS","Theory-functions","THEORY-FUNCTIONS",[2],"Functions for obtaining or producing <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____HONS-RESIZE","Hons-resize","HONS-RESIZE",[435,117],"<v>(<see topic=\"ACL2____HONS-RESIZE\">hons-resize</see> ...)</v> can be used to manually adjust the sizes of \u000Athe hash tables that govern which ACL2 Objects are considered <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____HONS","Hons","HONS",[111,66,117],"<v>(<see topic=\"ACL2____HONS\">hons</see> x y)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object equal to <v>(<see topic=\"COMMON-LISP____CONS\">cons</see> x\u000A  y)</v>."],
 ["ACL2____FULL-BOOK-NAME","Full-book-name","FULL-BOOK-NAME",[840],"Book naming conventions assumed by ACL2"],
 ["ACL2____COMMAND-DESCRIPTOR","Command-descriptor","COMMAND-DESCRIPTOR",[85],"An object describing a particular <see topic=\"ACL2____COMMAND\">command</see> typed by the user"],
 ["ACL2-PC____EXIT","ACL2-pc::exit","EXIT",[183],"(meta) \u000Aexit the interactive proof-checker"],
 ["ACL2____PRINTING-TO-STRINGS","Printing-to-strings","PRINTING-TO-STRINGS",[11],"Printing to strings instead of files or standard output"],
 ["ACL2____MAKE-TAU-INTERVAL","Make-tau-interval","MAKE-TAU-INTERVAL",[41,117],"Make a tau interval"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q2-ANSWER","Logic-knowledge-taken-for-granted-q2-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q2-ANSWER",[12],"The inductive step of the <v>rev-rev</v> proof -- Answer to Question 2"],
 ["ACL2____IMPLIES","Implies","IMPLIES",[548,117],"Logical implication"],
 ["ACL2____IGNORED-ATTACHMENT","Ignored-attachment","IGNORED-ATTACHMENT",[50],"Why attachments are sometimes not used"],
 ["ACL2____GUARD-OBLIGATION","Guard-obligation","GUARD-OBLIGATION",[81],"The guard proof obligation"],
 ["ACL2____BOOK-CONTENTS","Book-contents","BOOK-CONTENTS",[991],"Restrictions on the forms inside <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____SET-DEFAULT-HINTS","Set-default-hints","SET-DEFAULT-HINTS",[634],"Set the default hints"],
 ["ACL2____OBSERVATION","Observation","OBSERVATION",[11,117],"Print an observation"],
 ["ACL2____SHOW-BDD","Show-bdd","SHOW-BDD",[381],"Inspect failed BDD proof attempts"],
 ["ACL2____SET-MATCH-FREE-DEFAULT","Set-match-free-default","SET-MATCH-FREE-DEFAULT",[54],"Provide default for <v>:match-free</v> in future rules"],
 ["ACL2____ACL2_02Symbols","ACL2 Symbols","ACL2 Symbols",[83],"ACL2 Symbols"],
 ["ACL2____SET-INHIBIT-WARNINGS","Set-inhibit-warnings","SET-INHIBIT-WARNINGS",[619],"Control warnings"],
 ["ACL2____HONS-ACONS_12","Hons-acons!","HONS-ACONS!",[282,117],"<v>(<see topic=\"ACL2____HONS-ACONS_12\">hons-acons!</see> key val alist)</v> is an alternative to <tt><see topic=\"ACL2____HONS-ACONS\">hons-acons</see></tt> that produces <see topic=\"ACL2____NORMED\">normed</see>, fast alists."],
 ["ACL2____HARD-ERROR","Hard-error","HARD-ERROR",[911,117],"Print an error message and stop execution"],
 ["ACL2____AREF1","Aref1","AREF1",[37,117],"Access the elements of a 1-dimensional array"],
 ["COMMON-LISP____EQ","Eq","EQ",[174,86,117],"Equality of symbols"],
 ["ACL2_____A2STANDARD-CO_A2","*standard-co*","*STANDARD-CO*",[11,117],"The ACL2 analogue of CLTL's <v>*standard-output*</v>"],
 ["ACL2____ZP","Zp","ZP",[193,117],"Testing a ``natural'' against 0"],
 ["ACL2____WITH-LOCAL-STOBJ","With-local-stobj","WITH-LOCAL-STOBJ",[4,117],"Locally bind a single-threaded object"],
 ["ACL2____WITH-GUARD-CHECKING","With-guard-checking","WITH-GUARD-CHECKING",[81,117],"Suppressing or enable guard-checking for a form"],
 ["ACL2____VERIFY-GUARDS_B2","Verify-guards+","VERIFY-GUARDS+",[59],"Verify the <see topic=\"ACL2____GUARD\">guard</see>s of a function"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING-REPEATEDLY","Logic-knowledge-taken-for-granted-rewriting-repeatedly","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING-REPEATEDLY",[12],"Further information on expanding definitions via rewriting"],
 ["ACL2____DISASSEMBLE_42","Disassemble$","DISASSEMBLE$",[76,485],"Disassemble a function"],
 ["ACL2____DEFLOCK","Deflock","DEFLOCK",[336],"Define a wrapper macro that provides mutual exclusion in ACL2(p)"],
 ["ACL2____ASSIGN","Assign","ASSIGN",[43,117],"Assign to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____WITH-SERIALIZE-CHARACTER","With-serialize-character","WITH-SERIALIZE-CHARACTER",[811,117],"Control output mode for <v>print-object$</v>"],
 ["ACL2____NOTE-2-8-OTHER","Note-2-8-other","NOTE-2-8-OTHER",[106],"ACL2 Version  2.8 Notes on Miscellaneous Changes"],
 ["ACL2____GET-INTERNAL-TIME","Get-internal-time","GET-INTERNAL-TIME",[111,117],"Runtime vs. realtime in ACL2 timings"],
 ["COMMON-LISP____TRACE","Trace","TRACE",[485],"Tracing functions in ACL2"],
 ["COMMON-LISP____REMOVE-DUPLICATES","Remove-duplicates","REMOVE-DUPLICATES",[277,553,117],"Remove duplicates from a string or a list"],
 ["ACL2____KEYWORD-COMMANDS","Keyword-commands","KEYWORD-COMMANDS",[10],"How keyword commands like <v>:u</v> and <v>:pbt</v> are processed"],
 ["ACL2____GUARD-INTRODUCTION","Guard-introduction","GUARD-INTRODUCTION",[81],"Introduction to <see topic=\"ACL2____GUARD\">guard</see>s in ACL2"],
 ["ACL2____GUARD-EVALUATION-EXAMPLES-SCRIPT","Guard-evaluation-examples-script","GUARD-EVALUATION-EXAMPLES-SCRIPT",[81],"A script to show combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____EQUIVALENT-FORMULAS-DIFFERENT-REWRITE-RULES","Equivalent-formulas-different-rewrite-rules","EQUIVALENT-FORMULAS-DIFFERENT-REWRITE-RULES",[12],"Logically equivalent formulas can generate radically different rules"],
 ["ACL2____BIND-FREE-EXAMPLES","Bind-free-examples","BIND-FREE-EXAMPLES",[95],"Examples pertaining to <tt><see topic=\"ACL2____BIND-FREE\">bind-free</see></tt> hypotheses"],
 ["ACL2____ADD-INCLUDE-BOOK-DIR_12","Add-include-book-dir!","ADD-INCLUDE-BOOK-DIR!",[840],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly link keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> \u000Aand <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2____USING-TABLES-EFFICIENTLY","Using-tables-efficiently","USING-TABLES-EFFICIENTLY",[3],"Notes on how to use tables efficiently"],
 ["ACL2____TYPE-ALIST","Type-alist","TYPE-ALIST",[52],"An ACL2 representation of contextual knowledge"],
 ["ACL2____TIME-TRACKER-TAU","Time-tracker-tau","TIME-TRACKER-TAU",[41],"Messages about expensive use of the <see topic=\"ACL2____TAU-SYSTEM\">tau-system</see>"],
 ["ACL2____SYS-CALL_B2","Sys-call+","SYS-CALL+",[326,117],"Make a system call to the host OS, returning status and output"],
 ["ACL2____REFINEMENT","Refinement","REFINEMENT",[7],"Record that one equivalence relation refines another"],
 ["ACL2____PKG-IMPORTS","Pkg-imports","PKG-IMPORTS",[632],"List of symbols imported into a given package"],
 ["ACL2____PARALLELISM-AT-THE-TOP-LEVEL","Parallelism-at-the-top-level","PARALLELISM-AT-THE-TOP-LEVEL",[336],"Parallel execution in the ACL2 top-level loop"],
 ["ACL2____PARALLEL-PUSHING-OF-SUBGOALS-FOR-INDUCTION","Parallel-pushing-of-subgoals-for-induction","PARALLEL-PUSHING-OF-SUBGOALS-FOR-INDUCTION",[981],"Consequences of how parallelized proofs of subgoals are pushed for induction"],
 ["ACL2____MISCELLANEOUS","Miscellaneous","MISCELLANEOUS",[590],"A miscellany of documented functions and concepts \u000A               (often cited in more accessible <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see>)"],
 ["ACL2____DEBUGGING","Debugging","DEBUGGING",[1228,590],"Tools for debugging failed or slow proofs, or misbehaving \u000A functions."],
 ["ACL2____COMMON-LISP","Common-lisp","COMMON-LISP",[730],"Relation to Common Lisp, including deviations from the spec"],
 ["ACL2____TYPE-SET-INVERTER","Type-set-inverter","TYPE-SET-INVERTER",[7],"Exhibit a new decoding for an ACL2 type-set"],
 ["ACL2____SET-COMPILE-FNS","Set-compile-fns","SET-COMPILE-FNS",[76],"Have each function compiled as you go along."],
 ["ACL2____BREAK-ON-ERROR","Break-on-error","BREAK-ON-ERROR",[468,117],"Break when encountering a hard or soft error caused by ACL2"],
 ["ACL2-PC____IN-THEORY","ACL2-pc::in-theory","IN-THEORY",[183],"(primitive) \u000Aset the current proof-checker theory"],
 ["ACL2____BREAKS","Breaks","BREAKS",[911],"Common Lisp breaks"],
 ["ACL2____STANDARD-OI","Standard-oi","STANDARD-OI",[11,117],"The standard object input ``channel''"],
 ["ACL2____SET-SAVED-OUTPUT","Set-saved-output","SET-SAVED-OUTPUT",[90],"Save proof output for later display with <v>:</v><tt><see topic=\"ACL2____PSO\">pso</see></tt> or \u000A  <v>:</v><tt><see topic=\"ACL2____PSO_12\">pso!</see></tt>"],
 ["ACL2____REBUILD","Rebuild","REBUILD",[10],"A convenient way to reconstruct your old <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____QUANTIFIERS","Quantifiers","QUANTIFIERS",[48],"Issues about quantification in ACL2"],
 ["ACL2____NOTE8-UPDATE","Note8-update","NOTE8-UPDATE",[167],"ACL2 Version 1.8 (Summer, 1995) Notes"],
 ["ACL2____NOTE-3-5_82R_92","Note-3-5(r)","NOTE-3-5(R)",[167],"ACL2 Version  3.5(r) (May, 2009) Notes"],
 ["ACL2____NIL-GOAL","Nil-goal","NIL-GOAL",[485],"How to proceed when the prover generates a goal of <v>nil</v>"],
 ["ACL2____MV-NTH","Mv-nth","MV-NTH",[97,117],"The mv-nth element (zero-based) of a list"],
 ["ACL2____HONS-WASH","Hons-wash","HONS-WASH",[435,117],"<v>(<see topic=\"ACL2____HONS-WASH\">hons-wash</see>)</v> is like <tt><see topic=\"ACL2____GC_42\">gc$</see></tt> but can also garbage collect \u000A<see topic=\"ACL2____NORMED\">normed</see> objects (CCL and GCL Only)."],
 ["ACL2____HIDDEN-DEATH-PACKAGE","Hidden-death-package","HIDDEN-DEATH-PACKAGE",[632,25],"Handling <tt><see topic=\"ACL2____DEFPKG\">defpkg</see></tt> <see topic=\"ACL2____EVENTS\">events</see> that are <tt><see topic=\"ACL2____LOCAL\">local</see></tt>"],
 ["ACL2____FUNCTIONAL-INSTANTIATION-EXAMPLE","Functional-instantiation-example","FUNCTIONAL-INSTANTIATION-EXAMPLE",[1239,1153],"A small proof demonstrating functional instantiation"],
 ["ACL2____DEFAXIOM","Defaxiom","DEFAXIOM",[59],"Add an axiom"],
 ["ACL2____DECLARE-STOBJS","Declare-stobjs","DECLARE-STOBJS",[4,27],"Declaring a formal parameter name to be a single-threaded object"],
 ["ACL2-PC____TYPE-ALIST","ACL2-pc::type-alist","TYPE-ALIST",[183],"(macro) \u000Adisplay the <see topic=\"ACL2____TYPE-ALIST\">type-alist</see> from the current context"],
 ["ACL2-PC____S","ACL2-pc::s","S",[183],"(primitive) \u000Asimplify the current subterm"],
 ["ACL2____PUSH-UNTOUCHABLE","Push-untouchable","PUSH-UNTOUCHABLE",[20],"Add name or list of names to the list of untouchable symbols"],
 ["ACL2____PROOF-TREE-DETAILS","Proof-tree-details","PROOF-TREE-DETAILS",[92],"Proof tree details not covered elsewhere"],
 ["ACL2____POST-INDUCTION-KEY-CHECKPOINTS","Post-induction-key-checkpoints","POST-INDUCTION-KEY-CHECKPOINTS",[12],"Reading post-induction key checkpoints"],
 ["ACL2____NOTE-2-6-SYSTEM","Note-2-6-system","NOTE-2-6-SYSTEM",[761],"ACL2 Version  2.6 Notes on System-level Changes"],
 ["ACL2____NOTE-2-3","Note-2-3","NOTE-2-3",[167],"ACL2 Version  2.3 (October, 1998) Notes"],
 ["ACL2____NON-EXEC","Non-exec","NON-EXEC",[81,117],"Mark code as non-executable"],
 ["ACL2____LD-PROMPT","Ld-prompt","LD-PROMPT",[10],"Determines the <see topic=\"ACL2____PROMPT\">prompt</see> printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____LAST-PROVER-STEPS","Last-prover-steps","LAST-PROVER-STEPS",[127,118,43,117],"The number of prover steps most recently taken"],
 ["ACL2____EVISC-TABLE","Evisc-table","EVISC-TABLE",[59],"Support for abbreviated output"],
 ["COMMON-LISP_____C3","&lt;","<",[193,117],"Less-than"],
 ["COMMON-LISP____INTERN","Intern","INTERN",[1114,632,117],"Create a new symbol in a given package"],
 ["COMMON-LISP____CONSP","Consp","CONSP",[390,117],"Recognizer for <see topic=\"COMMON-LISP____CONS\">cons</see> pairs"],
 ["ACL2____WALKABOUT","Walkabout","WALKABOUT",[485],"Explore an ACL2 cons tree"],
 ["ACL2____THEORIES-AND-PRIMITIVES","Theories-and-primitives","THEORIES-AND-PRIMITIVES",[2],"Warnings from disabling certain built-in functions"],
 ["ACL2____TAU-INTERVALP","Tau-intervalp","TAU-INTERVALP",[41],"Boolean recognizer for tau intervals"],
 ["ACL2____STOBJ-EXAMPLE-2","Stobj-example-2","STOBJ-EXAMPLE-2",[4],"An example of the use of arrays in single-threaded objects"],
 ["ACL2____STOBJ-EXAMPLE-1-IMPLEMENTATION","Stobj-example-1-implementation","STOBJ-EXAMPLE-1-IMPLEMENTATION",[4],"The implementation of the <v>counters</v> stobj"],
 ["ACL2____SPEC-MV-LET","Spec-mv-let","SPEC-MV-LET",[336,117],"Modification of <tt><see topic=\"ACL2____MV-LET\">mv-let</see></tt> supporting speculative and parallel execution"],
 ["ACL2____PROMPT","Prompt","PROMPT",[10],"The prompt printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____OTF-FLG","Otf-flg","OTF-FLG",[64,604,22],"Allow more than one initial subgoal to be pushed for induction"],
 ["ACL2____ERROR-TRIPLES-AND-PARALLELISM","Error-triples-and-parallelism","ERROR-TRIPLES-AND-PARALLELISM",[336],"How to avoid error triples in ACL2(p)"],
 ["ACL2____ADD-MACRO-FN","Add-macro-fn","ADD-MACRO-FN",[708],"Associate a function name with a macro name"],
 ["ACL2____ADD-DEFAULT-HINTS","Add-default-hints","ADD-DEFAULT-HINTS",[634],"Add to the default hints"],
 ["ACL2____WITHOUT-EVISC","Without-evisc","WITHOUT-EVISC",[11,117],"Print output in full"],
 ["ACL2____TRANS","Trans","TRANS",[708],"Print the macroexpansion of a form"],
 ["ACL2____TOP-LEVEL","Top-level","TOP-LEVEL",[484],"Evaluate a top-level form as a function body"],
 ["ACL2____SET-TOTAL-PARALLELISM-WORK-LIMIT","Set-total-parallelism-work-limit","SET-TOTAL-PARALLELISM-WORK-LIMIT",[104],"For ACL2(p): set thread limit for parallelism primitives"],
 ["ACL2____SET-GUARD-MSG","Set-guard-msg","SET-GUARD-MSG",[81,485],"Specify what is printed when a <see topic=\"ACL2____GUARD\">guard</see> is violated"],
 ["ACL2____HONS-CLEAR","Hons-clear","HONS-CLEAR",[435,117],"<v>(<see topic=\"ACL2____HONS-CLEAR\">hons-clear</see> gc)</v> is a drastic garbage collection mechanism that \u000Aclears out the underlying Hons Space."],
 ["ACL2____ERROR-TRIPLE","Error-triple","ERROR-TRIPLE",[911,43],"A common ACL2 programming idiom"],
 ["ACL2____CURRENT-THEORY","Current-theory","CURRENT-THEORY",[2,433],"Currently <see topic=\"ACL2____ENABLE\">enable</see>d rules as of logical name"],
 ["ACL2____CHECK-SUM","Check-sum","CHECK-SUM",[28],"Assigning ``often unique'' integers to files and objects"],
 ["ACL2-PC____COMM","ACL2-pc::comm","COMM",[183],"(macro) \u000Adisplay instructions from the current interactive session"],
 ["ACL2-PC____CASESPLIT","ACL2-pc::casesplit","CASESPLIT",[183],"(primitive) \u000Asplit into two cases"],
 ["COMMON-LISP_____A2","*","*",[193,117],"Multiplication macro"],
 ["COMMON-LISP____OR","Or","OR",[548,117],"Disjunction"],
 ["ACL2____WITH-FAST-ALIST","With-fast-alist","WITH-FAST-ALIST",[282,117],"<v>(<see topic=\"ACL2____WITH-FAST-ALIST\">with-fast-alist</see> name form)</v> causes <v>name</v> to be a fast alist \u000Afor the execution of <v>form</v>."],
 ["ACL2____The_02Event_02Summary","The Event Summary","The Event Summary",[83],"The Event Summary"],
 ["ACL2____SPECIAL-CASES-FOR-REWRITE-RULES","Special-cases-for-rewrite-rules","SPECIAL-CASES-FOR-REWRITE-RULES",[12],"Convenient short forms for rewrite rule formulas"],
 ["ACL2____READER","Reader","READER",[484],"Reading expressions in the ACL2 read-eval-print loop"],
 ["ACL2____NQTHM-TO-ACL2","Nqthm-to-ACL2","NQTHM-TO-ACL2",[320],"ACL2 analogues of Nqthm functions and commands"],
 ["ACL2____BASICS","Basics","BASICS",[111],"Basic control structures for <see topic=\"ACL2____PROGRAMMING\">programming</see> like <see topic=\"COMMON-LISP____IF\">if</see> and \u000A <see topic=\"COMMON-LISP____COND\">cond</see>, binding operators like <see topic=\"COMMON-LISP____LET\">let</see> and <see topic=\"COMMON-LISP____FLET\">flet</see>, multiple-value \u000A constructs like <see topic=\"ACL2____MV\">mv</see>, and so forth."],
 ["ACL2-PC____ADD-ABBREVIATION","ACL2-pc::add-abbreviation","ADD-ABBREVIATION",[183],"(primitive) \u000Aadd an abbreviation"],
 ["COMMON-LISP____LIST","List","LIST",[277,117],"Build a list"],
 ["ACL2____WITH-LOCAL-STATE","With-local-state","WITH-LOCAL-STATE",[4,117],"Locally bind state"],
 ["ACL2____UNSUPPORTED-PARALLELISM-FEATURES","Unsupported-parallelism-features","UNSUPPORTED-PARALLELISM-FEATURES",[104],"ACL2 features not supported in ACL2(p)"],
 ["ACL2____STRINGS","Strings","STRINGS",[111],"Strings are atomic objects that contain character sequences, \u000A like <v>&quot;Hello World&quot;</v>."],
 ["ACL2____POR","Por","POR",[336,117],"Parallel, Boolean version of <tt><see topic=\"COMMON-LISP____OR\">or</see></tt>"],
 ["ACL2____LD-PRE-EVAL-PRINT","Ld-pre-eval-print","LD-PRE-EVAL-PRINT",[10],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> prints the forms to be <v>eval</v>'d"],
 ["ACL2____INVISIBLE-FNS-TABLE","Invisible-fns-table","INVISIBLE-FNS-TABLE",[80],"Functions that are invisible to the <see topic=\"ACL2____LOOP-STOPPER\">loop-stopper</see> algorithm"],
 ["ACL2____FREE-VARIABLES-TYPE-PRESCRIPTION","Free-variables-type-prescription","FREE-VARIABLES-TYPE-PRESCRIPTION",[54],"Matching for free variable in <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rules"],
 ["ACL2____FORMULA","Formula","FORMULA",[85,1,117],"The formula of a name or <see topic=\"ACL2____RUNE\">rune</see>"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-WITH-ACCUMULATORS","Example-induction-scheme-with-accumulators","EXAMPLE-INDUCTION-SCHEME-WITH-ACCUMULATORS",[12],"Induction scheme with accumulators"],
 ["ACL2____DOCUMENTATION-COPYRIGHT","Documentation-copyright","DOCUMENTATION-COPYRIGHT",[728,21],"Copyright and authorship of documentation"],
 ["ACL2____Common_02Lisp","Common Lisp","Common Lisp",[83],"Common Lisp"],
 ["ACL2____CW-GSTACK","Cw-gstack","CW-GSTACK",[33,485],"Debug a rewriting loop or stack overflow"],
 ["ACL2____About_02Types","About Types","About Types",[83],"About Types"],
 ["ACL2____ACL2-USER","ACL2-user","ACL2-USER",[632],"A package the ACL2 user may prefer"],
 ["ACL2____VALUE-TRIPLE","Value-triple","VALUE-TRIPLE",[59,117],"Compute a value, optionally checking that it is not <v>nil</v>"],
 ["ACL2____The_02Tours","The Tours","The Tours",[83],"The Tours"],
 ["ACL2____STANDARD-CO","Standard-co","STANDARD-CO",[11,117],"The character output channel to which <tt><see topic=\"ACL2____LD\">ld</see></tt> prints"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-5","Practice-formulating-strong-rules-5","PRACTICE-FORMULATING-STRONG-RULES-5",[12],"Rules suggested by <v>(<see topic=\"COMMON-LISP____SUBSETP\">SUBSETP</see> (FOO A) (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (BAR B) (MUM C)))</v>"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-4","Introductory-challenge-problem-4","INTRODUCTORY-CHALLENGE-PROBLEM-4",[12],"Challenge problem 4 for the new user of ACL2"],
 ["ACL2____FLUSH-COMPRESS","Flush-compress","FLUSH-COMPRESS",[37,117],"Flush the under-the-hood array for the given name"],
 ["ACL2-PC____HYPS","ACL2-pc::hyps","HYPS",[183],"(macro) \u000Aprint the hypotheses"],
 ["ACL2-PC____DV","ACL2-pc::dv","DV",[183],"(atomic macro) \u000Amove to the indicated subterm"],
 ["COMMON-LISP____ASSOC","Assoc","ASSOC",[647,117],"Look up key in association list"],
 ["ACL2____SET-PARALLEL-EXECUTION","Set-parallel-execution","SET-PARALLEL-EXECUTION",[104],"For ACL2(p): enabling parallel execution for four parallelism primitives"],
 ["ACL2____SET-MATCH-FREE-ERROR","Set-match-free-error","SET-MATCH-FREE-ERROR",[54],"Control error vs. warning when <v>:match-free</v> is missing"],
 ["ACL2____OK-IF","Ok-if","OK-IF",[33],"Conditional exit from <v>break-rewrite</v>"],
 ["ACL2____GIT-QUICK-START","Git-quick-start","GIT-QUICK-START",[730],"Git quick start guide"],
 ["ACL2____FILE-READING-EXAMPLE","File-reading-example","FILE-READING-EXAMPLE",[1153],"Example of reading files in ACL2"],
 ["ACL2____Corroborating_02Models","Corroborating Models","Corroborating Models",[83],"Corroborating Models"],
 ["ACL2____CASE-MATCH","Case-match","CASE-MATCH",[548,117],"Pattern matching or destructuring"],
 ["COMMON-LISP____-","-","-",[193,117],"Macro for subtraction and negation"],
 ["ACL2____USING-COMPUTED-HINTS-8","Using-computed-hints-8","USING-COMPUTED-HINTS-8",[824],"Some Final Comments"],
 ["ACL2____RESET-PREHISTORY","Reset-prehistory","RESET-PREHISTORY",[85],"Reset the prehistory"],
 ["ACL2____PARGS","Pargs","PARGS",[336,117],"Parallel evaluation of arguments in a function call"],
 ["ACL2____NOTE-4-0-WORMHOLE-CHANGES","Note-4-0-wormhole-changes","NOTE-4-0-WORMHOLE-CHANGES",[212],"How to convert calls of wormhole for Version  4.0"],
 ["ACL2____MACRO-ARGS","Macro-args","MACRO-ARGS",[708],"The formals list of a macro definition"],
 ["ACL2____EARLY-TERMINATION","Early-termination","EARLY-TERMINATION",[336],"Early termination for <tt><see topic=\"ACL2____PAND\">pand</see></tt> and <tt><see topic=\"ACL2____POR\">por</see></tt>."],
 ["ACL2____DISABLEDP","Disabledp","DISABLEDP",[2],"Determine whether a given name or rune is disabled"],
 ["ACL2____CLAUSE-IDENTIFIER","Clause-identifier","CLAUSE-IDENTIFIER",[278],"The internal form of a <see topic=\"ACL2____GOAL-SPEC\">goal-spec</see>"],
 ["ACL2____ACL2","ACL2","ACL2",[1228],"ACL2 documentation (system only, not including the community books)"],
 ["ACL2-PC____X","ACL2-pc::x","X",[183],"(atomic macro) \u000Aexpand and (maybe) simplify function call at the current subterm"],
 ["COMMON-LISP____RASSOC","Rassoc","RASSOC",[647,117],"Look up value in association list"],
 ["COMMON-LISP____POSITION","Position","POSITION",[277,553,117],"Position of an item in a string or a list"],
 ["ACL2____UNIVERSAL-THEORY","Universal-theory","UNIVERSAL-THEORY",[2,433],"All rules as of logical name"],
 ["ACL2____PROTECT-MEMOIZE-STATISTICS","Protect-memoize-statistics","PROTECT-MEMOIZE-STATISTICS",[36],"Ensure the integrity of memoization statistics even upon aborts"],
 ["ACL2____PROFILE","Profile","PROFILE",[59],"Turn on profiling for one function"],
 ["ACL2____PR","Pr","PR",[85],"Print the rules stored by the event with the given name"],
 ["ACL2____INTERN-IN-PACKAGE-OF-SYMBOL","Intern-in-package-of-symbol","INTERN-IN-PACKAGE-OF-SYMBOL",[1114,632,117],"Create a symbol with a given name"],
 ["ACL2____DEFUND","Defund","DEFUND",[0,59],"Define a function symbol and then disable it"],
 ["ACL2____DEFCONG","Defcong","DEFCONG",[59],"Prove <see topic=\"ACL2____CONGRUENCE\">congruence</see> rule"],
 ["ACL2____BRR-COMMANDS","Brr-commands","BRR-COMMANDS",[33],"<see topic=\"ACL2____BREAK-REWRITE\">Break-Rewrite</see> Commands"],
 ["ACL2____ASET2","Aset2","ASET2",[37,117],"Set the elements of a 2-dimensional array"],
 ["ACL2____USING-ENABLED-RULES","Using-enabled-rules","USING-ENABLED-RULES",[2],"Avoiding <v>:use</v> <see topic=\"ACL2____HINTS\">hints</see> for <see topic=\"ACL2____ENABLE\">enable</see>d <v>:</v><tt><see topic=\"ACL2____REWRITE\">rewrite</see></tt> rules"],
 ["ACL2____THM","Thm","THM",[484],"Prove a theorem"],
 ["ACL2____SET-DIFFERENCE_42","Set-difference$","SET-DIFFERENCE$",[277,117],"Elements of one list that are not elements of another"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES","Practice-formulating-strong-rules","PRACTICE-FORMULATING-STRONG-RULES",[12],"A few simple checkpoints suggesting strong rules"],
 ["ACL2____DIVE-INTO-MACROS-TABLE","Dive-into-macros-table","DIVE-INTO-MACROS-TABLE",[47,572],"Right-associated function information for the <see topic=\"ACL2____PROOF-CHECKER\">proof-checker</see>"],
 ["ACL2____COMPRESS2","Compress2","COMPRESS2",[37,117],"Remove irrelevant pairs from a 2-dimensional array"],
 ["ACL2-PC____EQUIV","ACL2-pc::equiv","EQUIV",[183],"(primitive) \u000Aattempt an equality (or congruence-based) substitution"],
 ["ACL2____TTAGS-SEEN","Ttags-seen","TTAGS-SEEN",[484],"List some declared trust tags (ttags)"],
 ["ACL2____SET-TOTAL-PARALLELISM-WORK-LIMIT-ERROR","Set-total-parallelism-work-limit-error","SET-TOTAL-PARALLELISM-WORK-LIMIT-ERROR",[104],"For ACL2(p): control the action taken when the thread limit is exceeded"],
 ["ACL2____SET-INVISIBLE-FNS-TABLE","Set-invisible-fns-table","SET-INVISIBLE-FNS-TABLE",[80],"Set the invisible functions table"],
 ["ACL2____PACKAGE-REINCARNATION-IMPORT-RESTRICTIONS","Package-reincarnation-import-restrictions","PACKAGE-REINCARNATION-IMPORT-RESTRICTIONS",[632],"Re-defining undone <tt><see topic=\"ACL2____DEFPKG\">defpkg</see></tt>s"],
 ["ACL2____GUARD-HOLDERS","Guard-holders","GUARD-HOLDERS",[7,29,81],"Remove trivial calls from a <see topic=\"ACL2____TERM\">term</see>"],
 ["ACL2____CANONICAL-PATHNAME","Canonical-pathname","CANONICAL-PATHNAME",[43,117],"The true absolute filename, with soft links resolved"],
 ["ACL2____An_02Example_02of_02ACL2_02in_02Use","An Example of ACL2 in Use","An Example of ACL2 in Use",[83],"An Example of ACL2 in Use"],
 ["ACL2____SET-DEFAULT-BACKCHAIN-LIMIT","Set-default-backchain-limit","SET-DEFAULT-BACKCHAIN-LIMIT",[113],"Sets the default backchain-limit used when admitting a rule"],
 ["ACL2____SET-BOGUS-MUTUAL-RECURSION-OK","Set-bogus-mutual-recursion-ok","SET-BOGUS-MUTUAL-RECURSION-OK",[55],"Allow unnecessary ``mutual recursion''"],
 ["ACL2____PROVER-OUTPUT","Prover-output","PROVER-OUTPUT",[590],"Methods for controlling the output produced by ACL2 during proofs and \u000Ain other situations."],
 ["ACL2____OUTPUT-TO-FILE","Output-to-file","OUTPUT-TO-FILE",[11],"Redirecting output to a file"],
 ["ACL2____MV-LIST","Mv-list","MV-LIST",[97,117],"Converting multiple-valued result to a single-valued list"],
 ["ACL2____HONS-COPY","Hons-copy","HONS-COPY",[435,117],"<v>(<see topic=\"ACL2____HONS-COPY\">hons-copy</see> x)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object that is equal to \u000A  X."],
 ["ACL2____Guards_02in_02ACL2","Guards in ACL2","Guards in ACL2",[83],"Guards"],
 ["ACL2____GET-EVENT-DATA","Get-event-data","GET-EVENT-DATA",[200,619],"Obtain data stored after at the conclusion of an event"],
 ["ACL2____FAST-ALIST-CLEAN","Fast-alist-clean","FAST-ALIST-CLEAN",[282,117],"<v>(<see topic=\"ACL2____FAST-ALIST-CLEAN\">fast-alist-clean</see> alist)</v> can be used to eliminate \u000A \"shadowed pairs\" from a fast alist."],
 ["ACL2____CALLING-LD-IN-BAD-CONTEXTS","Calling-ld-in-bad-contexts","CALLING-LD-IN-BAD-CONTEXTS",[10],"Errors caused by calling <tt><see topic=\"ACL2____LD\">ld</see></tt> in inappropriate contexts"],
 ["ACL2-PC____DIVE","ACL2-pc::dive","DIVE",[183],"(primitive) \u000Amove to the indicated subterm"],
 ["ACL2____TERMP","Termp","TERMP",[117],"recognizer for the quotation of a term"],
 ["ACL2____SYMBOL-PACKAGE-NAME","Symbol-package-name","SYMBOL-PACKAGE-NAME",[947,632,117],"The name of the package of a symbol (a string)"],
 ["ACL2____P_12","P!","P!",[10],"To pop up (at least) one level of ACL2's command loop"],
 ["ACL2____PUT-ASSOC","Put-assoc","PUT-ASSOC",[647,117],"Modify an association list by associating a value with a key"],
 ["ACL2____PACKAGES","Packages","PACKAGES",[111],"Collections of symbols that act as namespaces."],
 ["ACL2____LEN","Len","LEN",[277,117],"Length of a list"],
 ["ACL2____DEFAULT-HINTS","Default-hints","DEFAULT-HINTS",[14],"A list of hints added to every proof attempt"],
 ["ACL2____ACL2P-KEY-CHECKPOINTS","ACL2p-key-checkpoints","ACL2P-KEY-CHECKPOINTS",[981],"Key checkpoints in ACL2(p)"],
 ["COMMON-LISP____SUBSETP","Subsetp","SUBSETP",[277,117],"Test if every <tt><see topic=\"COMMON-LISP____MEMBER\">member</see></tt> of one list is a <tt><see topic=\"COMMON-LISP____MEMBER\">member</see></tt> of the other"],
 ["COMMON-LISP____REMOVE","Remove","REMOVE",[277,117],"Remove all occurrences"],
 ["ACL2____SET-BACKCHAIN-LIMIT","Set-backchain-limit","SET-BACKCHAIN-LIMIT",[113],"Sets the backchain-limit used by the type-set and rewriting mechanisms"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-2","Practice-formulating-strong-rules-2","PRACTICE-FORMULATING-STRONG-RULES-2",[12],"Rules suggested by <v>(<see topic=\"ACL2____TRUE-LISTP\">TRUE-LISTP</see> (REV (FOO A)))</v>"],
 ["ACL2____NOTE-3-6-1","Note-3-6-1","NOTE-3-6-1",[167],"ACL2 Version  3.6.1 (September, 2009) Notes"],
 ["ACL2____NOTE-2-8-RULES","Note-2-8-rules","NOTE-2-8-RULES",[106],"ACL2 Version  2.8 Notes on Changes in Rules, Definitions, and Constants"],
 ["ACL2____INTRODUCTORY-CHALLENGES","Introductory-challenges","INTRODUCTORY-CHALLENGES",[12],"Challenge problems for the new ACL2 user"],
 ["ACL2____DEFSTUB","Defstub","DEFSTUB",[59],"Stub-out a function symbol"],
 ["ACL2____DEFLABEL","Deflabel","DEFLABEL",[59],"Build a landmark"],
 ["ACL2____CHARACTER-ENCODING","Character-encoding","CHARACTER-ENCODING",[11],"How bytes are parsed into characters"],
 ["ACL2____ASSERT-EVENT","Assert-event","ASSERT-EVENT",[59],"Assert that a given form returns a non-<v>nil</v> value"],
 ["ACL2____ALISTS","Alists","ALISTS",[111],"Operations on association lists, which bind keys to values."],
 ["ACL2-PC____GENERALIZE","ACL2-pc::generalize","GENERALIZE",[183],"(primitive) \u000Aperform a generalization"],
 ["ACL2____WITH-OUTPUT-LOCK","With-output-lock","WITH-OUTPUT-LOCK",[336,117],"Provides a mutual-exclusion mechanism for performing output in parallel"],
 ["ACL2____USING-COMPUTED-HINTS-5","Using-computed-hints-5","USING-COMPUTED-HINTS-5",[824],"Debugging Computed Hints"],
 ["ACL2____THEORY","Theory","THEORY",[2,433],"Retrieve named theory"],
 ["ACL2____SOLUTION-TO-SIMPLE-EXAMPLE","Solution-to-simple-example","SOLUTION-TO-SIMPLE-EXAMPLE",[358],"Solution to a simple example"],
 ["ACL2____SET-PRINT-CLAUSE-IDS","Set-print-clause-ids","SET-PRINT-CLAUSE-IDS",[619],"Cause subgoal numbers to be printed when <v>'prove</v> output is \u000A  inhibited"],
 ["ACL2____SET-LET_A2-ABSTRACTIONP","Set-let*-abstractionp","SET-LET*-ABSTRACTIONP",[619],"To shorten many prettyprinted clauses"],
 ["ACL2____REMOVE1","Remove1","REMOVE1",[277,117],"Remove first occurrences, testing using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____QUICK-AND-DIRTY-SUBSUMPTION-REPLACEMENT-STEP","Quick-and-dirty-subsumption-replacement-step","QUICK-AND-DIRTY-SUBSUMPTION-REPLACEMENT-STEP",[485],"(advanced topic) controlling a heuristic in the prover's clausifier"],
 ["ACL2____OPEN-OUTPUT-CHANNEL_12","Open-output-channel!","OPEN-OUTPUT-CHANNEL!",[11,117],"When trust tags are needed to open output channels"],
 ["ACL2____NOTE-2-8-PROOF-CHECKER","Note-2-8-proof-checker","NOTE-2-8-PROOF-CHECKER",[106],"ACL2 Version  2.8 Notes on Proof-checker Changes"],
 ["ACL2____LD-PRE-EVAL-FILTER","Ld-pre-eval-filter","LD-PRE-EVAL-FILTER",[10],"Determines which forms <tt><see topic=\"ACL2____LD\">ld</see></tt> evaluates"],
 ["ACL2____KEEP","Keep","KEEP",[991],"How we know if <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt> read the correct files"],
 ["ACL2____GOOD-BYE","Good-bye","GOOD-BYE",[548,117],"Quit entirely out of Lisp"],
 ["ACL2____DELETE-INCLUDE-BOOK-DIR","Delete-include-book-dir","DELETE-INCLUDE-BOOK-DIR",[840],"Unlink keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2____ACL2-COUNT","ACL2-count","ACL2-COUNT",[548,117],"A commonly used measure for justifying recursion"],
 ["ACL2-PC____LISP","ACL2-pc::lisp","LISP",[183],"(meta) \u000Aevaluate the given form in Lisp"],
 ["COMMON-LISP_____D3","=","=",[193,174,86,117],"Test equality of two numbers"],
 ["COMMON-LISP____ATOM","Atom","ATOM",[390,117],"Recognizer for atoms"],
 ["ACL2____UPDATE-NTH","Update-nth","UPDATE-NTH",[277,117],"Modify a list by putting the given value at the given position"],
 ["ACL2____SIMPLE","Simple","SIMPLE",[8,26],"<v>:</v><tt><see topic=\"ACL2____DEFINITION\">definition</see></tt> and <v>:</v><tt><see topic=\"ACL2____REWRITE\">rewrite</see></tt> rules used in \u000A  preprocessing"],
 ["ACL2____SET-SPLITTER-OUTPUT","Set-splitter-output","SET-SPLITTER-OUTPUT",[126],"Turn on or off reporting of rules that may have caused case splits"],
 ["ACL2____SET-PRINT-GV-DEFAULTS","Set-print-gv-defaults","SET-PRINT-GV-DEFAULTS",[137,81,485],"Set default keyword values for <tt><see topic=\"ACL2____PRINT-GV\">print-gv</see></tt>"],
 ["ACL2____SET-INHIBITED-SUMMARY-TYPES","Set-inhibited-summary-types","SET-INHIBITED-SUMMARY-TYPES",[619],"Control which parts of the summary are printed"],
 ["ACL2____SERIALIZE-READ","Serialize-read","SERIALIZE-READ",[811,117],"Read a serialized ACL2 object from a file"],
 ["ACL2____SERIALIZE-IN-BOOKS","Serialize-in-books","SERIALIZE-IN-BOOKS",[811],"Using serialization efficiently in books"],
 ["ACL2____LD-ERROR-TRIPLES","Ld-error-triples","LD-ERROR-TRIPLES",[10],"Determines whether a form caused an error during <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____ILLEGAL","Illegal","ILLEGAL",[911,117],"Print an error message and stop execution"],
 ["ACL2____GUARD-THEOREM-EXAMPLE","Guard-theorem-example","GUARD-THEOREM-EXAMPLE",[57,81,14],"How to use a previously-proved <see topic=\"ACL2____GUARD\">guard</see> theorem"],
 ["ACL2____GENERALIZE","Generalize","GENERALIZE",[7],"Make a rule to restrict generalizations"],
 ["ACL2____GAG-MODE","Gag-mode","GAG-MODE",[619],"Verbosity of proof output"],
 ["ACL2____DOC","Doc","DOC",[21],"<see topic=\"COMMON-LISP____DOCUMENTATION\">Documentation</see> at the terminal"],
 ["ACL2____DELETE-ASSOC","Delete-assoc","DELETE-ASSOC",[647,117],"Remove the first pair from an association list for a given key"],
 ["ACL2____ALPHORDER","Alphorder","ALPHORDER",[-1,117],"Total order on atoms"],
 ["ACL2____The_02Proof_02of_02the_02Associativity_02of_02App","The Proof of the Associativity of App","The Proof of the Associativity of App",[83],"The Proof of the Associativity of App"],
 ["ACL2____TERM-TABLE","Term-table","TERM-TABLE",[23],"A table used to validate meta rules"],
 ["ACL2____TAU-STATUS","Tau-status","TAU-STATUS",[41],"Query or set tau system status"],
 ["ACL2____SET-PRINT-CASE","Set-print-case","SET-PRINT-CASE",[11,117],"Control whether symbols are printed in upper case or in lower case"],
 ["ACL2____REMOVE-DEFAULT-HINTS","Remove-default-hints","REMOVE-DEFAULT-HINTS",[634],"Remove from the default hints"],
 ["ACL2____NUMBERS-INTRODUCTION","Numbers-introduction","NUMBERS-INTRODUCTION",[193],"Numbers in ACL2"],
 ["ACL2____NOTE2","Note2","NOTE2",[167],"Acl2 Version 1.2 Notes"],
 ["ACL2____NOTE-2-4","Note-2-4","NOTE-2-4",[167],"ACL2 Version  2.4 (August, 1999) Notes"],
 ["ACL2____LD-VERBOSE","Ld-verbose","LD-VERBOSE",[10],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> prints ``ACL2 Loading ...''"],
 ["ACL2____LD-EVISC-TUPLE","Ld-evisc-tuple","LD-EVISC-TUPLE",[10],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> suppresses details when printing"],
 ["ACL2____INITIALIZE-EVENT-USER","Initialize-event-user","INITIALIZE-EVENT-USER",[619],"User-supplied code to initiate <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____FREE-VARIABLES-EXAMPLES-FORWARD-CHAINING","Free-variables-examples-forward-chaining","FREE-VARIABLES-EXAMPLES-FORWARD-CHAINING",[1040],"Examples pertaining to free variables in <see topic=\"ACL2____FORWARD-CHAINING\">forward-chaining</see> rules"],
 ["ACL2____FANCY-STRING-READER","Fancy-string-reader","FANCY-STRING-READER",[546],"A friendly syntax for strings literals that have backslashes and \u000Aquotes."],
 ["ACL2____ER-PROGN","Er-progn","ER-PROGN",[911,43,117],"Perform a sequence of state-changing ``error triples''"],
 ["ACL2____About_02the_02Admission_02of_02Recursive_02Definitions","About the Admission of Recursive Definitions","About the Admission of Recursive Definitions",[83],"About the Admission of Recursive Definitions"],
 ["COMMON-LISP____DIGIT-CHAR-P","Digit-char-p","DIGIT-CHAR-P",[44,117],"The number, if any, corresponding to a given character"],
 ["COMMON-LISP____COMPLEX","Complex","COMPLEX",[193,117],"Create an ACL2 number"],
 ["ACL2____TUTORIAL4-DEFUN-SK-EXAMPLE","Tutorial4-defun-sk-example","TUTORIAL4-DEFUN-SK-EXAMPLE",[358],"Example of quantified notions"],
 ["ACL2____SETENV_42","Setenv$","SETENV$",[43,117],"Set an environment variable"],
 ["ACL2____SET-TRACE-EVISC-TUPLE","Set-trace-evisc-tuple","SET-TRACE-EVISC-TUPLE",[468],"Set the trace evisc tuple"],
 ["ACL2____SET-PRINT-BASE","Set-print-base","SET-PRINT-BASE",[11,117],"Control radix in which numbers are printed"],
 ["ACL2____REDEF_B2","Redef+","REDEF+",[10],"System hacker's redefinition <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____REDEFINED-NAMES","Redefined-names","REDEFINED-NAMES",[1],"To collect the names that have been redefined"],
 ["ACL2____PLET","Plet","PLET",[336,117],"Parallel version of <tt><see topic=\"COMMON-LISP____LET\">let</see></tt>"],
 ["ACL2____Numbers_02in_02ACL2","Numbers in ACL2","Numbers in ACL2",[83],"Numbers in ACL2"],
 ["ACL2____NATP","Natp","NATP",[193,117],"A recognizer for the natural numbers"],
 ["ACL2____MACROS","Macros","MACROS",[590],"Macros allow you to extend the syntax of ACL2."],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EQUALS-FOR-EQUALS","Logic-knowledge-taken-for-granted-equals-for-equals","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EQUALS-FOR-EQUALS",[12],"Substitution of equals for equals"],
 ["ACL2____IN-ARITHMETIC-THEORY","In-arithmetic-theory","IN-ARITHMETIC-THEORY",[59],"Designate theory for some rewriting done for non-linear arithmetic"],
 ["ACL2____IMMEDIATE-FORCE-MODEP","Immediate-force-modep","IMMEDIATE-FORCE-MODEP",[15],"When executable counterpart is <see topic=\"ACL2____ENABLE\">enable</see>d, \u000A <see topic=\"ACL2____FORCE\">force</see>d hypotheses are attacked immediately"],
 ["ACL2____F-PUT-GLOBAL","F-put-global","F-PUT-GLOBAL",[43,117],"Assign to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____ZIP","Zip","ZIP",[193,117],"Testing an ``integer'' against 0"],
 ["ACL2____SET-WELL-FOUNDED-RELATION","Set-well-founded-relation","SET-WELL-FOUNDED-RELATION",[0],"Set the default well-founded relation"],
 ["ACL2____SET-IGNORE-OK","Set-ignore-ok","SET-IGNORE-OK",[27,0],"Allow unused formals and locals without an <v>ignore</v> or \u000A  <v>ignorable</v> declaration"],
 ["ACL2____PCB","Pcb","PCB",[85],"Print the <see topic=\"ACL2____COMMAND\">command</see> block described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____ADD-TO-SET","Add-to-set","ADD-TO-SET",[277,947,117],"Add a symbol to a list"],
 ["COMMON-LISP____CONCATENATE","Concatenate","CONCATENATE",[277,553,117],"Concatenate lists or strings together"],
 ["COMMON-LISP____COERCE","Coerce","COERCE",[553,44,117],"Coerce a character list to a string and a string to a list"],
 ["ACL2____WITH-LIVE-STATE","With-live-state","WITH-LIVE-STATE",[43,117],"Allow a reference to <v>state</v> in raw Lisp"],
 ["ACL2____WITH-BRR-ENS","With-brr-ens","WITH-BRR-ENS",[33,601],"Inside <see topic=\"ACL2____BREAK-REWRITE\">break-rewrite</see>, evaluate with respect to the theory \u000A currently installed in the prover"],
 ["ACL2____TERM-LISTP","Term-listp","TERM-LISTP",[117],"recognizer for a list of quotations of terms and of clauses"],
 ["ACL2____TERM-LIST-LISTP","Term-list-listp","TERM-LIST-LISTP",[117],"recognizer for a list of clauses"],
 ["ACL2____REWRITE-STACK-LIMIT","Rewrite-stack-limit","REWRITE-STACK-LIMIT",[8],"Limiting the stack depth of the ACL2 rewriter"],
 ["ACL2____Q","Q","Q",[93],"Quit ACL2 (type <v>:q</v>) &mdash; reenter with <v>(<see topic=\"ACL2____LP\">lp</see>)</v>"],
 ["ACL2____Free_02Variables_02in_02Top-Level_02Input","Free Variables in Top-Level Input","Free Variables in Top-Level Input",[83],"Free Variables in Top-Level Input"],
 ["ACL2____Common_02Lisp_02as_02a_02Modeling_02Language","Common Lisp as a Modeling Language","Common Lisp as a Modeling Language",[83],"Common Lisp as a Modeling Language"],
 ["ACL2____COPYRIGHT","Copyright","COPYRIGHT",[730],"ACL2 copyright, license, sponsorship"],
 ["ACL2____ACL2-SEDAN","ACL2-sedan","ACL2-SEDAN",[320],"ACL2 Sedan interface"],
 ["ACL2____ABOUT-ACL2","About-ACL2","ABOUT-ACL2",[590],"General information About ACL2"],
 ["ACL2-PC____SHOW-REWRITES","ACL2-pc::show-rewrites","SHOW-REWRITES",[183],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____REWRITE\">rewrite</see> rules"],
 ["COMMON-LISP____LENGTH","Length","LENGTH",[277,553,117],"Length of a string or proper list"],
 ["ACL2____SET-DEFERRED-TTAG-NOTES","Set-deferred-ttag-notes","SET-DEFERRED-TTAG-NOTES",[20],"Modify the verbosity of <v>TTAG NOTE</v> printing"],
 ["ACL2____RETURN-LAST-TABLE","Return-last-table","RETURN-LAST-TABLE",[79],"Install special raw Lisp behavior"],
 ["ACL2____RANDOM_42","Random$","RANDOM$",[5,193,117],"Obtain a random value"],
 ["ACL2____NO-DUPLICATESP","No-duplicatesp","NO-DUPLICATESP",[277,117],"Check for duplicates in a list"],
 ["ACL2____INTERSECTP","Intersectp","INTERSECTP",[277,117],"Test whether two lists intersect"],
 ["ACL2____DEFUN-SK-EXAMPLE","Defun-sk-example","DEFUN-SK-EXAMPLE",[48],"A simple example using <tt><see topic=\"ACL2____DEFUN-SK\">defun-sk</see></tt>"],
 ["ACL2____BOOLE_42","Boole$","BOOLE$",[193,117],"Perform a bit-wise logical operation on 2 two's complement integers"],
 ["ACL2-PC____PUT","ACL2-pc::put","PUT",[183],"(macro) \u000Asubstitute for a ``free variable''"],
 ["ACL2-PC____CLAIM","ACL2-pc::claim","CLAIM",[183],"(atomic macro) \u000Aadd a new hypothesis"],
 ["COMMON-LISP____STRING","String","STRING",[553,117],"<see topic=\"COMMON-LISP____COERCE\">coerce</see> to a string"],
 ["COMMON-LISP____QUOTE","Quote","QUOTE",[548,117],"Create a constant"],
 ["COMMON-LISP____FLOOR","Floor","FLOOR",[193,117],"Division returning an integer by truncating toward negative infinity"],
 ["ACL2____TTREE","Ttree","TTREE",[484],"Tag-trees"],
 ["ACL2____SHARP-U-READER","Sharp-u-reader","SHARP-U-READER",[546,193],"Allow underscore characters in numbers"],
 ["ACL2____How_02To_02Find_02Out_02about_02ACL2_02Functions_02_82cont_92","How To Find Out about ACL2 Functions (cont)","How To Find Out about ACL2 Functions (cont)",[83],"How To Find Out about ACL2 Functions (cont)"],
 ["ACL2____HONS-ENABLED","Hons-enabled","HONS-ENABLED",[66],"Hash cons, function memoization, and applicative hash tables"],
 ["ACL2____FIND-RULES-OF-RUNE","Find-rules-of-rune","FIND-RULES-OF-RUNE",[6],"Find the rules named rune"],
 ["ACL2____DEFABSSTOBJ-MISSING-EVENTS","Defabsstobj-missing-events","DEFABSSTOBJ-MISSING-EVENTS",[59],"Obtain the <see topic=\"ACL2____EVENTS\">events</see> needed to admit a <tt><see topic=\"ACL2____DEFABSSTOBJ\">defabsstobj</see></tt> event"],
 ["ACL2____COROLLARY","Corollary","COROLLARY",[7],"The corollary formula of a <see topic=\"ACL2____RUNE\">rune</see>"],
 ["ACL2____A_12","A!","A!",[10],"To return to the top-level of ACL2's command loop"],
 ["ACL2____ACL2_02as_02an_02Interactive_02Theorem_02Prover_02_82cont_92","ACL2 as an Interactive Theorem Prover (cont)","ACL2 as an Interactive Theorem Prover (cont)",[83],"ACL2 as an Interactive Theorem Prover (cont)"],
 ["COMMON-LISP____SYMBOL-NAME","Symbol-name","SYMBOL-NAME",[947,117],"The name of a symbol (a string)"],
 ["ACL2____UBU","Ubu","UBU",[85],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back up to (not including) a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____SHARP-DOT-READER","Sharp-dot-reader","SHARP-DOT-READER",[546,313],"Read-time evaluation of constants"],
 ["ACL2____SET-PRINT-RADIX","Set-print-radix","SET-PRINT-RADIX",[11,117],"Control printing of the radix for numbers"],
 ["ACL2____SET-DUPLICATE-KEYS-ACTION","Set-duplicate-keys-action","SET-DUPLICATE-KEYS-ACTION",[586,708,111,172],"Control action for macro calls with duplicate keyword arguments"],
 ["ACL2____READ-ACL2-ORACLE","Read-ACL2-oracle","READ-ACL2-ORACLE",[43,117],"Pop the oracle field of the state"],
 ["ACL2____NTH-ALIASES-TABLE","Nth-aliases-table","NTH-ALIASES-TABLE",[4,360,667],"A <see topic=\"ACL2____TABLE\">table</see> used to associate names for nth/update-nth printing"],
 ["ACL2____NOTE-2-6","Note-2-6","NOTE-2-6",[167],"ACL2 Version  2.6 (November, 2001) Notes"],
 ["ACL2____MACRO-COMMAND","Macro-command","MACRO-COMMAND",[47],"Compound command for the proof-checker"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EVALUATION","Logic-knowledge-taken-for-granted-evaluation","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EVALUATION",[12],"Evaluation during proofs"],
 ["ACL2____DELETE-INCLUDE-BOOK-DIR_12","Delete-include-book-dir!","DELETE-INCLUDE-BOOK-DIR!",[840],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly unlink keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2____DEFINE-PC-MACRO","Define-pc-macro","DEFINE-PC-MACRO",[47],"Define a proof-checker macro command"],
 ["COMMON-LISP____TRUNCATE","Truncate","TRUNCATE",[193,117],"Division returning an integer by truncating toward 0"],
 ["COMMON-LISP____INTEGERP","Integerp","INTEGERP",[193,117],"Recognizer for whole numbers"],
 ["ACL2____SET-RAW-WARNING-FORMAT","Set-raw-warning-format","SET-RAW-WARNING-FORMAT",[619],"Print some warnings in a ``raw'', s-expression format"],
 ["ACL2____SET-CHECKPOINT-SUMMARY-LIMIT","Set-checkpoint-summary-limit","SET-CHECKPOINT-SUMMARY-LIMIT",[90],"Control printing of key checkpoints upon a proof's failure"],
 ["ACL2____SET-BODY","Set-body","SET-BODY",[26,59],"Set the definition body"],
 ["ACL2____PRINC_42","Princ$","PRINC$",[11,117],"Print an atom"],
 ["ACL2____PL2","Pl2","PL2",[85],"Print rule(s) for the given form"],
 ["ACL2____ORACLE-APPLY-RAW","Oracle-apply-raw","ORACLE-APPLY-RAW",[43,117],"Call a function argument on the given list of arguments, no restrictions"],
 ["ACL2____HEADER","Header","HEADER",[37,117],"Return the header of a 1- or 2-dimensional array"],
 ["ACL2____FAST-ALIST-FREE","Fast-alist-free","FAST-ALIST-FREE",[282,117],"<v>(<see topic=\"ACL2____FAST-ALIST-FREE\">fast-alist-free</see> alist)</v> throws away the hash table associated \u000Awith a fast alist."],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-NAT-RECURSION","Example-induction-scheme-nat-recursion","EXAMPLE-INDUCTION-SCHEME-NAT-RECURSION",[12],"Induction on natural numbers"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-DOWN-BY-2","Example-induction-scheme-down-by-2","EXAMPLE-INDUCTION-SCHEME-DOWN-BY-2",[12],"Induction downwards 2 steps at a time"],
 ["ACL2____DEFPUN","Defpun","DEFPUN",[59],"Define a tail-recursive function symbol"],
 ["ACL2____DEFEQUIV","Defequiv","DEFEQUIV",[59],"Prove that a function is an <see topic=\"ACL2____EQUIVALENCE\">equivalence</see> relation"],
 ["ACL2____COMPILING-ACL2P","Compiling-ACL2p","COMPILING-ACL2P",[104],"Compiling ACL2(p)"],
 ["ACL2____BINARY-_B2","Binary-+","BINARY-+",[362,117],"Addition function"],
 ["ACL2____A_02Flying_02Tour_02of_02ACL2","A Flying Tour of ACL2","A Flying Tour of ACL2",[83],"A Flying Tour of ACL2"],
 ["ACL2____AREF2","Aref2","AREF2",[37,117],"Access the elements of a 2-dimensional array"],
 ["ACL2-PC____SPLIT","ACL2-pc::split","SPLIT",[183],"(atomic macro) \u000Asplit the current goal into cases"],
 ["COMMON-LISP____SUBSEQ","Subseq","SUBSEQ",[277,553,117],"Subsequence of a string or list"],
 ["ACL2____WATERFALL-PARALLELISM-FOR-BOOK-CERTIFICATION","Waterfall-parallelism-for-book-certification","WATERFALL-PARALLELISM-FOR-BOOK-CERTIFICATION",[104],"For ACL2(p): using waterfall parallelism during book certification"],
 ["ACL2____TAU-DATA","Tau-data","TAU-DATA",[41],"To see what tau knows about a function symbol"],
 ["ACL2____SET-MEASURE-FUNCTION","Set-measure-function","SET-MEASURE-FUNCTION",[0],"Set the default measure function symbol"],
 ["ACL2____PSO","Pso","PSO",[619],"Show the most recently saved output"],
 ["ACL2____PRIMITIVE","Primitive","PRIMITIVE",[111,117],"Primitive functions built into ACL2 without definitions"],
 ["ACL2____NOTE-2-0","Note-2-0","NOTE-2-0",[167],"ACL2 Version 2.0 (July, 1997) Notes"],
 ["ACL2____MUST-BE-EQUAL","Must-be-equal","MUST-BE-EQUAL",[46,117],"Attach code for execution"],
 ["ACL2____MAKE-ORD","Make-ord","MAKE-ORD",[71,117],"A constructor for ordinals."],
 ["ACL2____ERROR1","Error1","ERROR1",[911,117],"Print an error message and cause a ``soft error''"],
 ["ACL2____ENTER-BOOT-STRAP-MODE","Enter-boot-strap-mode","ENTER-BOOT-STRAP-MODE",[85],"The first millisecond of the Big Bang"],
 ["ACL2____DEFAULT-PRINT-PROMPT","Default-print-prompt","DEFAULT-PRINT-PROMPT",[10],"The default <see topic=\"ACL2____PROMPT\">prompt</see> printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____Analyzing_02Common_02Lisp_02Models","Analyzing Common Lisp Models","Analyzing Common Lisp Models",[83],"Analyzing Common Lisp Models"],
 ["ACL2____About_02the_02ACL2_02Home_02Page","About the ACL2 Home Page","About the ACL2 Home Page",[83],"About the ACL2 Home Page"],
 ["ACL2____A_02Walking_02Tour_02of_02ACL2","A Walking Tour of ACL2","A Walking Tour of ACL2",[83],"A Walking Tour of ACL2"],
 ["ACL2____ADD-RAW-ARITY","Add-raw-arity","ADD-RAW-ARITY",[68],"Add arity information for raw mode"],
 ["ACL2____ADD-OVERRIDE-HINTS","Add-override-hints","ADD-OVERRIDE-HINTS",[56],"Add to the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2-PC____GENEQV","ACL2-pc::geneqv","GENEQV",[183],"(macro) \u000Ashow the generated equivalence relation maintained at the current subterm"],
 ["COMMON-LISP_____F2","/","/",[193,117],"Macro for division and reciprocal"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INSTANCE","Logic-knowledge-taken-for-granted-instance","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INSTANCE",[12],"A brief explanation of substitution instances"],
 ["ACL2____CPU-CORE-COUNT","Cpu-core-count","CPU-CORE-COUNT",[104,117],"The number of cpu cores"],
 ["COMMON-LISP____STANDARD-CHAR-P","Standard-char-p","STANDARD-CHAR-P",[44,117],"Recognizer for standard characters"],
 ["COMMON-LISP____ENDP","Endp","ENDP",[277,117],"Recognizer for empty lists"],
 ["ACL2____VERIFY","Verify","VERIFY",[47],"Enter the interactive proof checker"],
 ["ACL2____STANDARDP","Standardp","STANDARDP",[314],"ACL2(r) recognizer for standard objects"],
 ["ACL2____SET-CBD","Set-cbd","SET-CBD",[840],"To set the connected book directory"],
 ["ACL2____SERIALIZE","Serialize","SERIALIZE",[11],"Routines for saving ACL2 objects to files, and later restoring them"],
 ["ACL2____RESET-LD-SPECIALS","Reset-ld-specials","RESET-LD-SPECIALS",[10],"Restores initial settings of the <tt><see topic=\"ACL2____LD\">ld</see></tt> specials"],
 ["ACL2____RESET-KILL-RING","Reset-kill-ring","RESET-KILL-RING",[85],"Save memory by resetting and perhaps resizing the kill ring used by <tt><see topic=\"ACL2____OOPS\">oops</see></tt>"],
 ["ACL2____PSOF","Psof","PSOF",[619],"Show the most recently saved output"],
 ["ACL2____MOD-EXPT","Mod-expt","MOD-EXPT",[193,117],"Exponential function"],
 ["ACL2____HONS-EQUAL","Hons-equal","HONS-EQUAL",[435,174,117],"<v>(<see topic=\"ACL2____HONS-EQUAL\">hons-equal</see> x y)</v> is a recursive equality check that optimizes \u000Awhen parts of its arguments are <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____GC-VERBOSE","Gc-verbose","GC-VERBOSE",[835],"Control printing from the garbage collector"],
 ["ACL2____FAST-ALIST-FREE-ON-EXIT","Fast-alist-free-on-exit","FAST-ALIST-FREE-ON-EXIT",[282,117],"Free a fast alist after the completion of some form."],
 ["ACL2____DISABLE-FORCING","Disable-forcing","DISABLE-FORCING",[15],"To disallow forced case-splits"],
 ["ACL2____DEFUN-NOTINLINE","Defun-notinline","DEFUN-NOTINLINE",[0,59],"Define a not-to-be-inlined function symbol and associated macro"],
 ["COMMON-LISP____NTHCDR","Nthcdr","NTHCDR",[277,117],"Final segment of a list"],
 ["COMMON-LISP____EXPT","Expt","EXPT",[193,117],"Exponential function"],
 ["ACL2____VERIFY-GUARDS-FORMULA","Verify-guards-formula","VERIFY-GUARDS-FORMULA",[81],"View the guard proof obligation, without proving it"],
 ["ACL2____USING-COMPUTED-HINTS","Using-computed-hints","USING-COMPUTED-HINTS",[75,14],"How to use computed hints"],
 ["ACL2____UNMEMOIZE","Unmemoize","UNMEMOIZE",[36,111,66,59],"Turn off memoization for the specified function"],
 ["ACL2____The_02Theorem_02that_02App_02is_02Associative","The Theorem that App is Associative","The Theorem that App is Associative",[83],"The Theorem that App is Associative"],
 ["ACL2____The_02End_02of_02the_02Walking_02Tour","The End of the Walking Tour","The End of the Walking Tour",[83],"The End of the Walking Tour"],
 ["ACL2____SET-WATERFALL-PARALLELISM-HACKS-ENABLED","Set-waterfall-parallelism-hacks-enabled","SET-WATERFALL-PARALLELISM-HACKS-ENABLED",[104],"For ACL2(p): enable waterfall-parallelism hacks"],
 ["ACL2____Proving_02Theorems_02about_02Models","Proving Theorems about Models","Proving Theorems about Models",[83],"Proving Theorems about Models"],
 ["ACL2____PARALLELISM-PERFORMANCE","Parallelism-performance","PARALLELISM-PERFORMANCE",[336],"Performance issues for parallel execution"],
 ["ACL2____NOTE-2-8-SYSTEM","Note-2-8-system","NOTE-2-8-SYSTEM",[106],"ACL2 Version  2.8 Notes on System-level Changes"],
 ["ACL2____MV_F3-LET","Mv?-let","MV?-LET",[97,117],"Calling possibly multi-valued ACL2 functions"],
 ["ACL2____MAKE-FAST-ALIST","Make-fast-alist","MAKE-FAST-ALIST",[282,117],"<v>(<see topic=\"ACL2____MAKE-FAST-ALIST\">make-fast-alist</see> alist)</v> creates a fast-alist from the input \u000Aalist, returning <v>alist</v> itself or, in some cases, a new object equal to \u000Ait."],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-3-ANSWER","Introductory-challenge-problem-3-answer","INTRODUCTORY-CHALLENGE-PROBLEM-3-ANSWER",[12],"Answer to challenge problem 3 for the new user of ACL2"],
 ["ACL2____GC_42","Gc$","GC$",[484,117],"Invoke the garbage collector"],
 ["ACL2____Functions_02for_02Manipulating_02these_02Objects","Functions for Manipulating these Objects","Functions for Manipulating these Objects",[83],"Functions for Manipulating these Objects"],
 ["ACL2____FUNCTIONAL-INSTANTIATION-IN-ACL2R","Functional-instantiation-in-ACL2r","FUNCTIONAL-INSTANTIATION-IN-ACL2R",[1239],"Additional requirements for <v>:functional-instance</v> hints in \u000A  ACL2(r)"],
 ["ACL2____EXECUTABLE-COUNTERPART-THEORY","Executable-counterpart-theory","EXECUTABLE-COUNTERPART-THEORY",[2,433],"Executable counterpart rules as of logical name"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-ON-LISTS","Example-induction-scheme-on-lists","EXAMPLE-INDUCTION-SCHEME-ON-LISTS",[12],"Induction on lists"],
 ["ACL2____BOOKS-REFERENCE","Books-reference","BOOKS-REFERENCE",[30],"Reference guide for ACL2 functionality related to books, e.g., \u000A<see topic=\"ACL2____INCLUDE-BOOK\">include-book</see>, <see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see>, <see topic=\"ACL2____CBD\">cbd</see>, etc."],
 ["ACL2____ADD-INVISIBLE-FNS","Add-invisible-fns","ADD-INVISIBLE-FNS",[80],"Make some unary functions invisible to the <see topic=\"ACL2____LOOP-STOPPER\">loop-stopper</see> algorithm"],
 ["COMMON-LISP_____C3_D3","&lt;=","<=",[193,117],"Less-than-or-equal test"],
 ["COMMON-LISP____ROUND","Round","ROUND",[193,117],"Division returning an integer by rounding off"],
 ["COMMON-LISP____COND","Cond","COND",[548,117],"Conditional based on if-then-else"],
 ["COMMON-LISP____CODE-CHAR","Code-char","CODE-CHAR",[44,193,117],"The character corresponding to a given numeric code"],
 ["COMMON-LISP____CEILING","Ceiling","CEILING",[193,117],"Division returning an integer by truncating toward positive infinity"],
 ["COMMON-LISP____BUTLAST","Butlast","BUTLAST",[277,117],"All but a final segment of a list"],
 ["ACL2____WITH-STOLEN-ALIST","With-stolen-alist","WITH-STOLEN-ALIST",[66,117],"<v>(<see topic=\"ACL2____WITH-STOLEN-ALIST\">with-stolen-alist</see> name form)</v> ensures that <v>name</v> is a fast \u000Aalist at the start of the execution of <v>form</v>.  At the end of execution, it \u000Aensures that <v>name</v> is a fast alist if and only if it was originally.  That \u000Ais, if <v>name</v> was not a fast alist originally, its hash table link is freed, \u000Aand if it was a fast alist originally but its table was modified during the \u000Aexecution of <v>form</v>, that table is restored.  Note that any extended table \u000Acreated from the original fast alist during <v>form</v> must be manually freed."],
 ["ACL2____The_02Associativity_02of_02App","The Associativity of App","The Associativity of App",[83],"The Associativity of App"],
 ["ACL2____TAKE","Take","TAKE",[277,117],"Initial segment (first n elements) of a list"],
 ["ACL2____SET-RAW-PROOF-FORMAT","Set-raw-proof-format","SET-RAW-PROOF-FORMAT",[619],"Print runes as lists in proof output from simplification"],
 ["ACL2____Models_02of_02Computer_02Hardware_02and_02Software","Models of Computer Hardware and Software","Models of Computer Hardware and Software",[83],"Models of Computer Hardware and Software"],
 ["ACL2____FUNCTION-THEORY","Function-theory","FUNCTION-THEORY",[2,433],"Function symbol rules as of logical name"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-UPWARDS","Example-induction-scheme-upwards","EXAMPLE-INDUCTION-SCHEME-UPWARDS",[12],"Induction upwards"],
 ["ACL2____EQLABLEP","Eqlablep","EQLABLEP",[174,117],"The <see topic=\"ACL2____GUARD\">guard</see> for the function <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____A_02Sketch_02of_02How_02the_02Rewriter_02Works","A Sketch of How the Rewriter Works","A Sketch of How the Rewriter Works",[83],"A Sketch of How the Rewriter Works"],
 ["ACL2____ACL2_02System_02Architecture","ACL2 System Architecture","ACL2 System Architecture",[83],"ACL2 System Architecture"],
 ["ACL2____ACL2_02Conses_02or_02Ordered_02Pairs","ACL2 Conses or Ordered Pairs","ACL2 Conses or Ordered Pairs",[83],"ACL2 Conses or Ordered Pairs"],
 ["ACL2-PC____PROVE","ACL2-pc::prove","PROVE",[183],"(primitive) \u000Acall the ACL2 theorem prover to prove the current goal"],
 ["COMMON-LISP____IN-PACKAGE","In-package","IN-PACKAGE",[632,117],"Select current package"],
 ["ACL2____VERBOSE-PSTACK","Verbose-pstack","VERBOSE-PSTACK",[426],"Seeing what the prover is up to (for system hackers)"],
 ["ACL2____SYS-CALL-STATUS","Sys-call-status","SYS-CALL-STATUS",[326,117],"Exit status from the preceding system call"],
 ["ACL2____PKG-WITNESS","Pkg-witness","PKG-WITNESS",[632,117],"Return a specific symbol in the indicated package"],
 ["ACL2____HONS-EQUAL-LITE","Hons-equal-lite","HONS-EQUAL-LITE",[435,816],"<v>(<see topic=\"ACL2____HONS-EQUAL-LITE\">hons-equal-lite</see> x y)</v> is a non-recursive equality check that \u000Aoptimizes if its arguments are <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____GETENV_42","Getenv$","GETENV$",[43,117],"Read an environment variable"],
 ["ACL2____F-GET-GLOBAL","F-get-global","F-GET-GLOBAL",[43,117],"Get the value of a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-WITH-MULTIPLE-INDUCTION-STEPS","Example-induction-scheme-with-multiple-induction-steps","EXAMPLE-INDUCTION-SCHEME-WITH-MULTIPLE-INDUCTION-STEPS",[12],"Induction scheme with more than one induction step"],
 ["ACL2____DEFUNS","Defuns","DEFUNS",[55],"An alternative to <tt><see topic=\"ACL2____MUTUAL-RECURSION\">mutual-recursion</see></tt>"],
 ["ACL2____DEFREFINEMENT","Defrefinement","DEFREFINEMENT",[59],"Prove that <v>equiv1</v> refines <v>equiv2</v>"],
 ["ACL2____ASSERT_42","Assert$","ASSERT$",[911,117],"Cause a hard error if the given test is false"],
 ["ACL2____ALISTP","Alistp","ALISTP",[647,117],"Recognizer for association lists"],
 ["ACL2____ADD-MACRO-ALIAS","Add-macro-alias","ADD-MACRO-ALIAS",[708],"Associate a function name with a macro name"],
 ["ACL2-PC____SAVE","ACL2-pc::save","SAVE",[183],"(macro) \u000Asave the proof-checker state (state-stack)"],
 ["ACL2-PC____HELP","ACL2-pc::help","HELP",[183],"(macro) \u000Aproof-checker help facility"],
 ["COMMON-LISP____SUBSTITUTE","Substitute","SUBSTITUTE",[277,553,117],"Substitute into a string or a list, using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt> as test"],
 ["COMMON-LISP____LOGAND","Logand","LOGAND",[193,117],"Bitwise logical `and' of zero or more integers"],
 ["COMMON-LISP____COUNT","Count","COUNT",[277,553,117],"Count the number of occurrences of an item in a string or true-list"],
 ["COMMON-LISP____CASE","Case","CASE",[548,117],"Conditional based on if-then-else using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____WITH-GUARD-CHECKING-ERROR-TRIPLE","With-guard-checking-error-triple","WITH-GUARD-CHECKING-ERROR-TRIPLE",[81,117],"Suppressing or enable guard-checking for a form"],
 ["ACL2____UNARY--","Unary--","UNARY--",[193,117],"Arithmetic negation function"],
 ["ACL2____SHOW-BODIES","Show-bodies","SHOW-BODIES",[26],"Show the potential definition bodies"],
 ["ACL2____SET-REWRITE-STACK-LIMIT","Set-rewrite-stack-limit","SET-REWRITE-STACK-LIMIT",[724],"Sets the rewrite stack depth used by the rewriter"],
 ["ACL2____SET-IRRELEVANT-FORMALS-OK","Set-irrelevant-formals-ok","SET-IRRELEVANT-FORMALS-OK",[0],"Allow irrelevant formals in definitions"],
 ["ACL2____Running_02Models","Running Models","Running Models",[83],"Running Models"],
 ["ACL2____REMOVE-OVERRIDE-HINTS","Remove-override-hints","REMOVE-OVERRIDE-HINTS",[56],"Delete from the list of <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____PROOFS-CO","Proofs-co","PROOFS-CO",[11,117],"The proofs character output channel"],
 ["ACL2____PPROGN","Pprogn","PPROGN",[43,117],"Evaluate a sequence of forms that return <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____PBT","Pbt","PBT",[85],"Print the <see topic=\"ACL2____COMMAND\">command</see>s back through a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____ORACLE-FUNCALL","Oracle-funcall","ORACLE-FUNCALL",[43,117],"Call a function argument on the remaining arguments"],
 ["ACL2____NOTE-3-0","Note-3-0","NOTE-3-0",[167],"ACL2 Version  3.0 (June, 2006) Notes"],
 ["ACL2____MAXIMUM-LENGTH","Maximum-length","MAXIMUM-LENGTH",[37,117],"Return the <v>:maximum-length</v> from the <see topic=\"ACL2____HEADER\">header</see> of an array"],
 ["ACL2____IFF","Iff","IFF",[548,117],"Logical ``if and only if''"],
 ["ACL2____DIMENSIONS","Dimensions","DIMENSIONS",[37,117],"Return the <v>:dimensions</v> from the <see topic=\"ACL2____HEADER\">header</see> of a 1- or \u000A  2-dimensional array"],
 ["ACL2____DEFAULT-RULER-EXTENDERS","Default-ruler-extenders","DEFAULT-RULER-EXTENDERS",[110],"The default <see topic=\"ACL2____RULER-EXTENDERS\">ruler-extenders</see> for <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>'d functions"],
 ["ACL2____BROKEN-LINK-TABLE","Broken-link-table","BROKEN-LINK-TABLE",[990],"Map <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see> topics to the community books that define \u000A them"],
 ["ACL2____ACL2_02is_02an_02Untyped_02Language","ACL2 is an Untyped Language","ACL2 is an Untyped Language",[83],"ACL2 is an Untyped Language"],
 ["ACL2-PC____DO-ALL","ACL2-pc::do-all","DO-ALL",[183],"(macro) \u000Arun the given instructions"],
 ["ACL2-PC____DEMOTE","ACL2-pc::demote","DEMOTE",[183],"(primitive) \u000Amove top-level hypotheses to the conclusion"],
 ["COMMON-LISP____CHAR-DOWNCASE","Char-downcase","CHAR-DOWNCASE",[44,117],"Turn upper-case <see topic=\"ACL2____CHARACTERS\">characters</see> into lower-case <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["ACL2____UBT_12","Ubt!","UBT!",[85],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, without a query or an error"],
 ["ACL2____SET-OVERRIDE-HINTS","Set-override-hints","SET-OVERRIDE-HINTS",[56],"Set the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____SET-DIFFERENCE-THEORIES","Set-difference-theories","SET-DIFFERENCE-THEORIES",[2,433],"Difference of two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____READ-RUN-TIME","Read-run-time","READ-RUN-TIME",[43,117],"Read elapsed runtime"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-4","Practice-formulating-strong-rules-4","PRACTICE-FORMULATING-STRONG-RULES-4",[12],"Rules suggested by <v>(<see topic=\"COMMON-LISP____SUBSETP\">SUBSETP</see> (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (FOO A) (BAR B)) (MUM C))</v>"],
 ["ACL2____NOTE-2-7-RULES","Note-2-7-rules","NOTE-2-7-RULES",[129],"ACL2 Version  2.7 Notes on Changes in Rules and Constants"],
 ["ACL2____MINIMAL-THEORY","Minimal-theory","MINIMAL-THEORY",[2,433],"A minimal theory to enable"],
 ["ACL2____LEXORDER","Lexorder","LEXORDER",[-1,117],"Total order on ACL2 objects"],
 ["ACL2____How_02To_02Find_02Out_02about_02ACL2_02Functions","How To Find Out about ACL2 Functions","How To Find Out about ACL2 Functions",[83],"How To Find Out about ACL2 Functions"],
 ["ACL2____How_02Long_02Does_02It_02Take_02to_02Become_02an_02Effective_02User_82Q_92","How Long Does It Take to Become an Effective User(Q)","How Long Does It Take to Become an Effective User(Q)",[83],"How Long Does It Take to Become an Effective User?"],
 ["ACL2____HONS-SUMMARY","Hons-summary","HONS-SUMMARY",[435,117],"<v>(<see topic=\"ACL2____HONS-SUMMARY\">hons-summary</see>)</v> prints basic information about the sizes of the \u000Atables in the current Hons Space."],
 ["ACL2____ERRORS","Errors","ERRORS",[111],"Support for causing runtime errors, breaks, assertions, etc."],
 ["ACL2____DEFAULT","Default","DEFAULT",[37,117],"Return the <v>:default</v> from the <see topic=\"ACL2____HEADER\">header</see> of a 1- or \u000A  2-dimensional array"],
 ["ACL2____CHANGE","Change","CHANGE",[397,117],"Mutator macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2____BINARY-APPEND","Binary-append","BINARY-APPEND",[321,117],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> two lists"],
 ["ACL2-PC____WRAP1","ACL2-pc::wrap1","WRAP1",[183],"(primitive) \u000Acombine goals into a single goal"],
 ["COMMON-LISP____ZEROP","Zerop","ZEROP",[193,117],"Test an acl2-number against 0"],
 ["COMMON-LISP____KEYWORDP","Keywordp","KEYWORDP",[947,117],"Recognizer for keywords"],
 ["COMMON-LISP____CHAR-UPCASE","Char-upcase","CHAR-UPCASE",[44,117],"Turn lower-case <see topic=\"ACL2____CHARACTERS\">characters</see> into upper-case <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR-CODE","Char-code","CHAR-CODE",[44,193,117],"The numeric code for a given character"],
 ["ACL2____UNMONITOR","Unmonitor","UNMONITOR",[33],"To stop monitoring a rule name"],
 ["ACL2____The_02Admission_02of_02App","The Admission of App","The Admission of App",[83],"The Admission of App"],
 ["ACL2____TRANS1","Trans1","TRANS1",[708],"Print the one-step macroexpansion of a form"],
 ["ACL2____SLOW-ALIST-WARNING","Slow-alist-warning","SLOW-ALIST-WARNING",[282],"Warnings issued when <tt><see topic=\"ACL2____FAST-ALISTS\">fast-alists</see></tt> are used inefficiently"],
 ["ACL2____SET-FMT-HARD-RIGHT-MARGIN","Set-fmt-hard-right-margin","SET-FMT-HARD-RIGHT-MARGIN",[11,117],"Set the right margin for formatted output"],
 ["ACL2____NOTE-2-6-PROOF-CHECKER","Note-2-6-proof-checker","NOTE-2-6-PROOF-CHECKER",[761],"ACL2 Version  2.6 Notes on Proof-checker Changes"],
 ["ACL2____NONNEGATIVE-INTEGER-QUOTIENT","Nonnegative-integer-quotient","NONNEGATIVE-INTEGER-QUOTIENT",[193,117],"Natural number division function"],
 ["ACL2____LD-MISSING-INPUT-OK","Ld-missing-input-ok","LD-MISSING-INPUT-OK",[10],"Determines which forms <tt><see topic=\"ACL2____LD\">ld</see></tt> evaluates"],
 ["ACL2____HONS-GET","Hons-get","HONS-GET",[282,117],"<v>(<see topic=\"ACL2____HONS-GET\">hons-get</see> key alist)</v> is the efficient lookup operation for <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____Guiding_02the_02ACL2_02Theorem_02Prover","Guiding the ACL2 Theorem Prover","Guiding the ACL2 Theorem Prover",[83],"Guiding the ACL2 Theorem Prover"],
 ["ACL2____FMT-TO-COMMENT-WINDOW","Fmt-to-comment-window","FMT-TO-COMMENT-WINDOW",[11,117],"Print to the comment window"],
 ["ACL2____E_F2D","E/d","E/D",[2,433],"Enable/disable rules"],
 ["ACL2____EXPLODE-ATOM","Explode-atom","EXPLODE-ATOM",[44,117],"Convert any <see topic=\"COMMON-LISP____ATOM\">atom</see> into a <see topic=\"ACL2____CHARACTER-LISTP\">character-listp</see> that contains \u000A its printed representation, rendering numbers in your choice of print base."],
 ["ACL2____DEFTHMD","Defthmd","DEFTHMD",[59],"Prove and name a theorem and then disable it"],
 ["ACL2____DEFINE-PC-HELP","Define-pc-help","DEFINE-PC-HELP",[47],"Define a macro command whose purpose is to print something"],
 ["ACL2-PC____SHOW-ABBREVIATIONS","ACL2-pc::show-abbreviations","SHOW-ABBREVIATIONS",[183],"(macro) \u000Adisplay the current abbreviations"],
 ["ACL2-PC____PROMOTE","ACL2-pc::promote","PROMOTE",[183],"(primitive) move antecedents of conclusion's <v>implies</v> term to \u000Atop-level hypotheses"],
 ["COMMON-LISP____SUBLIS","Sublis","SUBLIS",[647,117],"Substitute an alist into a tree"],
 ["COMMON-LISP____STRING_C3","String&lt;","STRING<",[553,117],"Less-than test for strings"],
 ["COMMON-LISP____REVAPPEND","Revappend","REVAPPEND",[277,117],"Concatentate the <see topic=\"COMMON-LISP____REVERSE\">reverse</see> of one list to another"],
 ["COMMON-LISP____RATIONALP","Rationalp","RATIONALP",[193,117],"Recognizer for rational numbers (ratios and integers)"],
 ["COMMON-LISP____MAX","Max","MAX",[193,117],"The larger of two numbers"],
 ["COMMON-LISP____LOGXOR","Logxor","LOGXOR",[193,117],"Bitwise logical exclusive or of zero or more integers"],
 ["COMMON-LISP____LOGIOR","Logior","LOGIOR",[193,117],"Bitwise logical inclusive or of zero or more integers"],
 ["COMMON-LISP____LOGEQV","Logeqv","LOGEQV",[193,117],"Bitwise logical equivalence of zero or more integers"],
 ["ACL2____What_02Is_02ACL2_82Q_92","What Is ACL2(Q)","What Is ACL2(Q)",[83],"What Is ACL2?"],
 ["ACL2____TTHM","Tthm","TTHM",[85,1014],"The <see topic=\"ACL2____MEASURE\">measure</see> (termination) theorem for a given function symbol"],
 ["ACL2____SYMBOLS","Symbols","SYMBOLS",[111],"Symbols in ACL2 and operations on them"],
 ["ACL2____SYMBOL-LISTP","Symbol-listp","SYMBOL-LISTP",[947,277,117],"Recognizer for a true list of symbols"],
 ["ACL2____STOP-PROOF-TREE","Stop-proof-tree","STOP-PROOF-TREE",[92],"Stop displaying proof trees during proofs"],
 ["ACL2____SET-FC-REPORT-ON-THE-FLY","Set-fc-report-on-the-fly","SET-FC-REPORT-ON-THE-FLY",[103],"To determine when forward-chaining reports are printed"],
 ["ACL2____SERIALIZE-WRITE","Serialize-write","SERIALIZE-WRITE",[811,117],"Write an ACL2 object into a file"],
 ["ACL2____NOTE-3-2_82R_92","Note-3-2(r)","NOTE-3-2(R)",[167],"ACL2 Version  3.2(r) (April, 2007) Notes"],
 ["ACL2____MV_F3","Mv?","MV?",[97,117],"Return one or more values"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q3-ANSWER","Logic-knowledge-taken-for-granted-q3-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q3-ANSWER",[12],"The inductive step of the <v>rev-rev</v> proof -- Answer to Question 2"],
 ["ACL2____HONS-ASSOC-EQUAL","Hons-assoc-equal","HONS-ASSOC-EQUAL",[282,117],"<v>(<see topic=\"ACL2____HONS-ASSOC-EQUAL\">hons-assoc-equal</see> key alist)</v> is <b>not fast</b>; it serves as \u000Athe logical definition for <tt><see topic=\"ACL2____HONS-GET\">hons-get</see></tt>."],
 ["ACL2____GROUND-ZERO","Ground-zero","GROUND-ZERO",[2,433],"<see topic=\"ACL2____ENABLE\">enable</see>d rules in the <see topic=\"ACL2____STARTUP\">startup</see> theory"],
 ["ACL2____FAST-ALIST-FORK_12","Fast-alist-fork!","FAST-ALIST-FORK!",[282,117],"<v>(<see topic=\"ACL2____FAST-ALIST-FORK_12\">fast-alist-fork!</see> alist ans)</v> is an alternative to <tt><see topic=\"ACL2____FAST-ALIST-FORK\">fast-alist-fork</see></tt> that produces a <see topic=\"ACL2____NORMED\">normed</see> result."],
 ["ACL2____EXPLODE-NONNEGATIVE-INTEGER","Explode-nonnegative-integer","EXPLODE-NONNEGATIVE-INTEGER",[44,193,117],"The list of <see topic=\"ACL2____CHARACTERS\">characters</see> in the radix-r form of a number"],
 ["ACL2____EMACS","Emacs","EMACS",[320],"Emacs support for ACL2"],
 ["ACL2____Conversion","Conversion","Conversion",[83],"Conversion to Uppercase"],
 ["ACL2____CUSTOM-KEYWORD-HINTS","Custom-keyword-hints","CUSTOM-KEYWORD-HINTS",[14],"User-defined hints"],
 ["ACL2____CASE-SPLIT-LIMITATIONS","Case-split-limitations","CASE-SPLIT-LIMITATIONS",[484],"A list of two ``numbers'' limiting the number of cases produced at once"],
 ["ACL2____An_02Example_02Common_02Lisp_02Function_02Definition","An Example Common Lisp Function Definition","An Example Common Lisp Function Definition",[83],"An Example Common Lisp Function Definition"],
 ["ACL2____ARRAYS-EXAMPLE","Arrays-example","ARRAYS-EXAMPLE",[37],"An example illustrating ACL2 arrays"],
 ["ACL2____ALLOCATE-FIXNUM-RANGE","Allocate-fixnum-range","ALLOCATE-FIXNUM-RANGE",[193,117],"Set aside fixnums in GCL"],
 ["ACL2-PC____RETRIEVE","ACL2-pc::retrieve","RETRIEVE",[183],"(macro) \u000Are-enter the proof-checker"],
 ["ACL2-PC____REDUCE","ACL2-pc::reduce","REDUCE",[183],"(atomic macro) \u000Acall the ACL2 theorem prover's simplifier"],
 ["ACL2-PC____P-TOP","ACL2-pc::p-top","P-TOP",[183],"(macro) \u000Aprettyprint the conclusion, highlighting the current term"],
 ["ACL2-PC____FORWARDCHAIN","ACL2-pc::forwardchain","FORWARDCHAIN",[183],"(atomic macro) \u000Aforward chain from an implication in the hyps"],
 ["ACL2-PC____DOC","ACL2-pc::doc","DOC",[183],"(macro) \u000Aaccess documentation inside the proof-checker"],
 ["ACL2-PC____BASH","ACL2-pc::bash","BASH",[183],"(atomic macro) \u000Acall the ACL2 theorem prover's simplifier"],
 ["COMMON-LISP____STRING-EQUAL","String-equal","STRING-EQUAL",[553,117],"String equality without regard to case"],
 ["COMMON-LISP____REVERSE","Reverse","REVERSE",[277,553,117],"Reverse a list or string"],
 ["COMMON-LISP____ABS","Abs","ABS",[193,117],"The absolute value of a real number"],
 ["ACL2_____A2STANDARD-OI_A2","*standard-oi*","*STANDARD-OI*",[11,117],"An ACL2 object-based analogue of CLTL's <v>*standard-input*</v>"],
 ["ACL2____You_02Must_02Think_02about_02the_02Use_02of_02a_02Formula_02as_02a_02Rule","You Must Think about the Use of a Formula as a Rule","You Must Think about the Use of a Formula as a Rule",[83],"You Must Think about the Use of a Formula as a Rule"],
 ["ACL2____UNION-THEORIES","Union-theories","UNION-THEORIES",[2,433],"Union two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____The_02WARNING_02about_02the_02Trivial_02Consequence","The WARNING about the Trivial Consequence","The WARNING about the Trivial Consequence",[83],"The WARNING about the Trivial Consequence"],
 ["ACL2____SYMBOL-_C3","Symbol-&lt;","SYMBOL-<",[947,117],"Less-than test for symbols"],
 ["ACL2____REMOVE-INVISIBLE-FNS","Remove-invisible-fns","REMOVE-INVISIBLE-FNS",[80],"Make some unary functions no longer invisible"],
 ["ACL2____PARALLEL-PROOF","Parallel-proof","PARALLEL-PROOF",[104],"Parallel proof in ACL2(p)"],
 ["ACL2____PAIRLIS_42","Pairlis$","PAIRLIS$",[277,647,117],"Zipper together two lists"],
 ["ACL2____MBT_A2","Mbt*","MBT*",[46,117],"Introduce a guard proof obligation"],
 ["ACL2____INVARIANT-RISK","Invariant-risk","INVARIANT-RISK",[144],"Potential slowdown for <see topic=\"ACL2____PROGRAM\">program</see>-mode updates to <see topic=\"ACL2____STOBJ\">stobj</see>s \u000A or <see topic=\"ACL2____ARRAYS\">arrays</see>"],
 ["ACL2____HONS-WASH_12","Hons-wash!","HONS-WASH!",[435,117],"A version of <tt><see topic=\"ACL2____HONS-WASH\">hons-wash</see></tt> for <see topic=\"ACL2____PARALLEL\">parallel</see> execution"],
 ["ACL2____HONS-CLEAR_12","Hons-clear!","HONS-CLEAR!",[435,117],"A version of <tt><see topic=\"ACL2____HONS-CLEAR\">hons-clear</see></tt> for <see topic=\"ACL2____PARALLEL\">parallel</see> execution"],
 ["ACL2____Guessing_02the_02Type_02of_02a_02Newly_02Admitted_02Function","Guessing the Type of a Newly Admitted Function","Guessing the Type of a Newly Admitted Function",[83],"Guessing the Type of a Newly Admitted Function"],
 ["ACL2____GTHM","Gthm","GTHM",[85,81],"The <see topic=\"ACL2____GUARD\">guard</see> theorem for a given function symbol"],
 ["ACL2____FORALL","Forall","FORALL",[48],"Universal quantifier"],
 ["ACL2____BROKEN-LINK","Broken-link","BROKEN-LINK",[21],"Placeholder for link to documentation that resides in the community \u000A books"],
 ["ACL2____BOOKS-TOUR","Books-tour","BOOKS-TOUR",[30],"The <i>guided tour</i> of concepts related to ACL2 <see topic=\"ACL2____BOOKS\">books</see>."],
 ["ACL2____ASSERT_A2","Assert*","ASSERT*",[911,117],"Create a <see topic=\"ACL2____GUARD\">guard</see> proof obligation that given test holds"],
 ["ACL2____ACL2_02Characters","ACL2 Characters","ACL2 Characters",[83],"ACL2 Characters"],
 ["COMMON-LISP____STRING_E3_D3","String&gt;=","STRING>=",[553,117],"Less-than-or-equal test for strings"],
 ["COMMON-LISP____STRING_C3_D3","String&lt;=","STRING<=",[553,117],"Less-than-or-equal test for strings"],
 ["COMMON-LISP____SIGNUM","Signum","SIGNUM",[193,117],"Indicator for positive, negative, or zero"],
 ["COMMON-LISP____MOD","Mod","MOD",[193,117],"Remainder using <tt><see topic=\"COMMON-LISP____FLOOR\">floor</see></tt>"],
 ["COMMON-LISP____MAKE-LIST","Make-list","MAKE-LIST",[277,117],"Make a list of a given size"],
 ["COMMON-LISP____LAMBDA","Lambda","LAMBDA",[261],"See <see topic=\"ACL2____TERM\">term</see>."],
 ["COMMON-LISP____INTEGER-LENGTH","Integer-length","INTEGER-LENGTH",[193,117],"Number of bits in two's complement integer representation"],
 ["ACL2____What_02is_02a_02Mathematical_02Logic_82Q_92","What is a Mathematical Logic(Q)","What is a Mathematical Logic(Q)",[83],"What is a Mathematical Logic?"],
 ["ACL2____UNTRACE_42","Untrace$","UNTRACE$",[468],"Untrace functions"],
 ["ACL2____START-PROOF-TREE","Start-proof-tree","START-PROOF-TREE",[92],"Start displaying proof trees during proofs"],
 ["ACL2____SET-PRINT-BASE-RADIX","Set-print-base-radix","SET-PRINT-BASE-RADIX",[11,117],"Control radix in which numbers are printed and printing of the radix"],
 ["ACL2____Revisiting_02the_02Admission_02of_02App","Revisiting the Admission of App","Revisiting the Admission of App",[83],"Revisiting the Admission of App"],
 ["ACL2____QUANTIFIERS-USING-DEFUN-SK","Quantifiers-using-defun-sk","QUANTIFIERS-USING-DEFUN-SK",[495],"Quantification example"],
 ["ACL2____PR_12","Pr!","PR!",[85],"Print rules stored by the command with a given command descriptor"],
 ["ACL2____POSP","Posp","POSP",[193,117],"A recognizer for the positive integers"],
 ["ACL2____PCS","Pcs","PCS",[85],"Print the sequence of <see topic=\"ACL2____COMMAND\">command</see>s between two <see topic=\"ACL2____COMMAND\">command</see> descriptors"],
 ["ACL2____PCB_12","Pcb!","PCB!",[85],"Print in full the <see topic=\"ACL2____COMMAND\">command</see> block described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____O-FIRST-COEFF","O-first-coeff","O-FIRST-COEFF",[71,117],"Returns the first coefficient of an ordinal"],
 ["ACL2____NFIX","Nfix","NFIX",[193,117],"Coerce to a natural number"],
 ["ACL2____MEMSUM","Memsum","MEMSUM",[36],"Display all collected profiling and memoization info"],
 ["ACL2____MEASURE","Measure","MEASURE",[261],"See <see topic=\"ACL2____XARGS\">xargs</see> for keyword <v>:measure</v>."],
 ["ACL2____KEYWORD-VALUE-LISTP","Keyword-value-listp","KEYWORD-VALUE-LISTP",[917,277,117],"Recognizer for true lists whose even-position elements are keywords"],
 ["ACL2____INTERN_42","Intern$","INTERN$",[1114,632,117],"Create a new symbol in a given package"],
 ["ACL2____HONS-COPY-PERSISTENT","Hons-copy-persistent","HONS-COPY-PERSISTENT",[435,117],"<v>(<see topic=\"ACL2____HONS-COPY-PERSISTENT\">hons-copy-persistent</see> x)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object that is \u000Aequal to X and which will be re-normed after any calls to <tt><see topic=\"ACL2____HONS-CLEAR\">hons-clear</see></tt>."],
 ["ACL2____GET-WORMHOLE-STATUS","Get-wormhole-status","GET-WORMHOLE-STATUS",[31],"Make a wormhole's status visible outside the wormhole"],
 ["ACL2____GC-STRATEGY","Gc-strategy","GC-STRATEGY",[484,117],"The garbage collection strategy"],
 ["ACL2____ENABLE-FORCING","Enable-forcing","ENABLE-FORCING",[15],"To allow forced case splits"],
 ["ACL2____DISABLE-IMMEDIATE-FORCE-MODEP","Disable-immediate-force-modep","DISABLE-IMMEDIATE-FORCE-MODEP",[15],"<see topic=\"ACL2____FORCE\">force</see>d hypotheses are not attacked immediately"],
 ["ACL2____ACL2_02Strings","ACL2 Strings","ACL2 Strings",[83],"ACL2 Strings"],
 ["ACL2-PC____PSO_12","ACL2-pc::pso!","PSO!",[183],"(macro) \u000Aprint the most recent proof attempt from inside the proof-checker"],
 ["ACL2-PC____PSOG","ACL2-pc::psog","PSOG",[183],"(macro) \u000Aprint the most recent proof attempt from inside the proof-checker"],
 ["ACL2-PC____PRINT","ACL2-pc::print","PRINT",[183],"(macro) \u000Aprint the result of evaluating the given form"],
 ["ACL2-PC____EXPAND","ACL2-pc::expand","EXPAND",[183],"(primitive) \u000Aexpand the current function call without simplification"],
 ["ACL2-PC____BK","ACL2-pc::bk","BK",[183],"(atomic macro) \u000Amove backward one argument in the enclosing term"],
 ["COMMON-LISP____CHAR-EQUAL","Char-equal","CHAR-EQUAL",[44,117],"Character equality without regard to case"],
 ["COMMON-LISP____ALPHA-CHAR-P","Alpha-char-p","ALPHA-CHAR-P",[44,117],"Recognizer for alphabetic characters"],
 ["ACL2____What_02is_02a_02Mechanical_02Theorem_02Prover_82Q_92","What is a Mechanical Theorem Prover(Q)","What is a Mechanical Theorem Prover(Q)",[83],"What is a Mechanical Theorem Prover?"],
 ["ACL2____WOF","Wof","WOF",[11],"Direct standard output and proofs output to a file"],
 ["ACL2____SIGNED-BYTE-P","Signed-byte-p","SIGNED-BYTE-P",[193,117],"Recognizer for signed integers that fit in a specified bit width"],
 ["ACL2____REDEF","Redef","REDEF",[10],"A common way to set <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>"],
 ["ACL2____QUANTIFIERS-USING-DEFUN-SK-EXTENDED","Quantifiers-using-defun-sk-extended","QUANTIFIERS-USING-DEFUN-SK-EXTENDED",[495],"Quantification example with details"],
 ["ACL2____PF","Pf","PF",[85],"Print the formula corresponding to the given name"],
 ["ACL2____O-FIRST-EXPT","O-first-expt","O-FIRST-EXPT",[71,117],"The first exponent of an ordinal"],
 ["ACL2____NOTE-2-7_82R_92","Note-2-7(r)","NOTE-2-7(R)",[167],"ACL2 Version  2.7(r) (November, 2002) Notes"],
 ["ACL2____GETPROP","Getprop","GETPROP",[1,117],"Access fast property lists"],
 ["ACL2____GET-COMMAND-SEQUENCE","Get-command-sequence","GET-COMMAND-SEQUENCE",[85],"Return list of <see topic=\"ACL2____COMMAND\">command</see>s that are between two <see topic=\"ACL2____COMMAND\">command</see> descriptors"],
 ["ACL2____FREE-VARIABLES-EXAMPLES","Free-variables-examples","FREE-VARIABLES-EXAMPLES",[54],"Examples pertaining to free variables in rules"],
 ["ACL2____FAST-ALIST-SUMMARY","Fast-alist-summary","FAST-ALIST-SUMMARY",[282,117],"<v>(<see topic=\"ACL2____FAST-ALIST-SUMMARY\">fast-alist-summary</see>)</v> prints some basic statistics about any \u000Acurrent fast alists."],
 ["ACL2____FAST-ALIST-CLEAN_12","Fast-alist-clean!","FAST-ALIST-CLEAN!",[282,117],"<v>(<see topic=\"ACL2____FAST-ALIST-CLEAN_12\">fast-alist-clean!</see> alist)</v> is an alternative to <tt><see topic=\"ACL2____FAST-ALIST-CLEAN\">fast-alist-clean</see></tt> that produces a <see topic=\"ACL2____NORMED\">normed</see> result."],
 ["ACL2____EXISTS","Exists","EXISTS",[48],"Existential quantifier"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-BINARY-TREES","Example-induction-scheme-binary-trees","EXAMPLE-INDUCTION-SCHEME-BINARY-TREES",[12],"Induction on binary trees"],
 ["ACL2____EQLABLE-LISTP","Eqlable-listp","EQLABLE-LISTP",[855,174,277,117],"Recognizer for a true list of objects each suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____ENABLE-IMMEDIATE-FORCE-MODEP","Enable-immediate-force-modep","ENABLE-IMMEDIATE-FORCE-MODEP",[15],"<see topic=\"ACL2____FORCE\">force</see>d hypotheses are attacked immediately"],
 ["ACL2____CHECKPOINT-FORCED-GOALS","Checkpoint-forced-goals","CHECKPOINT-FORCED-GOALS",[92],"Cause forcing goals to be checkpointed in proof trees"],
 ["ACL2____BOOLEANP","Booleanp","BOOLEANP",[548,117],"Recognizer for booleans"],
 ["ACL2____About_02Models","About Models","About Models",[83],"About Models"],
 ["ACL2-PC____WRAP","ACL2-pc::wrap","WRAP",[183],"(atomic macro) \u000Aexecute the indicated instructions and combine all the new goals"],
 ["ACL2-PC____REMOVE-ABBREVIATIONS","ACL2-pc::remove-abbreviations","REMOVE-ABBREVIATIONS",[183],"(primitive) \u000Aremove one or more abbreviations"],
 ["ACL2-PC____REDUCE-BY-INDUCTION","ACL2-pc::reduce-by-induction","REDUCE-BY-INDUCTION",[183],"(macro) \u000Acall the ACL2 prover without induction, after going into \u000Ainduction"],
 ["ACL2-PC____PSO","ACL2-pc::pso","PSO",[183],"(macro) \u000Aprint the most recent proof attempt from inside the proof-checker"],
 ["ACL2-PC____INDUCT","ACL2-pc::induct","INDUCT",[183],"(atomic macro) \u000Agenerate subgoals using induction"],
 ["COMMON-LISP____SUBST","Subst","SUBST",[390,117],"A single substitution into a tree"],
 ["COMMON-LISP____STRING-UPCASE","String-upcase","STRING-UPCASE",[553,117],"In a given string, turn lower-case <see topic=\"ACL2____CHARACTERS\">characters</see> into upper-case"],
 ["COMMON-LISP____LIST_A2","List*","LIST*",[277,117],"Build a list"],
 ["COMMON-LISP____ASH","Ash","ASH",[193,117],"Arithmetic shift operation"],
 ["ACL2____What_02is_02Required_02of_02the_02User_82Q_92","What is Required of the User(Q)","What is Required of the User(Q)",[83],"What is Required of the User?"],
 ["ACL2____USING-COMPUTED-HINTS-1","Using-computed-hints-1","USING-COMPUTED-HINTS-1",[824],"Driving Home the Basics"],
 ["ACL2____U","U","U",[85],"Undo last <see topic=\"ACL2____COMMAND\">command</see>, without a query"],
 ["ACL2____SPLITTER-OUTPUT","Splitter-output","SPLITTER-OUTPUT",[126],"Status for reporting of <see topic=\"ACL2____SPLITTER\">splitter</see> rules"],
 ["ACL2____SET-WORMHOLE-ENTRY-CODE","Set-wormhole-entry-code","SET-WORMHOLE-ENTRY-CODE",[31],"Sets the wormhole entry code in a wormhole status object"],
 ["ACL2____SET-WORMHOLE-DATA","Set-wormhole-data","SET-WORMHOLE-DATA",[31],"Sets the wormhole data object in a wormhole status object"],
 ["ACL2____SET-NON-LINEARP","Set-non-linearp","SET-NON-LINEARP",[114],"To turn on or off non-linear arithmetic reasoning"],
 ["ACL2____RESIZE-LIST","Resize-list","RESIZE-LIST",[4,117],"List resizer in support of stobjs"],
 ["ACL2____REDEF-","Redef-","REDEF-",[10],"Turn off system hacker's redefinition <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____PSO_12","Pso!","PSO!",[619],"Show the most recently saved output, including <see topic=\"ACL2____PROOF-TREE\">proof-tree</see> output"],
 ["ACL2____MEMOIZE-SUMMARY","Memoize-summary","MEMOIZE-SUMMARY",[36],"Display all collected profiling and memoization info"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-3","Introductory-challenge-problem-3","INTRODUCTORY-CHALLENGE-PROBLEM-3",[12],"Challenge problem 3 for the new user of ACL2"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-1","Introductory-challenge-problem-1","INTRODUCTORY-CHALLENGE-PROBLEM-1",[12],"Challenge problem 1 for the new user of ACL2"],
 ["ACL2____INTERFACING-TOOLS","Interfacing-tools","INTERFACING-TOOLS",[1228,590],"Libraries and tools for doing basic <see topic='ACL2____STD_F2IO'>file \u000A i/o</see>, using raw <see topic='ACL2____QUICKLISP'>Common Lisp \u000A libraries</see>, working with the <see topic='ACL2____OSLIB'>operating \u000A system</see>, and interfacing with <see topic='ACL2____BRIDGE'>other \u000A programs</see>."],
 ["ACL2____IFIX","Ifix","IFIX",[193,117],"Coerce to an integer"],
 ["ACL2____I-AM-HERE","I-am-here","I-AM-HERE",[10],"A convenient marker for use with <tt><see topic=\"ACL2____REBUILD\">rebuild</see></tt> or <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____Hey_02Wait_12_02_02Is_02ACL2_02Typed_02or_02Untyped_82Q_92","Hey Wait!  Is ACL2 Typed or Untyped(Q)","Hey Wait!  Is ACL2 Typed or Untyped(Q)",[83],"Hey Wait!  Is ACL2 Typed or Untyped?"],
 ["ACL2____EXIT-BOOT-STRAP-MODE","Exit-boot-strap-mode","EXIT-BOOT-STRAP-MODE",[85],"The end of pre-history"],
 ["ACL2____DEFAULT-HINTS-TABLE","Default-hints-table","DEFAULT-HINTS-TABLE",[634],"A <see topic=\"ACL2____TABLE\">table</see> used to provide <see topic=\"ACL2____HINTS\">hints</see> for proofs"],
 ["ACL2____COMP-GCL","Comp-gcl","COMP-GCL",[76,117],"Compile some ACL2 functions leaving .c and .h files"],
 ["ACL2____CERTIFY-BOOK_12","Certify-book!","CERTIFY-BOOK!",[17],"A variant of <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt>"],
 ["ACL2____BREAK_42","Break$","BREAK$",[911,117],"Cause an immediate Lisp break"],
 ["ACL2-PC____UNSAVE","ACL2-pc::unsave","UNSAVE",[183],"(macro) \u000Aremove a proof-checker state"],
 ["ACL2-PC____UNDO","ACL2-pc::undo","UNDO",[183],"(meta) \u000Aundo some instructions"],
 ["ACL2-PC____TOP","ACL2-pc::top","TOP",[183],"(atomic macro) \u000Amove to the top of the goal"],
 ["ACL2-PC____RESTORE","ACL2-pc::restore","RESTORE",[183],"(meta) \u000Aremove the effect of an UNDO command"],
 ["ACL2-PC____REPLAY","ACL2-pc::replay","REPLAY",[183],"(macro) \u000Areplay one or more instructions"],
 ["ACL2-PC____NX","ACL2-pc::nx","NX",[183],"(atomic macro) \u000Amove forward one argument in the enclosing term"],
 ["ACL2-PC____CONTRAPOSE","ACL2-pc::contrapose","CONTRAPOSE",[183],"(primitive) \u000Aswitch a hypothesis with the conclusion, negating both"],
 ["COMMON-LISP_____F2_D3","/=","/=",[193,117],"Test inequality of two numbers"],
 ["COMMON-LISP_____E3","&gt;",">",[193,117],"Greater-than test"],
 ["COMMON-LISP____UPPER-CASE-P","Upper-case-p","UPPER-CASE-P",[44,117],"Recognizer for upper case characters"],
 ["COMMON-LISP____STRING-DOWNCASE","String-downcase","STRING-DOWNCASE",[553,117],"In a given string, turn upper-case <see topic=\"ACL2____CHARACTERS\">characters</see> into lower-case"],
 ["COMMON-LISP____LOWER-CASE-P","Lower-case-p","LOWER-CASE-P",[44,117],"Recognizer for lower case characters"],
 ["COMMON-LISP____LOGBITP","Logbitp","LOGBITP",[193,117],"The <v>i</v>th bit of an integer"],
 ["ACL2_____A2STANDARD-CI_A2","*standard-ci*","*STANDARD-CI*",[11,117],"An ACL2 character-based analogue of CLTL's <v>*standard-input*</v>"],
 ["ACL2____UNSIGNED-BYTE-P","Unsigned-byte-p","UNSIGNED-BYTE-P",[193,117],"Recognizer for natural numbers that fit in a specified bit width"],
 ["ACL2____UBU_12","Ubu!","UBU!",[85],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, without a query or an error"],
 ["ACL2____The_02Falling_02Body_02Model","The Falling Body Model","The Falling Body Model",[83],"The Falling Body Model"],
 ["ACL2____TOGGLE-PC-MACRO","Toggle-pc-macro","TOGGLE-PC-MACRO",[47],"Change an ordinary macro command to an atomic macro, or vice-versa"],
 ["ACL2____SHARP-BANG-READER","Sharp-bang-reader","SHARP-BANG-READER",[546,632],"Package prefix that is not restricted to symbols"],
 ["ACL2____Rewrite_02Rules_02are_02Generated_02from_02DEFTHM_02Events","Rewrite Rules are Generated from DEFTHM Events","Rewrite Rules are Generated from DEFTHM Events",[83],"Rewrite Rules are Generated from DEFTHM Events"],
 ["ACL2____REDEF_12","Redef!","REDEF!",[10],"A common way to set <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>"],
 ["ACL2____O-RST","O-rst","O-RST",[71,117],"Returns the rest of an infinite ordinal"],
 ["ACL2____NOTE-2-7-GUARDS","Note-2-7-guards","NOTE-2-7-GUARDS",[129],"ACL2 Version  2.7 Notes on Guard-related Changes"],
 ["ACL2____MEMBER-EQUAL","Member-equal","MEMBER-EQUAL",[261],"See <see topic=\"COMMON-LISP____MEMBER\">member</see>."],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-BASE-CASE","Logic-knowledge-taken-for-granted-base-case","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-BASE-CASE",[12],"A brief explanation of base cases"],
 ["ACL2____FMT_12","Fmt!","FMT!",[11,117],"<v>(<see topic=\"ACL2____FMT_12\">fmt!</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____FAST-ALIST-LEN","Fast-alist-len","FAST-ALIST-LEN",[282,117],"<v>(<see topic=\"ACL2____FAST-ALIST-LEN\">fast-alist-len</see> alist)</v> counts the number of unique keys in a \u000A  fast alist."],
 ["ACL2____DIGIT-TO-CHAR","Digit-to-char","DIGIT-TO-CHAR",[44,117],"Map a digit to a character"],
 ["ACL2____A_02Typical_02State","A Typical State","A Typical State",[83],"A Typical State"],
 ["ACL2____ARRAY2P","Array2p","ARRAY2P",[37,117],"Recognize a 2-dimensional array"],
 ["ACL2____ARRAY1P","Array1p","ARRAY1P",[37,117],"Recognize a 1-dimensional array"],
 ["ACL2____ARITIES-OKP","Arities-okp","ARITIES-OKP",[117],"check the arities of given function symbols"],
 ["ACL2____ARGS","Args","ARGS",[21],"<v>args</v>, <tt><see topic=\"ACL2____GUARD\">guard</see></tt>, <v>type</v>, <tt><see topic=\"ACL2____CONSTRAINT\">constraint</see></tt>, etc., of a \u000A  function symbol"],
 ["COMMON-LISP____SYMBOLP","Symbolp","SYMBOLP",[947,117],"Recognizer for symbols"],
 ["COMMON-LISP____REM","Rem","REM",[193,117],"Remainder using <tt><see topic=\"COMMON-LISP____TRUNCATE\">truncate</see></tt>"],
 ["COMMON-LISP____LOGTEST","Logtest","LOGTEST",[193,117],"Test if two integers share a `1' bit"],
 ["COMMON-LISP____LOGNOT","Lognot","LOGNOT",[193,117],"Bitwise not of a two's complement number"],
 ["COMMON-LISP____CHAR","Char","CHAR",[44,117],"The <see topic=\"COMMON-LISP____NTH\">nth</see> element (zero-based) of a string"],
 ["COMMON-LISP____ACONS","Acons","ACONS",[647,117],"Constructor for association lists"],
 ["ACL2____The_02Time_02Taken_02to_02do_02the_02Associativity_02of_02App_02Proof","The Time Taken to do the Associativity of App Proof","The Time Taken to do the Associativity of App Proof",[83],"The Time Taken to do the Associativity of App Proof"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_021_92","The Simplification of the Induction Conclusion (Step 1)","The Simplification of the Induction Conclusion (Step 1)",[83],"The Simplification of the Induction Conclusion (Step 1)"],
 ["ACL2____The_02Rules_02used_02in_02the_02Associativity_02of_02App_02Proof","The Rules used in the Associativity of App Proof","The Rules used in the Associativity of App Proof",[83],"The Rules used in the Associativity of App Proof"],
 ["ACL2____TAU-INTERVAL-LO-REL","Tau-interval-lo-rel","TAU-INTERVAL-LO-REL",[41],"Access the lower bound relation of a tau interval"],
 ["ACL2____TAU-INTERVAL-HI-REL","Tau-interval-hi-rel","TAU-INTERVAL-HI-REL",[41],"Access the upper bound relation of a tau interval"],
 ["ACL2____TAU-INTERVAL-HI","Tau-interval-hi","TAU-INTERVAL-HI",[41],"Access the upper bound of a tau interval"],
 ["ACL2____STRING-APPEND","String-append","STRING-APPEND",[553,117],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> two strings"],
 ["ACL2____SHOW-CUSTOM-KEYWORD-HINT-EXPANSION","Show-custom-keyword-hint-expansion","SHOW-CUSTOM-KEYWORD-HINT-EXPANSION",[961],"Print out custom keyword hints when they are expanded"],
 ["ACL2____SET-DEFAULT-HINTS_12","Set-default-hints!","SET-DEFAULT-HINTS!",[634],"Set the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____REMOVE-MACRO-FN","Remove-macro-fn","REMOVE-MACRO-FN",[708],"Remove the association of a function name with a macro name"],
 ["ACL2____REMOVE-MACRO-ALIAS","Remove-macro-alias","REMOVE-MACRO-ALIAS",[708],"Remove the association of a function name with a macro name"],
 ["ACL2____REMOVE-DEFAULT-HINTS_12","Remove-default-hints!","REMOVE-DEFAULT-HINTS!",[634],"Remove from the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____REAL_F2RATIONALP","Real/rationalp","REAL/RATIONALP",[193,117],"Recognizer for rational numbers (including real number in ACL2(r))"],
 ["ACL2____PROGN_42","Progn$","PROGN$",[548,117],"Execute a sequence of forms and return the value of the last one"],
 ["ACL2____NOTE1","Note1","NOTE1",[167],"Acl2 Version 1.1 Notes"],
 ["ACL2____NEVER-MEMOIZE","Never-memoize","NEVER-MEMOIZE",[36],"Mark a function as unsafe to memoize."],
 ["ACL2____INTERSECTION-THEORIES","Intersection-theories","INTERSECTION-THEORIES",[2,433],"Intersect two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____FMT1_12","Fmt1!","FMT1!",[11,117],"<v>(<see topic=\"ACL2____FMT1_12\">fmt1!</see> str alist col channel state evisc) =&gt; (<see topic=\"ACL2____MV\">mv</see> col state)</v>"],
 ["ACL2____FINDING-DOCUMENTATION","Finding-documentation","FINDING-DOCUMENTATION",[21],"Searching the documentation"],
 ["ACL2____CCL-UPDATES","Ccl-updates","CCL-UPDATES",[66],"Updating Clozure Common Lisp (CCL)"],
 ["ACL2____BUILDING-ACL2","Building-ACL2","BUILDING-ACL2",[730],"How to build an ACL2 executable"],
 ["ACL2____ASSOC-STRING-EQUAL","Assoc-string-equal","ASSOC-STRING-EQUAL",[647,117],"Look up key, a string, in association list"],
 ["ACL2____ARITY","Arity","ARITY",[117],"number of arguments of a function symbol"],
 ["ACL2____ADD-DEFAULT-HINTS_12","Add-default-hints!","ADD-DEFAULT-HINTS!",[634],"Add to the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____ADD-BINOP","Add-binop","ADD-BINOP",[708],"Associate a function name with a macro name"],
 ["ACL2-PC____WRAP-INDUCT","ACL2-pc::wrap-induct","WRAP-INDUCT",[183],"(atomic macro) \u000Asame as induct, but create a single goal"],
 ["ACL2-PC____P","ACL2-pc::p","P",[183],"(macro) \u000Aprettyprint the current term"],
 ["ACL2-PC____NOISE","ACL2-pc::noise","NOISE",[183],"(meta) \u000Arun instructions with output"],
 ["COMMON-LISP_____E3_D3","&gt;=",">=",[193,117],"Greater-than-or-equal test"],
 ["COMMON-LISP____LOGORC1","Logorc1","LOGORC1",[193,117],"Bitwise logical inclusive or of two ints, complementing the first"],
 ["COMMON-LISP____LAST","Last","LAST",[277,117],"The last <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> (not element) of a list"],
 ["COMMON-LISP____EVENP","Evenp","EVENP",[193,117],"Test whether an integer is even"],
 ["ACL2____UNTRANS-TABLE","Untrans-table","UNTRANS-TABLE",[708],"Associates a function symbol with a macro for printing user-level terms"],
 ["ACL2____TUTORIAL5-MISCELLANEOUS-EXAMPLES","Tutorial5-miscellaneous-examples","TUTORIAL5-MISCELLANEOUS-EXAMPLES",[358],"Miscellaneous ACL2 examples"],
 ["ACL2____TAU-INTERVAL-LO","Tau-interval-lo","TAU-INTERVAL-LO",[41],"Access the lower bound of a tau interval"],
 ["ACL2____Subsumption_02of_02Induction_02Candidates_02in_02App_02Example","Subsumption of Induction Candidates in App Example","Subsumption of Induction Candidates in App Example",[83],"Subsumption of Induction Candidates in App Example"],
 ["ACL2____SYMBOL-ALISTP","Symbol-alistp","SYMBOL-ALISTP",[647,117],"Recognizer for association lists with symbols as keys"],
 ["ACL2____STRIP-CARS","Strip-cars","STRIP-CARS",[647,117],"Collect up all first components of pairs in a list"],
 ["ACL2____STANDARD-STRING-ALISTP","Standard-string-alistp","STANDARD-STRING-ALISTP",[647,117],"Recognizer for association lists with standard strings as keys"],
 ["ACL2____SET-DUPLICATE-KEYS-ACTION_12","Set-duplicate-keys-action!","SET-DUPLICATE-KEYS-ACTION!",[619],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt> version of <tt><see topic=\"ACL2____SET-DUPLICATE-KEYS-ACTION\">set-duplicate-keys-action</see></tt>"],
 ["ACL2____SET-BOGUS-DEFUN-HINTS-OK","Set-bogus-defun-hints-ok","SET-BOGUS-DEFUN-HINTS-OK",[0],"Allow unnecessary <v>(<see topic=\"ACL2____XARGS\">xargs</see> :hints ...)</v>."],
 ["ACL2____RFIX","Rfix","RFIX",[193,117],"Coerce to a rational number"],
 ["ACL2____Other_02Requirements","Other Requirements","Other Requirements",[83],"Other Requirements"],
 ["ACL2____OPEN-TRACE-FILE","Open-trace-file","OPEN-TRACE-FILE",[468],"Redirect trace output to a file"],
 ["ACL2____Models_02in_02Engineering","Models in Engineering","Models in Engineering",[83],"Models in Engineering"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-1-ANSWER","Introductory-challenge-problem-1-answer","INTRODUCTORY-CHALLENGE-PROBLEM-1-ANSWER",[12],"Answer to challenge problem 1 for the new user of ACL2"],
 ["ACL2____FMS_12","Fms!","FMS!",[11,117],"<v>(<see topic=\"ACL2____FMS_12\">fms!</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____FIX","Fix","FIX",[193,117],"Coerce to a number"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-ON-SEVERAL-VARIABLES","Example-induction-scheme-on-several-variables","EXAMPLE-INDUCTION-SCHEME-ON-SEVERAL-VARIABLES",[12],"Induction on several variables"],
 ["ACL2____COMPLEX_F2COMPLEX-RATIONALP","Complex/complex-rationalp","COMPLEX/COMPLEX-RATIONALP",[193,117],"Recognizer for complex numbers"],
 ["ACL2____ASSOC-KEYWORD","Assoc-keyword","ASSOC-KEYWORD",[1015,117],"Look up key in a <tt><see topic=\"ACL2____KEYWORD-VALUE-LISTP\">keyword-value-listp</see></tt>"],
 ["ACL2____ACTIVE-RUNEP","Active-runep","ACTIVE-RUNEP",[2],"Check that a <see topic=\"ACL2____RUNE\">rune</see> exists and is <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2-PC____UP","ACL2-pc::up","UP",[183],"(primitive) \u000Amove to the parent (or some ancestor) of the current subterm"],
 ["ACL2-PC____THEN","ACL2-pc::then","THEN",[183],"(macro) \u000Aapply one instruction to current goal and another to new subgoals"],
 ["ACL2-PC____TH","ACL2-pc::th","TH",[183],"(macro) \u000Aprint the top-level hypotheses and the current subterm"],
 ["ACL2-PC____SL","ACL2-pc::sl","SL",[183],"(atomic macro) \u000Asimplify with lemmas"],
 ["ACL2-PC____SHOW-TYPE-PRESCRIPTIONS","ACL2-pc::show-type-prescriptions","SHOW-TYPE-PRESCRIPTIONS",[183],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rules"],
 ["ACL2-PC____BDD","ACL2-pc::bdd","BDD",[183],"(atomic macro) \u000Aprove the current goal using bdds"],
 ["COMMON-LISP____STRING_E3","String&gt;","STRING>",[553,117],"Greater-than test for strings"],
 ["COMMON-LISP____STRINGP","Stringp","STRINGP",[553,117],"Recognizer for strings"],
 ["COMMON-LISP____SLEEP","Sleep","SLEEP",[111],"Sleep for some number of seconds"],
 ["COMMON-LISP____LOGORC2","Logorc2","LOGORC2",[193,117],"Bitwise logical inclusive or of two ints, complementing the second"],
 ["COMMON-LISP____LOGCOUNT","Logcount","LOGCOUNT",[193,117],"Number of ``on'' bits in a two's complement number"],
 ["COMMON-LISP____LOGANDC2","Logandc2","LOGANDC2",[193,117],"Bitwise logical `and' of two ints, complementing the second"],
 ["COMMON-LISP____LOGANDC1","Logandc1","LOGANDC1",[193,117],"Bitwise logical `and' of two ints, complementing the first"],
 ["COMMON-LISP____CHAR_E3_D3","Char&gt;=","CHAR>=",[44,117],"Greater-than-or-equal test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR_C3","Char&lt;","CHAR<",[44,117],"Less-than test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["ACL2____TRANS_12","Trans!","TRANS!",[708],"Print the macroexpansion of a form without single-threadedness concerns"],
 ["ACL2____TAU-INTERVAL-DOM","Tau-interval-dom","TAU-INTERVAL-DOM",[41],"Access the domain of a tau interval"],
 ["ACL2____TAU-DATABASE","Tau-database","TAU-DATABASE",[41,85],"To see the tau database as a (very large) object"],
 ["ACL2____Symbolic_02Execution_02of_02Models","Symbolic Execution of Models","Symbolic Execution of Models",[83],"Symbolic Execution of Models"],
 ["ACL2____Suggested_02Inductions_02in_02the_02Associativity_02of_02App_02Example","Suggested Inductions in the Associativity of App Example","Suggested Inductions in the Associativity of App Example",[83],"Suggested Inductions in the Associativity of App Example"],
 ["ACL2____STRIP-CDRS","Strip-cdrs","STRIP-CDRS",[647,117],"Collect up all second components of pairs in a list"],
 ["ACL2____SET-INHIBIT-WARNINGS_12","Set-inhibit-warnings!","SET-INHIBIT-WARNINGS!",[619],"Control warnings non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SAVE-AND-CLEAR-MEMOIZATION-SETTINGS","Save-and-clear-memoization-settings","SAVE-AND-CLEAR-MEMOIZATION-SETTINGS",[36],"Save and remove the current memoization settings"],
 ["ACL2____RESET-FC-REPORTING","Reset-fc-reporting","RESET-FC-REPORTING",[103],"Reset the forward-chaining tracking state to its initial configuration"],
 ["ACL2____REMOVE-NTH-ALIAS","Remove-nth-alias","REMOVE-NTH-ALIAS",[760],"Remove a symbol alias for printing of <tt><see topic=\"COMMON-LISP____NTH\">nth</see></tt>/<tt><see topic=\"ACL2____UPDATE-NTH\">update-nth</see></tt> terms"],
 ["ACL2____REALFIX","Realfix","REALFIX",[193,117],"Coerce to a real number"],
 ["ACL2____QUANTIFIERS-USING-RECURSION","Quantifiers-using-recursion","QUANTIFIERS-USING-RECURSION",[495],"Recursion for implementing quantification"],
 ["ACL2____PSOG","Psog","PSOG",[619],"Show the most recently saved output in <see topic=\"ACL2____GAG-MODE\">gag-mode</see>"],
 ["ACL2____Overview_02of_02the_02Proof_02of_02a_02Trivial_02Consequence","Overview of the Proof of a Trivial Consequence","Overview of the Proof of a Trivial Consequence",[83],"Overview of the Proof of a Trivial Consequence"],
 ["ACL2____NOTE-3-4_82R_92","Note-3-4(r)","NOTE-3-4(R)",[167],"ACL2 Version  3.4(r) (August, 2008) Notes"],
 ["ACL2____MAKE","Make","MAKE",[397,117],"Constructor macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-2-ANSWER","Introductory-challenge-problem-2-answer","INTRODUCTORY-CHALLENGE-PROBLEM-2-ANSWER",[12],"Answer to challenge problem 2 for the new user of ACL2"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-2","Introductory-challenge-problem-2","INTRODUCTORY-CHALLENGE-PROBLEM-2",[12],"Challenge problem 2 for the new user of ACL2"],
 ["ACL2____GETPROPC","Getpropc","GETPROPC",[1,117],"Access fast property lists"],
 ["ACL2____Evaluating_02App_02on_02Sample_02Input","Evaluating App on Sample Input","Evaluating App on Sample Input",[83],"Evaluating App on Sample Input"],
 ["ACL2____EVISCERATE-HIDE-TERMS","Eviscerate-hide-terms","EVISCERATE-HIDE-TERMS",[11],"To print <v>(<see topic=\"ACL2____HIDE\">hide</see> ...)</v> as <v>&lt;hidden&gt;</v>"],
 ["ACL2____BINARY-_A2","Binary-*","BINARY-*",[541,117],"Multiplication function"],
 ["ACL2____ADD-NTH-ALIAS","Add-nth-alias","ADD-NTH-ALIAS",[760],"Associate one symbol with another for printing of <tt><see topic=\"COMMON-LISP____NTH\">nth</see></tt>/<tt><see topic=\"ACL2____UPDATE-NTH\">update-nth</see></tt> terms"],
 ["ACL2-PC____PR","ACL2-pc::pr","PR",[183],"(macro) \u000Aprint the rules for a given name"],
 ["ACL2-PC____PL","ACL2-pc::pl","PL",[183],"(macro) \u000Aprint the rules for a given name"],
 ["ACL2-PC____FINISH","ACL2-pc::finish","FINISH",[183],"(macro) require completion of instructions; save error if inside \u000A<v>:</v><tt><see topic=\"ACL2____HINTS\">hints</see></tt>"],
 ["ACL2-PC____COMMANDS","ACL2-pc::commands","COMMANDS",[183],"(macro) \u000Adisplay instructions from the current interactive session"],
 ["ACL2-PC____CHANGE-GOAL","ACL2-pc::change-goal","CHANGE-GOAL",[183],"(primitive) \u000Achange to another goal."],
 ["COMMON-LISP____NULL","Null","NULL",[548,117],"Recognizer for the empty list"],
 ["COMMON-LISP____MIN","Min","MIN",[193,117],"The smaller of two numbers"],
 ["COMMON-LISP____LOGNOR","Lognor","LOGNOR",[193,117],"Bitwise logical `nor' of two integers"],
 ["COMMON-LISP____CHAR_E3","Char&gt;","CHAR>",[44,117],"Greater-than test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR_C3_D3","Char&lt;=","CHAR<=",[44,117],"Less-than-or-equal test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____1-","1-","1-",[193,117],"Decrement by 1"],
 ["ACL2____ZPF","Zpf","ZPF",[193,117],"Testing a nonnegative fixnum against 0"],
 ["ACL2____UPDATE-NTH-ARRAY","Update-nth-array","UPDATE-NTH-ARRAY",[4,117],"Update a stobj array"],
 ["ACL2____UNARY-_F2","Unary-/","UNARY-/",[193,117],"Reciprocal function"],
 ["ACL2____UBU_F3","Ubu?","UBU?",[85],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, with queries as appropriate"],
 ["ACL2____UBT_F3","Ubt?","UBT?",[85],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, with queries as appropriate"],
 ["ACL2____UBT-PREHISTORY","Ubt-prehistory","UBT-PREHISTORY",[85],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back through the last <tt><see topic=\"ACL2____RESET-PREHISTORY\">reset-prehistory</see></tt> event"],
 ["ACL2____The_02Induction_02Step_02in_02the_02App_02Example","The Induction Step in the App Example","The Induction Step in the App Example",[83],"The Induction Step in the App Example"],
 ["ACL2____TOP","Top","TOP",[],"ACL2 User's Manual (not including documentation for the community books)"],
 ["ACL2____STANDARD-CHAR-LISTP","Standard-char-listp","STANDARD-CHAR-LISTP",[44,277,117],"Recognizer for a true list of standard characters"],
 ["ACL2____SHOW-ACCUMULATED-PERSISTENCE","Show-accumulated-persistence","SHOW-ACCUMULATED-PERSISTENCE",[261],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2____SET-RAW-MODE-ON_12","Set-raw-mode-on!","SET-RAW-MODE-ON!",[20],"Enter ``raw mode,'' a raw Lisp environment"],
 ["ACL2____REMOVE-CUSTOM-KEYWORD-HINT","Remove-custom-keyword-hint","REMOVE-CUSTOM-KEYWORD-HINT",[59],"Remove a custom keyword hint"],
 ["ACL2____PUTPROP","Putprop","PUTPROP",[1,117],"Update fast property lists"],
 ["ACL2____O-FINP","O-finp","O-FINP",[71,117],"Recognizes if an ordinal is finite"],
 ["ACL2____NUMBER-SUBTREES","Number-subtrees","NUMBER-SUBTREES",[66,117],"<v>(<see topic=\"ACL2____NUMBER-SUBTREES\">number-subtrees</see> x)</v> returns the number of distinct subtrees of \u000AX, in the sense of <tt><see topic=\"COMMON-LISP____EQUAL\">equal</see></tt>"],
 ["ACL2____Modeling_02in_02ACL2","Modeling in ACL2","Modeling in ACL2",[83],"Modeling in ACL2"],
 ["ACL2____MAKE-WORMHOLE-STATUS","Make-wormhole-status","MAKE-WORMHOLE-STATUS",[31],"Creates a wormhole status object from given status, entry code, and data"],
 ["ACL2____GOOD-ATOM-LISTP","Good-atom-listp","GOOD-ATOM-LISTP",[666,277,117],"Recognizer for a true list of ``good'' <see topic=\"COMMON-LISP____ATOM\">atom</see>s"],
 ["ACL2____FUNCTIONAL-INSTANTIATION","Functional-instantiation","FUNCTIONAL-INSTANTIATION",[16],"An analogue in ACL2 of higher-order logical reasoning.  Functional \u000A instantiation allows you to prove theorems ``by analogy'' with previous \u000A theorems.  See <see topic=\"ACL2____HINTS\">hints</see> and see <see topic=\"ACL2____LEMMA-INSTANCE\">lemma-instance</see>."],
 ["ACL2____EXTRA-INFO","Extra-info","EXTRA-INFO",[81],"Sources of measure or guard proof obligations"],
 ["ACL2____EQLABLE-ALISTP","Eqlable-alistp","EQLABLE-ALISTP",[647,117],"Recognizer for a true list of pairs whose <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>s are suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____DEFINE-PC-META","Define-pc-meta","DEFINE-PC-META",[47],"Define a proof-checker meta command"],
 ["ACL2____COMMAND-LINE","Command-line","COMMAND-LINE",[1072],"Handling of command-line arguments when ACL2 is invoked"],
 ["ACL2____CLEAR-MEMOIZE-TABLES","Clear-memoize-tables","CLEAR-MEMOIZE-TABLES",[36],"Forget values remembered for all the memoized functions"],
 ["ACL2____ACL2-HELP","ACL2-help","ACL2-HELP",[730],"The acl2-help mailing list"],
 ["ACL2-PC____USE","ACL2-pc::use","USE",[183],"(atomic macro) \u000Ause a lemma instance"],
 ["ACL2-PC____S-PROP","ACL2-pc::s-prop","S-PROP",[183],"(atomic macro) \u000Asimplify propositionally"],
 ["ACL2-PC____PROTECT","ACL2-pc::protect","PROTECT",[183],"(macro) \u000Arun the given instructions, reverting to existing state upon \u000Afailure"],
 ["ACL2-PC____FAIL","ACL2-pc::fail","FAIL",[183],"(macro) \u000Acause a failure"],
 ["ACL2-PC____CLAUSE-PROCESSOR","ACL2-pc::clause-processor","CLAUSE-PROCESSOR",[183],"(atomic macro) \u000Ause a clause-processor"],
 ["ACL2-PC____BOOKMARK","ACL2-pc::bookmark","BOOKMARK",[183],"(macro) \u000Ainsert matching ``bookends'' comments"],
 ["COMMON-LISP____ODDP","Oddp","ODDP",[193,117],"Test whether an integer is odd"],
 ["COMMON-LISP____MINUSP","Minusp","MINUSP",[193,117],"Test whether a number is negative"],
 ["COMMON-LISP____LOGNAND","Lognand","LOGNAND",[193,117],"Bitwise logical `nand' of two integers"],
 ["COMMON-LISP____LISTP","Listp","LISTP",[277,390,117],"Recognizer for (not necessarily proper) lists"],
 ["COMMON-LISP____1_B2","1+","1+",[193,117],"Increment by 1"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_029_92","The Simplification of the Induction Conclusion (Step 9)","The Simplification of the Induction Conclusion (Step 9)",[83],"The Simplification of the Induction Conclusion (Step 9)"],
 ["ACL2____The_02Induction_02Scheme_02Selected_02for_02the_02App_02Example","The Induction Scheme Selected for the App Example","The Induction Scheme Selected for the App Example",[83],"The Induction Scheme Selected for the App Example"],
 ["ACL2____The_02First_02Application_02of_02the_02Associativity_02Rule","The First Application of the Associativity Rule","The First Application of the Associativity Rule",[83],"The First Application of the Associativity Rule"],
 ["ACL2____TERMINATION-THEOREM","Termination-theorem","TERMINATION-THEOREM",[57,1014,14],"Use a previously-proved measure theorem"],
 ["ACL2____REMOVE-OVERRIDE-HINTS_12","Remove-override-hints!","REMOVE-OVERRIDE-HINTS!",[56],"Delete non-<see topic=\"ACL2____LOCAL\">local</see>ly from the list of <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____REMOVE-DIVE-INTO-MACRO","Remove-dive-into-macro","REMOVE-DIVE-INTO-MACRO",[607],"Removes association of <see topic=\"ACL2____PROOF-CHECKER\">proof-checker</see> diving function with macro name"],
 ["ACL2____Overview_02of_02the_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step","Overview of the Expansion of ENDP in the Induction Step","Overview of the Expansion of ENDP in the Induction Step",[83],"Overview of the Expansion of ENDP in the Induction Step"],
 ["ACL2____NOTE-3-1","Note-3-1","NOTE-3-1",[167],"ACL2 Version  3.1 (December, 2006) Notes"],
 ["ACL2____NOTE-2-8_82R_92","Note-2-8(r)","NOTE-2-8(R)",[167],"ACL2 Version  2.8(r) (March, 2003) Notes"],
 ["ACL2____KWOTE","Kwote","KWOTE",[29,117],"Quote an arbitrary object"],
 ["ACL2____INT_D3","Int=","INT=",[193,117],"Test equality of two integers"],
 ["ACL2____INCOMPATIBLE","Incompatible","INCOMPATIBLE",[2],"Declaring that two rules should not both be <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2____Flawed_02Induction_02Candidates_02in_02App_02Example","Flawed Induction Candidates in App Example","Flawed Induction Candidates in App Example",[83],"Flawed Induction Candidates in App Example"],
 ["ACL2____FMT1","Fmt1","FMT1",[11,117],"<v>(<see topic=\"ACL2____FMT1\">fmt1</see> str alist col co-channel state evisc) =&gt; (<see topic=\"ACL2____MV\">mv</see> col state)</v>"],
 ["ACL2____FMS","Fms","FMS",[11,117],"<v>(<see topic=\"ACL2____FMS\">fms</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____CW_12","Cw!","CW!",[11,117],"Print to the comment window"],
 ["ACL2____BACKCHAINING","Backchaining","BACKCHAINING",[7],"Attempting to relieve the hypotheses of a rule"],
 ["ACL2____ASSOC-EQUAL","Assoc-equal","ASSOC-EQUAL",[261],"See <see topic=\"COMMON-LISP____ASSOC\">assoc</see>."],
 ["ACL2____ADD-DIVE-INTO-MACRO","Add-dive-into-macro","ADD-DIVE-INTO-MACRO",[607],"Associate <see topic=\"ACL2____PROOF-CHECKER\">proof-checker</see> diving function with macro name"],
 ["ACL2____ACL2_02as_02an_02Interactive_02Theorem_02Prover","ACL2 as an Interactive Theorem Prover","ACL2 as an Interactive Theorem Prover",[83],"ACL2 as an Interactive Theorem Prover"],
 ["ACL2____ACL2-NUMBERP","ACL2-numberp","ACL2-NUMBERP",[193,117],"Recognizer for numbers"],
 ["ACL2-PC____SHOW-LINEARS","ACL2-pc::show-linears","SHOW-LINEARS",[183],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____LINEAR\">linear</see> rules"],
 ["ACL2-PC____RUNES","ACL2-pc::runes","RUNES",[183],"(macro) \u000Aprint the runes (definitions, lemmas, ...) used"],
 ["ACL2-PC____REPEAT","ACL2-pc::repeat","REPEAT",[183],"(macro) \u000Arepeat the given instruction until it ``fails''"],
 ["ACL2-PC____ORELSE","ACL2-pc::orelse","ORELSE",[183],"(macro) \u000Arun the first instruction; if (and only if) it ``fails'', run the \u000Asecond"],
 ["ACL2-PC____DO-STRICT","ACL2-pc::do-strict","DO-STRICT",[183],"(macro) \u000Arun the given instructions, halting once there is a ``failure''"],
 ["COMMON-LISP____PLUSP","Plusp","PLUSP",[193,117],"Test whether a number is positive"],
 ["COMMON-LISP____IDENTITY","Identity","IDENTITY",[548,117],"The identity function"],
 ["COMMON-LISP____CONJUGATE","Conjugate","CONJUGATE",[193,117],"Complex number conjugate"],
 ["ACL2____WATERFALL-PARALLELISM","Waterfall-parallelism","WATERFALL-PARALLELISM",[981],"For ACL2(p): configuring the parallel execution of the waterfall"],
 ["ACL2____Using_02the_02Associativity_02of_02App_02to_02Prove_02a_02Trivial_02Consequence","Using the Associativity of App to Prove a Trivial Consequence","Using the Associativity of App to Prove a Trivial Consequence",[83],"Using the Associativity of App to Prove a Trivial Consequence"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_028_92","The Simplification of the Induction Conclusion (Step 8)","The Simplification of the Induction Conclusion (Step 8)",[83],"The Simplification of the Induction Conclusion (Step 8)"],
 ["ACL2____The_02Instantiation_02of_02the_02Induction_02Scheme","The Instantiation of the Induction Scheme","The Instantiation of the Induction Scheme",[83],"The Instantiation of the Induction Scheme"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_020_92","The Final Simplification in the Base Case (Step 0)","The Final Simplification in the Base Case (Step 0)",[83],"The Final Simplification in the Base Case (Step 0)"],
 ["ACL2____TRUE-LIST-LISTP","True-list-listp","TRUE-LIST-LISTP",[277,373,117],"Recognizer for true (proper) lists of true lists"],
 ["ACL2____SYNTAX","Syntax","SYNTAX",[484],"The syntax of ACL2 is that of Common Lisp"],
 ["ACL2____SET-OVERRIDE-HINTS_12","Set-override-hints!","SET-OVERRIDE-HINTS!",[56],"Set the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see> non-<see topic=\"ACL2____LOCAL\">local</see>ly"],
 ["ACL2____SERIALIZE-ALTERNATIVES","Serialize-alternatives","SERIALIZE-ALTERNATIVES",[811],"Historic alternatives to the <see topic=\"ACL2____SERIALIZE\">serialize</see> routines."],
 ["ACL2____RETRIEVE","Retrieve","RETRIEVE",[47],"Re-enter a (specified) <see topic=\"ACL2____PROOF-CHECKER\">proof-checker</see> state"],
 ["ACL2____REMOVE-RAW-ARITY","Remove-raw-arity","REMOVE-RAW-ARITY",[68],"Remove arity information for raw mode"],
 ["ACL2____R-SYMBOL-ALISTP","R-symbol-alistp","R-SYMBOL-ALISTP",[647,117],"Recognizer for association lists with symbols as values"],
 ["ACL2____R-EQLABLE-ALISTP","R-eqlable-alistp","R-EQLABLE-ALISTP",[647,117],"Recognizer for a true list of pairs whose <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>s are suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Induction_02Step_02to_02T","Overview of the Simplification of the Induction Step to T","Overview of the Simplification of the Induction Step to T",[83],"Overview of the Simplification of the Induction Step to T"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Induction_02Conclusion","Overview of the Simplification of the Induction Conclusion","Overview of the Simplification of the Induction Conclusion",[83],"Overview of the Simplification of the Induction Conclusion"],
 ["ACL2____On_02the_02Naming_02of_02Subgoals","On the Naming of Subgoals","On the Naming of Subgoals",[83],"On the Naming of Subgoals"],
 ["ACL2____Nontautological_02Subgoals","Nontautological Subgoals","Nontautological Subgoals",[83],"Prover output omits some details"],
 ["ACL2____GUARD-THEOREM","Guard-theorem","GUARD-THEOREM",[57,81,14],"Use a previously-proved <see topic=\"ACL2____GUARD\">guard</see> theorem"],
 ["ACL2____ESCAPE-TO-COMMON-LISP","Escape-to-common-lisp","ESCAPE-TO-COMMON-LISP",[486],"Escaping to Common Lisp"],
 ["ACL2____DEFUND-NOTINLINE","Defund-notinline","DEFUND-NOTINLINE",[0,59],"Define a disabled, not-to-be-inlined function symbol and associated macro"],
 ["ACL2____CONS-SUBTREES","Cons-subtrees","CONS-SUBTREES",[282,117],"Build a fast alist whose keys are the subtrees of X"],
 ["ACL2____COMPLEX-RATIONALP","Complex-rationalp","COMPLEX-RATIONALP",[193,117],"Recognizes complex rational numbers"],
 ["ACL2____CLOSE-TRACE-FILE","Close-trace-file","CLOSE-TRACE-FILE",[468],"Stop redirecting trace output to a file"],
 ["ACL2____CLEAR-MEMOIZE-STATISTICS","Clear-memoize-statistics","CLEAR-MEMOIZE-STATISTICS",[36],"Clears all profiling info displayed by <v>(</v><tt><see topic=\"ACL2____MEMOIZE-SUMMARY\">memoize-summary</see></tt><v>)</v>"],
 ["ACL2____CHARACTER-ALISTP","Character-alistp","CHARACTER-ALISTP",[44,647,117],"Recognizer for association lists with characters as keys"],
 ["ACL2____ADD-OVERRIDE-HINTS_12","Add-override-hints!","ADD-OVERRIDE-HINTS!",[56],"Add non-<see topic=\"ACL2____LOCAL\">local</see>ly to the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____ACCESS","Access","ACCESS",[397,117],"Accessor macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2-PC____RETAIN","ACL2-pc::retain","RETAIN",[183],"(atomic macro) \u000Adrop all <b>but</b> the indicated top-level hypotheses"],
 ["ACL2-PC____DROP","ACL2-pc::drop","DROP",[183],"(primitive) \u000Adrop top-level hypotheses"],
 ["ACL2-PC____DO-ALL-NO-PROMPT","ACL2-pc::do-all-no-prompt","DO-ALL-NO-PROMPT",[183],"(macro) \u000Arun the given instructions, halting once there is a ``failure''"],
 ["COMMON-LISP____REALPART","Realpart","REALPART",[193,117],"Real part of a complex number"],
 ["COMMON-LISP____IMAGPART","Imagpart","IMAGPART",[193,117],"Imaginary part of a complex number"],
 ["COMMON-LISP____CADR","Cadr","CADR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>"],
 ["ACL2____What_02is_02a_02Mechanical_02Theorem_02Prover_82Q_92_02_82cont_92","What is a Mechanical Theorem Prover(Q) (cont)","What is a Mechanical Theorem Prover(Q) (cont)",[83],"What is a Mechanical Theorem Prover? (cont)"],
 ["ACL2____WORMHOLE-STATUSP","Wormhole-statusp","WORMHOLE-STATUSP",[31],"Predicate recognizing well-formed wormhole status object"],
 ["ACL2____WORMHOLE-P","Wormhole-p","WORMHOLE-P",[31],"Predicate to determine if you are inside a <tt><see topic=\"ACL2____WORMHOLE\">wormhole</see></tt>"],
 ["ACL2____WORMHOLE-ENTRY-CODE","Wormhole-entry-code","WORMHOLE-ENTRY-CODE",[31],"Determines the wormhole entry code from a wormhole status object"],
 ["ACL2____WORMHOLE-DATA","Wormhole-data","WORMHOLE-DATA",[31],"Determines the wormhole data object from a wormhole status object"],
 ["ACL2____WARNINGS","Warnings","WARNINGS",[619],"Warnings emitted by the ACL2 proof process"],
 ["ACL2____UNSAVE","Unsave","UNSAVE",[47],"Remove a <see topic=\"ACL2____PROOF-CHECKER\">proof-checker</see> state"],
 ["ACL2____UNQUOTE","Unquote","UNQUOTE",[743,117],"Obtain the object being quoted"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0212_92","The Simplification of the Induction Conclusion (Step 12)","The Simplification of the Induction Conclusion (Step 12)",[83],"The Simplification of the Induction Conclusion (Step 12)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0210_92","The Simplification of the Induction Conclusion (Step 10)","The Simplification of the Induction Conclusion (Step 10)",[83],"The Simplification of the Induction Conclusion (Step 10)"],
 ["ACL2____The_02End_02of_02the_02Flying_02Tour","The End of the Flying Tour","The End of the Flying Tour",[83],"The End of the Flying Tour"],
 ["ACL2____The_02Base_02Case_02in_02the_02App_02Example","The Base Case in the App Example","The Base Case in the App Example",[83],"The Base Case in the App Example"],
 ["ACL2____STANDARD-PART","Standard-part","STANDARD-PART",[314],"ACL2(r) function mapping limited numbers to standard numbers"],
 ["ACL2____SET-RW-CACHE-STATE_12","Set-rw-cache-state!","SET-RW-CACHE-STATE!",[8],"Set the default rw-cache-state non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SET-COMPILER-ENABLED","Set-compiler-enabled","SET-COMPILER-ENABLED",[76],"Disable <see topic=\"ACL2____COMPILATION\">compilation</see>."],
 ["ACL2____RESTORE-MEMOIZATION-SETTINGS","Restore-memoization-settings","RESTORE-MEMOIZATION-SETTINGS",[36],"Restore the saved memoization settings"],
 ["ACL2____REMOVE-BINOP","Remove-binop","REMOVE-BINOP",[708],"Remove the association of a function name with a macro name"],
 ["ACL2____PROPER-CONSP","Proper-consp","PROPER-CONSP",[277,117],"Recognizer for proper (null-terminated) non-empty lists"],
 ["ACL2____PE_12","Pe!","PE!",[85],"Print events as with <tt><see topic=\"ACL2____PE\">pe</see></tt> but ignoring the <see topic=\"ACL2____PE-TABLE\">pe-table</see>"],
 ["ACL2____NOTE-2-1","Note-2-1","NOTE-2-1",[167],"ACL2 Version  2.1 (December, 1997) Notes"],
 ["ACL2____MANAGING-ACL2-PACKAGES","Managing-ACL2-packages","MANAGING-ACL2-PACKAGES",[632],"User-contributed documentation on packages"],
 ["ACL2____KWOTE-LST","Kwote-lst","KWOTE-LST",[29,117],"Quote an arbitrary true list of objects"],
 ["ACL2____INTEGER-RANGE-P","Integer-range-p","INTEGER-RANGE-P",[193,117],"Recognizer for integers between two bounds."],
 ["ACL2____IMPROPER-CONSP","Improper-consp","IMPROPER-CONSP",[277,117],"Recognizer for improper (non-null-terminated) non-empty lists"],
 ["ACL2____FC-REPORT","Fc-report","FC-REPORT",[103],"To report on the forward chaining activity in the most recent proof"],
 ["ACL2____EXIT","Exit","EXIT",[661],"Quit entirely out of Lisp"],
 ["ACL2____DO-NOT","Do-not","DO-NOT",[14],"Instruct the theorem prover not to do certain things."],
 ["ACL2____DEFUND-INLINE","Defund-inline","DEFUND-INLINE",[0,59],"Define a potentially disabled, inlined function symbol and associated macro"],
 ["ACL2____DEFAULT-BACKCHAIN-LIMIT","Default-backchain-limit","DEFAULT-BACKCHAIN-LIMIT",[7],"Specifying the backchain limit for a rule"],
 ["ACL2____CLEAR-MEMOIZE-TABLE","Clear-memoize-table","CLEAR-MEMOIZE-TABLE",[36],"Forget values remembered for the given function"],
 ["ACL2____ATOM-LISTP","Atom-listp","ATOM-LISTP",[666,277,117],"Recognizer for a true list of <see topic=\"COMMON-LISP____ATOM\">atom</see>s"],
 ["ACL2-PC____X-DUMB","ACL2-pc::x-dumb","X-DUMB",[183],"(atomic macro) \u000Aexpand function call at the current subterm, without simplifying"],
 ["ACL2-PC____SUCCEED","ACL2-pc::succeed","SUCCEED",[183],"(macro) \u000Arun the given instructions, and ``succeed''"],
 ["ACL2-PC____NIL","ACL2-pc::nil","NIL",[183],"(macro) used for interpreting <v>control-d</v>"],
 ["ACL2-PC____NEGATE","ACL2-pc::negate","NEGATE",[183],"(macro) \u000Arun the given instructions, and ``succeed'' if and only if they ``fail''"],
 ["ACL2-PC____ILLEGAL","ACL2-pc::illegal","ILLEGAL",[183],"(macro) \u000Aillegal instruction"],
 ["ACL2-PC____GOALS","ACL2-pc::goals","GOALS",[183],"(macro) \u000Alist the names of goals on the stack"],
 ["ACL2-PC____ELIM","ACL2-pc::elim","ELIM",[183],"(atomic macro) \u000Acall the ACL2 theorem prover's elimination process"],
 ["COMMON-LISP____PAIRLIS","Pairlis","PAIRLIS",[277,647],"See <see topic=\"ACL2____PAIRLIS_42\">pairlis$</see>"],
 ["ACL2____XOR","Xor","XOR",[548,117],"Logical ``exclusive or''"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0211_92","The Simplification of the Induction Conclusion (Step 11)","The Simplification of the Induction Conclusion (Step 11)",[83],"The Simplification of the Induction Conclusion (Step 11)"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_023_92","The Final Simplification in the Base Case (Step 3)","The Final Simplification in the Base Case (Step 3)",[83],"The Final Simplification in the Base Case (Step 3)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_021_92","The Expansion of ENDP in the Induction Step (Step 1)","The Expansion of ENDP in the Induction Step (Step 1)",[83],"The Expansion of ENDP in the Induction Step (Step 1)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_020_92","The Expansion of ENDP in the Induction Step (Step 0)","The Expansion of ENDP in the Induction Step (Step 0)",[83],"The Expansion of ENDP in the Induction Step (Step 0)"],
 ["ACL2____The_02End_02of_02the_02Proof_02of_02the_02Associativity_02of_02App","The End of the Proof of the Associativity of App","The End of the Proof of the Associativity of App",[83],"The End of the Proof of the Associativity of App"],
 ["ACL2____SHOW-FC-CRITERIA","Show-fc-criteria","SHOW-FC-CRITERIA",[103],"Print the forward-chaining tracking criteria"],
 ["ACL2____QUIT","Quit","QUIT",[661],"Quit entirely out of Lisp"],
 ["ACL2____PARALLEL","Parallel","PARALLEL",[104],"Evaluating forms in parallel"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Base_02Case_02to_02T","Overview of the Simplification of the Base Case to T","Overview of the Simplification of the Base Case to T",[83],"Overview of the Simplification of the Base Case to T"],
 ["ACL2____NOTE-2-9_82R_92","Note-2-9(r)","NOTE-2-9(R)",[167],"ACL2 Version  2.9(r) (October, 2004) Notes"],
 ["ACL2____NOTE-2-6_82R_92","Note-2-6(r)","NOTE-2-6(R)",[167],"ACL2 Version  2.6(r) (November, 2001) Notes"],
 ["ACL2____NAT-LISTP","Nat-listp","NAT-LISTP",[193,277,117],"Recognizer for a true list of natural  numbers"],
 ["ACL2____MONITORED-RUNES","Monitored-runes","MONITORED-RUNES",[33],"Print the <see topic=\"ACL2____MONITOR\">monitor</see>ed <see topic=\"ACL2____RUNE\">rune</see>s and their break conditions"],
 ["ACL2____MBE1","Mbe1","MBE1",[46,117],"Attach code for execution"],
 ["ACL2____INTEGER-LISTP","Integer-listp","INTEGER-LISTP",[193,277,117],"Recognizer for a true list of integers"],
 ["ACL2____I-LIMITED","I-limited","I-LIMITED",[314],"ACL2(r) recognizer for limited numbers"],
 ["ACL2____I-CLOSE","I-close","I-CLOSE",[314],"ACL2(r) test for whether two numbers are infinitesimally close"],
 ["ACL2____FIX-TRUE-LIST","Fix-true-list","FIX-TRUE-LIST",[277,117],"Coerce to a true list"],
 ["ACL2____DEFMACRO-LAST","Defmacro-last","DEFMACRO-LAST",[59],"Define a macro that returns its last argument, but with side effects"],
 ["ACL2____CHARACTER-LISTP","Character-listp","CHARACTER-LISTP",[44,277,117],"Recognizer for a true list of characters"],
 ["ACL2____BOOLEAN-LISTP","Boolean-listp","BOOLEAN-LISTP",[1048,277,117],"Recognizer for a true list of booleans"],
 ["ACL2____ACL2-NUMBER-LISTP","ACL2-number-listp","ACL2-NUMBER-LISTP",[193,277,117],"Recognizer for a true list of numbers"],
 ["ACL2____ABORT_12","Abort!","ABORT!",[10],"To return to the top-level of ACL2's command loop"],
 ["ACL2-PC____SLS","ACL2-pc::sls","SLS",[183],"(macro) \u000Asame as SHOW-LINEARS"],
 ["ACL2-PC____PRO","ACL2-pc::pro","PRO",[183],"(atomic macro) \u000Arepeatedly apply promote"],
 ["ACL2-PC____PRINT-ALL-GOALS","ACL2-pc::print-all-goals","PRINT-ALL-GOALS",[183],"(macro) \u000Aprint all the (as yet unproved) goals"],
 ["ACL2-PC____PRINT-ALL-CONCS","ACL2-pc::print-all-concs","PRINT-ALL-CONCS",[183],"(macro) \u000Aprint all the conclusions of (as yet unproved) goals"],
 ["ACL2-PC____PP","ACL2-pc::pp","PP",[183],"(macro) \u000Aprettyprint the current term"],
 ["COMMON-LISP____NUMERATOR","Numerator","NUMERATOR",[193,117],"Dividend of a ratio in lowest terms"],
 ["COMMON-LISP____DENOMINATOR","Denominator","DENOMINATOR",[193,117],"Divisor of a ratio in lowest terms"],
 ["COMMON-LISP____CHARACTERP","Characterp","CHARACTERP",[44,117],"Recognizer for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["ACL2____The_02Summary_02of_02the_02Proof_02of_02the_02Trivial_02Consequence","The Summary of the Proof of the Trivial Consequence","The Summary of the Proof of the Trivial Consequence",[83],"The Summary of the Proof of the Trivial Consequence"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_027_92","The Simplification of the Induction Conclusion (Step 7)","The Simplification of the Induction Conclusion (Step 7)",[83],"The Simplification of the Induction Conclusion (Step 7)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_026_92","The Simplification of the Induction Conclusion (Step 6)","The Simplification of the Induction Conclusion (Step 6)",[83],"The Simplification of the Induction Conclusion (Step 6)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_025_92","The Simplification of the Induction Conclusion (Step 5)","The Simplification of the Induction Conclusion (Step 5)",[83],"The Simplification of the Induction Conclusion (Step 5)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_024_92","The Simplification of the Induction Conclusion (Step 4)","The Simplification of the Induction Conclusion (Step 4)",[83],"The Simplification of the Induction Conclusion (Step 4)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_022_92","The Simplification of the Induction Conclusion (Step 2)","The Simplification of the Induction Conclusion (Step 2)",[83],"The Simplification of the Induction Conclusion (Step 2)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_020_92","The Simplification of the Induction Conclusion (Step 0)","The Simplification of the Induction Conclusion (Step 0)",[83],"The Simplification of the Induction Conclusion (Step 0)"],
 ["ACL2____The_02Justification_02of_02the_02Induction_02Scheme","The Justification of the Induction Scheme","The Justification of the Induction Scheme",[83],"The Justification of the Induction Scheme"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_021_92","The Final Simplification in the Base Case (Step 1)","The Final Simplification in the Base Case (Step 1)",[83],"The Final Simplification in the Base Case (Step 1)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_022_92","The Expansion of ENDP in the Induction Step (Step 2)","The Expansion of ENDP in the Induction Step (Step 2)",[83],"The Expansion of ENDP in the Induction Step (Step 2)"],
 ["ACL2____STRING-LISTP","String-listp","STRING-LISTP",[553,277,117],"Recognizer for a true list of strings"],
 ["ACL2____RATIONAL-LISTP","Rational-listp","RATIONAL-LISTP",[193,277,117],"Recognizer for a true list of rational numbers"],
 ["ACL2____Popping_02out_02of_02an_02Inductive_02Proof","Popping out of an Inductive Proof","Popping out of an Inductive Proof",[83],"Popping out of an Inductive Proof"],
 ["ACL2____PRINT-BASE-P","Print-base-p","PRINT-BASE-P",[11,117],"Recognizer for print bases that are understood by functions such as \u000A<see topic=\"ACL2____EXPLODE-NONNEGATIVE-INTEGER\">explode-nonnegative-integer</see> and <see topic=\"ACL2____EXPLODE-ATOM\">explode-atom</see>."],
 ["ACL2____PARALLEL-EXECUTION","Parallel-execution","PARALLEL-EXECUTION",[336],"For ACL2(p): configure parallel execution"],
 ["ACL2____Overview_02of_02the_02Expansion_02of_02ENDP_02in_02the_02Base_02Case","Overview of the Expansion of ENDP in the Base Case","Overview of the Expansion of ENDP in the Base Case",[83],"Overview of the Expansion of ENDP in the Base Case"],
 ["ACL2____O_E3_D3","O&gt;=","O>=",[71,117],"The greater-than-or-equal relation for the ordinals"],
 ["ACL2____O_C3_D3","O&lt;=","O<=",[71,117],"The less-than-or-equal relation for the ordinals"],
 ["ACL2____O-INFP","O-infp","O-INFP",[71,117],"Recognizes if an ordinal is infinite"],
 ["ACL2____NOTE-3-1_82R_92","Note-3-1(r)","NOTE-3-1(R)",[167],"ACL2 Version  3.1(r) (December, 2006) Notes"],
 ["ACL2____NOTE-3-0_82R_92","Note-3-0(r)","NOTE-3-0(R)",[167],"ACL2 Version  3.0(r) (June, 2006) Notes"],
 ["ACL2____NOTE-3-0-1_82R_92","Note-3-0-1(r)","NOTE-3-0-1(R)",[167],"ACL2 Version  3.0.1(r) (August, 2006) Notes"],
 ["ACL2____NOTE-2-7-PROOF-CHECKER","Note-2-7-proof-checker","NOTE-2-7-PROOF-CHECKER",[129],"ACL2 Version  2.7 Notes on Proof-checker Changes"],
 ["ACL2____NOTE-2-5_82R_92","Note-2-5(r)","NOTE-2-5(R)",[167],"ACL2 Version  2.5(r) (June, 2000) Notes"],
 ["ACL2____MEMBER-EQ","Member-eq","MEMBER-EQ",[261],"See <see topic=\"COMMON-LISP____MEMBER\">member</see>."],
 ["ACL2____MAKE-CHARACTER-LIST","Make-character-list","MAKE-CHARACTER-LIST",[44,117],"<see topic=\"COMMON-LISP____COERCE\">coerce</see> to a list of characters"],
 ["ACL2____I-SMALL","I-small","I-SMALL",[314],"ACL2(r) recognizer for infinitesimal numbers"],
 ["ACL2____I-LARGE","I-large","I-LARGE",[314],"ACL2(r) recognizer for infinitely large numbers"],
 ["ACL2____DEFDOC","Defdoc","DEFDOC",[59],"Deprecated event (formerly for adding documentation)"],
 ["ACL2-PC____QUIET","ACL2-pc::quiet","QUIET",[183],"(meta) \u000Arun instructions without output"],
 ["ACL2-PC____EX","ACL2-pc::ex","EX",[183],"(macro) \u000Aexit after possibly saving the state"],
 ["ACL2-PC____COMMENT","ACL2-pc::comment","COMMENT",[183],"(primitive) \u000Ainsert a comment"],
 ["ACL2-PC____CG","ACL2-pc::cg","CG",[183],"(macro) \u000Achange to another goal."],
 ["ACL2-PC____ACL2-WRAP","ACL2-pc::ACL2-wrap","ACL2-WRAP",[183],"(macro) same as <v>(lisp x)</v>"],
 ["COMMON-LISP____REST","Rest","REST",[360,117],"Rest (<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>) of the list"],
 ["COMMON-LISP____CDDDR","Cdddr","CDDDR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDR\">cddr</see></tt>"],
 ["COMMON-LISP____CADDR","Caddr","CADDR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDR\">cddr</see></tt>"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_023_92","The Simplification of the Induction Conclusion (Step 3)","The Simplification of the Induction Conclusion (Step 3)",[83],"The Simplification of the Induction Conclusion (Step 3)"],
 ["ACL2____The_02Q.E.D._02Message","The Q.E.D. Message","The Q.E.D. Message",[83],"The Q.E.D. Message"],
 ["ACL2____STOBJ-LET","Stobj-let","STOBJ-LET",[261],"See <see topic=\"ACL2____NESTED-STOBJS\">nested-stobjs</see>."],
 ["ACL2____SET-FMT-SOFT-RIGHT-MARGIN","Set-fmt-soft-right-margin","SET-FMT-SOFT-RIGHT-MARGIN",[11,117],"Set the soft right margin for formatted output"],
 ["ACL2____REAL-LISTP","Real-listp","REAL-LISTP",[314,277,117],"ACL2(r) recognizer for a true list of real numbers"],
 ["ACL2____PROPS","Props","PROPS",[1],"Print the ACL2 properties on a symbol"],
 ["ACL2____Overview_02of_02the_02Final_02Simplification_02in_02the_02Base_02Case","Overview of the Final Simplification in the Base Case","Overview of the Final Simplification in the Base Case",[83],"Overview of the Final Simplification in the Base Case"],
 ["ACL2____O_E3","O&gt;","O>",[71,117],"The greater-than relation for the ordinals"],
 ["ACL2____DEFAULT-VERIFY-GUARDS-EAGERNESS","Default-verify-guards-eagerness","DEFAULT-VERIFY-GUARDS-EAGERNESS",[261],"See <see topic=\"ACL2____SET-VERIFY-GUARDS-EAGERNESS\">set-verify-guards-eagerness</see>."],
 ["ACL2____BIBLIOGRAPHY","Bibliography","BIBLIOGRAPHY",[730],"Reports about ACL2"],
 ["ACL2-PC____SKIP","ACL2-pc::skip","SKIP",[183],"(macro) \u000A``succeed'' without doing anything"],
 ["ACL2-PC____FREE","ACL2-pc::free","FREE",[183],"(atomic macro) \u000Acreate a ``free variable''"],
 ["COMMON-LISP____KEYWORD","Keyword","KEYWORD",[261],"See <see topic=\"COMMON-LISP____KEYWORDP\">keywordp</see>."],
 ["COMMON-LISP____CDDR","Cddr","CDDR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>"],
 ["COMMON-LISP____CDDAR","Cddar","CDDAR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAR\">cdar</see></tt>"],
 ["COMMON-LISP____CDAR","Cdar","CDAR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>"],
 ["COMMON-LISP____CDADR","Cdadr","CDADR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADR\">cadr</see></tt>"],
 ["COMMON-LISP____CDAAR","Cdaar","CDAAR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAR\">caar</see></tt>"],
 ["COMMON-LISP____CADAR","Cadar","CADAR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAR\">cdar</see></tt>"],
 ["COMMON-LISP____CAAR","Caar","CAAR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>"],
 ["COMMON-LISP____CAADR","Caadr","CAADR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADR\">cadr</see></tt>"],
 ["COMMON-LISP____CAAAR","Caaar","CAAAR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAR\">caar</see></tt>"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_022_92","The Final Simplification in the Base Case (Step 2)","The Final Simplification in the Base Case (Step 2)",[83],"The Final Simplification in the Base Case (Step 2)"],
 ["ACL2____SET-WATERFALL-PARALLELISM-HACKS-ENABLED_12","Set-waterfall-parallelism-hacks-enabled!","SET-WATERFALL-PARALLELISM-HACKS-ENABLED!",[104],"For ACL2(p): enabling waterfall parallelism hacks"],
 ["ACL2____SET-LD-SKIP-PROOFSP","Set-ld-skip-proofsp","SET-LD-SKIP-PROOFSP",[261],"See <see topic=\"ACL2____LD-SKIP-PROOFSP\">ld-skip-proofsp</see>."],
 ["ACL2____Perhaps","Perhaps","Perhaps",[83],"Perhaps"],
 ["ACL2____POSITION-EQUAL","Position-equal","POSITION-EQUAL",[261],"See <see topic=\"COMMON-LISP____POSITION\">position</see>."],
 ["ACL2____OBDD","Obdd","OBDD",[381],"Ordered binary decision diagrams with rewriting"],
 ["ACL2____Name_02the_02Formula_02Above","Name the Formula Above","Name the Formula Above",[83],"Name the Formula Above"],
 ["ACL2____NOTE-2-8-ORDINALS","Note-2-8-ordinals","NOTE-2-8-ORDINALS",[106],"ACL2 Version  2.8 Notes on Changes to the Ordinals"],
 ["ACL2____NOTE-2-8-GUARDS","Note-2-8-guards","NOTE-2-8-GUARDS",[106],"ACL2 Version  2.8 Notes on Guard-related Changes"],
 ["ACL2____NON-EXECUTABLE","Non-executable","NON-EXECUTABLE",[261],"See <see topic=\"ACL2____XARGS\">xargs</see> for keyword <v>:non-executable</v>."],
 ["ACL2____MEMOIZATION","Memoization","MEMOIZATION",[261],"See <see topic=\"ACL2____MEMOIZE\">memoize</see>."],
 ["ACL2____HIDDEN-DEFPKG","Hidden-defpkg","HIDDEN-DEFPKG",[632,25],"Handling defpkg events that are local"],
 ["ACL2____EXPAND","Expand","EXPAND",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:expand</v>."],
 ["ACL2____DEFAULT-TOTAL-PARALLELISM-WORK-LIMIT","Default-total-parallelism-work-limit","DEFAULT-TOTAL-PARALLELISM-WORK-LIMIT",[981],"For ACL2(p): returns the default value for global \u000A  <v>total-parallelism-work-limit</v>"],
 ["ACL2____CLEAR-HASH-TABLES","Clear-hash-tables","CLEAR-HASH-TABLES",[36],"Deprecated feature"],
 ["ACL2____ASSOC-EQ","Assoc-eq","ASSOC-EQ",[261],"See <see topic=\"COMMON-LISP____ASSOC\">assoc</see>."],
 ["COMMON-LISP____INLINE","Inline","INLINE",[261],"See <see topic=\"ACL2____DEFUN-INLINE\">defun-inline</see>."],
 ["COMMON-LISP____CADDDR","Cadddr","CADDDR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDDR\">cdddr</see></tt>"],
 ["COMMON-LISP____CADDAR","Caddar","CADDAR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDAR\">cddar</see></tt>"],
 ["ACL2____WATERFALL-PRINTING","Waterfall-printing","WATERFALL-PRINTING",[981],"For ACL2(p): configuring the printing within the parallelized waterfall"],
 ["ACL2____Undocumented_02Topic","Undocumented Topic","Undocumented Topic",[83],"Undocumented Topic"],
 ["ACL2____UNTRANSLATE","Untranslate","UNTRANSLATE",[261],"See <see topic=\"ACL2____USER-DEFINED-FUNCTIONS-TABLE\">user-defined-functions-table</see>."],
 ["ACL2____UNION-EQ","Union-eq","UNION-EQ",[261],"See <see topic=\"ACL2____UNION_42\">union$</see>."],
 ["ACL2____TRUST-TAG","Trust-tag","TRUST-TAG",[261],"See <see topic=\"ACL2____DEFTTAG\">defttag</see>."],
 ["ACL2____SUBVERSIVE-INDUCTIONS","Subversive-inductions","SUBVERSIVE-INDUCTIONS",[484],"Why we restrict <see topic=\"ACL2____ENCAPSULATE\">encapsulate</see>d recursive functions"],
 ["ACL2____STOBJS","Stobjs","STOBJS",[261],"See <see topic=\"ACL2____XARGS\">xargs</see> for keyword <v>:stobjs</v>."],
 ["ACL2____SPLIT-TYPES","Split-types","SPLIT-TYPES",[261],"See <see topic=\"ACL2____XARGS\">xargs</see> for keyword <v>:split-types</v>."],
 ["ACL2____SET-SKIP-META-TERMP-CHECKS_12","Set-skip-meta-termp-checks!","SET-SKIP-META-TERMP-CHECKS!",[23,53],"Skip output checks non-<see topic=\"ACL2____LOCAL\">local</see>ly for <see topic=\"ACL2____META\">meta</see> functions and \u000A <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see>s"],
 ["ACL2____PRINT-OBJECT_42","Print-object$","PRINT-OBJECT$",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____POSITION-EQ","Position-eq","POSITION-EQ",[261],"See <see topic=\"COMMON-LISP____POSITION\">position</see>."],
 ["ACL2____PARALLELISM-BUILD","Parallelism-build","PARALLELISM-BUILD",[104],"Building an ACL2 executable with parallel execution enabled"],
 ["ACL2____OBSERVATION-CW","Observation-cw","OBSERVATION-CW",[261],"See <see topic=\"ACL2____OBSERVATION\">observation</see>."],
 ["ACL2____NOTE-4-3_82R_92","Note-4-3(r)","NOTE-4-3(R)",[167],"ACL2 Version  4.3(r) (July, 2011) Notes"],
 ["ACL2____NOTE-4-2_82R_92","Note-4-2(r)","NOTE-4-2(R)",[167],"ACL2 Version  4.2(r) (January, 2011) Notes"],
 ["ACL2____NOTE-4-1_82R_92","Note-4-1(r)","NOTE-4-1(R)",[167],"ACL2 Version  4.1(r) (September, 2010) Notes"],
 ["ACL2____NOTE-4-0_82R_92","Note-4-0(r)","NOTE-4-0(R)",[167],"ACL2 Version  4.0(r) (July, 2010) Notes"],
 ["ACL2____NOTE-3-6_82R_92","Note-3-6(r)","NOTE-3-6(R)",[167],"ACL2 Version  3.6(r) (August, 2009) Notes"],
 ["ACL2____NOTE-3-3_82R_92","Note-3-3(r)","NOTE-3-3(R)",[167],"ACL2 Version  3.3(r) (November, 2007) Notes"],
 ["ACL2____NOTE-3-2-1_82R_92","Note-3-2-1(r)","NOTE-3-2-1(R)",[167],"ACL2 Version  3.2.1(r) (June, 2007) Notes"],
 ["ACL2____INTERSECTP-EQ","Intersectp-eq","INTERSECTP-EQ",[261],"See <see topic=\"ACL2____INTERSECTP\">intersectp</see>."],
 ["ACL2____GET-CHECK-INVARIANT-RISK","Get-check-invariant-risk","GET-CHECK-INVARIANT-RISK",[261],"See <see topic=\"ACL2____SET-CHECK-INVARIANT-RISK\">set-check-invariant-risk</see>."],
 ["ACL2____DEFND","Defnd","DEFND",[0,59],"<see topic=\"ACL2____DISABLE\">disable</see>d definition with <see topic=\"ACL2____GUARD\">guard</see> <v>t</v>"],
 ["ACL2____DEFN","Defn","DEFN",[0,59],"Definition with <see topic=\"ACL2____GUARD\">guard</see> <v>t</v>"],
 ["ACL2-PC____ST","ACL2-pc::st","ST",[183],"(macro) \u000Asame as SHOW-TYPE-PRESCRIPTIONS"],
 ["ACL2-PC____SR","ACL2-pc::sr","SR",[183],"(macro) \u000Asame as SHOW-REWRITES"],
 ["ACL2-PC____PRINT-MAIN","ACL2-pc::print-main","PRINT-MAIN",[183],"(macro) \u000Aprint the original goal"],
 ["ACL2-PC____LEMMAS-USED","ACL2-pc::lemmas-used","LEMMAS-USED",[183],"(macro) \u000Aprint the runes (definitions, lemmas, ...) used"],
 ["ACL2-PC____CL-PROC","ACL2-pc::cl-proc","CL-PROC",[183],"(macro) same as <v>clause-processor</v>"],
 ["ACL2-PC____AL","ACL2-pc::al","AL",[183],"(macro) \u000Asame as apply-linear"],
 ["COMMON-LISP____THIRD","Third","THIRD",[360,117],"Third member of the list"],
 ["COMMON-LISP____TENTH","Tenth","TENTH",[360,117],"Tenth member of the list"],
 ["COMMON-LISP____SIXTH","Sixth","SIXTH",[360,117],"Sixth member of the list"],
 ["COMMON-LISP____SEVENTH","Seventh","SEVENTH",[360,117],"Seventh member of the list"],
 ["COMMON-LISP____SECOND","Second","SECOND",[360,117],"Second member of the list"],
 ["COMMON-LISP____OPTIMIZE","Optimize","OPTIMIZE",[261],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____NINTH","Ninth","NINTH",[360,117],"Ninth member of the list"],
 ["COMMON-LISP____IGNORE","Ignore","IGNORE",[261],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____IGNORABLE","Ignorable","IGNORABLE",[261],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____FOURTH","Fourth","FOURTH",[360,117],"Fourth member of the list"],
 ["COMMON-LISP____FIRST","First","FIRST",[360,117],"First member of the list"],
 ["COMMON-LISP____FIFTH","Fifth","FIFTH",[360,117],"Fifth member of the list"],
 ["COMMON-LISP____EIGHTH","Eighth","EIGHTH",[360,117],"Eighth member of the list"],
 ["COMMON-LISP____CDDDDR","Cddddr","CDDDDR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDDR\">cdddr</see></tt>"],
 ["COMMON-LISP____CDDDAR","Cdddar","CDDDAR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDAR\">cddar</see></tt>"],
 ["COMMON-LISP____CDDADR","Cddadr","CDDADR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDADR\">cdadr</see></tt>"],
 ["COMMON-LISP____CDDAAR","Cddaar","CDDAAR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAAR\">cdaar</see></tt>"],
 ["COMMON-LISP____CDADDR","Cdaddr","CDADDR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADDR\">caddr</see></tt>"],
 ["COMMON-LISP____CDADAR","Cdadar","CDADAR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADAR\">cadar</see></tt>"],
 ["COMMON-LISP____CDAADR","Cdaadr","CDAADR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAADR\">caadr</see></tt>"],
 ["COMMON-LISP____CDAAAR","Cdaaar","CDAAAR",[390,117],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAAR\">caaar</see></tt>"],
 ["COMMON-LISP____CADADR","Cadadr","CADADR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDADR\">cdadr</see></tt>"],
 ["COMMON-LISP____CADAAR","Cadaar","CADAAR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAAR\">cdaar</see></tt>"],
 ["COMMON-LISP____CAADDR","Caaddr","CAADDR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADDR\">caddr</see></tt>"],
 ["COMMON-LISP____CAADAR","Caadar","CAADAR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADAR\">cadar</see></tt>"],
 ["COMMON-LISP____CAAADR","Caaadr","CAAADR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAADR\">caadr</see></tt>"],
 ["COMMON-LISP____CAAAAR","Caaaar","CAAAAR",[390,117],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAAR\">caaar</see></tt>"],
 ["ACL2____TYPESPEC-CHECK","Typespec-check","TYPESPEC-CHECK",[261],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____SUBSETP-EQUAL","Subsetp-equal","SUBSETP-EQUAL",[261],"See <see topic=\"COMMON-LISP____SUBSETP\">subsetp</see>."],
 ["ACL2____SET-LD-REDEFINITION-ACTION","Set-ld-redefinition-action","SET-LD-REDEFINITION-ACTION",[261],"See <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>."],
 ["ACL2____SET-LD-KEYWORD-ALIASES","Set-ld-keyword-aliases","SET-LD-KEYWORD-ALIASES",[261],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____SET-DIFFERENCE-EQ","Set-difference-eq","SET-DIFFERENCE-EQ",[261],"See <see topic=\"ACL2____SET-DIFFERENCE_42\">set-difference$</see>."],
 ["ACL2____RULE-NAMES","Rule-names","RULE-NAMES",[2],"How rules are named."],
 ["ACL2____RESTRICT","Restrict","RESTRICT",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:restrict</v>."],
 ["ACL2____REORDER","Reorder","REORDER",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:reorder</v>."],
 ["ACL2____REMOVE1-EQUAL","Remove1-equal","REMOVE1-EQUAL",[261],"See <see topic=\"ACL2____REMOVE1\">remove1</see>."],
 ["ACL2____REMOVE-EQUAL","Remove-equal","REMOVE-EQUAL",[261],"See <see topic=\"COMMON-LISP____REMOVE\">remove</see>."],
 ["ACL2____REMOVE-EQ","Remove-eq","REMOVE-EQ",[261],"See <see topic=\"COMMON-LISP____REMOVE\">remove</see>."],
 ["ACL2____RASSOC-EQUAL","Rassoc-equal","RASSOC-EQUAL",[261],"See <see topic=\"COMMON-LISP____RASSOC\">rassoc</see>."],
 ["ACL2____RASSOC-EQ","Rassoc-eq","RASSOC-EQ",[261],"See <see topic=\"COMMON-LISP____RASSOC\">rassoc</see>."],
 ["ACL2____PUT-ASSOC-EQUAL","Put-assoc-equal","PUT-ASSOC-EQUAL",[261],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PE-TABLE","Pe-table","PE-TABLE",[261],"See <see topic=\"ACL2____EXTEND-PE-TABLE\">extend-pe-table</see>."],
 ["ACL2____OPEN-OUTPUT-CHANNEL","Open-output-channel","OPEN-OUTPUT-CHANNEL",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-INPUT-CHANNEL","Open-input-channel","OPEN-INPUT-CHANNEL",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____NO-DUPLICATESP-EQUAL","No-duplicatesp-equal","NO-DUPLICATESP-EQUAL",[261],"See <see topic=\"ACL2____NO-DUPLICATESP\">no-duplicatesp</see>."],
 ["ACL2____NO-DUPLICATESP-EQ","No-duplicatesp-eq","NO-DUPLICATESP-EQ",[261],"See <see topic=\"ACL2____NO-DUPLICATESP\">no-duplicatesp</see>."],
 ["ACL2____IPRINT","Iprint","IPRINT",[261],"See <see topic=\"ACL2____SET-IPRINT\">set-iprint</see>."],
 ["ACL2____INTERSECTP-EQUAL","Intersectp-equal","INTERSECTP-EQUAL",[261],"See <see topic=\"ACL2____INTERSECTP\">intersectp</see>."],
 ["ACL2____INTERSECTION-EQ","Intersection-eq","INTERSECTION-EQ",[261],"See <see topic=\"ACL2____INTERSECTION_42\">intersection$</see>."],
 ["ACL2____INDUCT","Induct","INDUCT",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:induct</v>."],
 ["ACL2____HONS-SHRINK-ALIST_12","Hons-shrink-alist!","HONS-SHRINK-ALIST!",[957,117],"Deprecated feature"],
 ["ACL2____HONS-SHRINK-ALIST","Hons-shrink-alist","HONS-SHRINK-ALIST",[414,117],"Deprecated feature"],
 ["ACL2____GUARD-HINTS","Guard-hints","GUARD-HINTS",[261],"See <see topic=\"ACL2____XARGS\">xargs</see> for keyword <v>:guard-hints</v>."],
 ["ACL2____FLUSH-HONS-GET-HASH-TABLE-LINK","Flush-hons-get-hash-table-link","FLUSH-HONS-GET-HASH-TABLE-LINK",[775,117],"Deprecated feature"],
 ["ACL2____CLOSE-OUTPUT-CHANNEL","Close-output-channel","CLOSE-OUTPUT-CHANNEL",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____CASES","Cases","CASES",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:cases</v>."],
 ["ACL2____BACKCHAIN-LIMIT-RW","Backchain-limit-rw","BACKCHAIN-LIMIT-RW",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:backchain-limit-rw</v>."],
 ["ACL2____A_02Trivial_02Proof","A Trivial Proof","A Trivial Proof",[83],"A Trivial Proof"],
 ["ACL2____ADD-TO-SET-EQ","Add-to-set-eq","ADD-TO-SET-EQ",[261],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ADD-LD-KEYWORD-ALIAS","Add-ld-keyword-alias","ADD-LD-KEYWORD-ALIAS",[261],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____ACCUMULATED-PERSISTENCE-OOPS","Accumulated-persistence-oops","ACCUMULATED-PERSISTENCE-OOPS",[261],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2-PC____RUN-INSTR-ON-NEW-GOALS","ACL2-pc::run-instr-on-new-goals","RUN-INSTR-ON-NEW-GOALS",[183],"(macro) auxiliary to <v>then</v>"],
 ["ACL2-PC____RUN-INSTR-ON-GOAL","ACL2-pc::run-instr-on-goal","RUN-INSTR-ON-GOAL",[183],"(macro) \u000Aauxiliary to THEN"],
 ["ACL2-PC____REPEAT-REC","ACL2-pc::repeat-rec","REPEAT-REC",[183],"(macro) auxiliary to <v>repeat</v>"],
 ["ACL2-PC____R","ACL2-pc::r","R",[183],"(macro) \u000Asame as rewrite"],
 ["ACL2-PC____CONTRADICT","ACL2-pc::contradict","CONTRADICT",[183],"(macro) same as <v>contrapose</v>"],
 ["ACL2____WRITE-BYTE_42","Write-byte$","WRITE-BYTE$",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____WATERFALL","Waterfall","WATERFALL",[261],"See <see topic=\"ACL2____HINTS-AND-THE-WATERFALL\">hints-and-the-waterfall</see>."],
 ["ACL2____VERIFY-GUARDS-EAGERNESS","Verify-guards-eagerness","VERIFY-GUARDS-EAGERNESS",[261],"See <see topic=\"ACL2____SET-VERIFY-GUARDS-EAGERNESS\">set-verify-guards-eagerness</see>."],
 ["ACL2____USE","Use","USE",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:use</v>."],
 ["ACL2____UNTRANSLATE-PREPROCESS","Untranslate-preprocess","UNTRANSLATE-PREPROCESS",[261],"See <see topic=\"ACL2____USER-DEFINED-FUNCTIONS-TABLE\">user-defined-functions-table</see>."],
 ["ACL2____UNION-EQUAL","Union-equal","UNION-EQUAL",[261],"See <see topic=\"ACL2____UNION_42\">union$</see>."],
 ["ACL2____SUBSETP-EQ","Subsetp-eq","SUBSETP-EQ",[261],"See <see topic=\"COMMON-LISP____SUBSETP\">subsetp</see>."],
 ["ACL2____SET-SERIALIZE-CHARACTER","Set-serialize-character","SET-SERIALIZE-CHARACTER",[261],"See <see topic=\"ACL2____WITH-SERIALIZE-CHARACTER\">with-serialize-character</see>."],
 ["ACL2____SET-RULER-EXTENDERS","Set-ruler-extenders","SET-RULER-EXTENDERS",[261],"See <see topic=\"ACL2____RULER-EXTENDERS\">ruler-extenders</see>."],
 ["ACL2____SET-NON-LINEAR","Set-non-linear","SET-NON-LINEAR",[261],"See <see topic=\"ACL2____SET-NON-LINEARP\">set-non-linearp</see>."],
 ["ACL2____SET-LET_A2-ABSTRACTION","Set-let*-abstraction","SET-LET*-ABSTRACTION",[261],"See <see topic=\"ACL2____SET-LET_A2-ABSTRACTIONP\">set-let*-abstractionp</see>."],
 ["ACL2____SET-LD-SKIP-PROOFS","Set-ld-skip-proofs","SET-LD-SKIP-PROOFS",[261],"See <see topic=\"ACL2____LD-SKIP-PROOFSP\">ld-skip-proofsp</see>."],
 ["ACL2____SET-LD-KEYWORD-ALIASES_12","Set-ld-keyword-aliases!","SET-LD-KEYWORD-ALIASES!",[261],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____SET-DIFFERENCE-EQUAL","Set-difference-equal","SET-DIFFERENCE-EQUAL",[261],"See <see topic=\"ACL2____SET-DIFFERENCE_42\">set-difference$</see>."],
 ["ACL2____SET-ACCUMULATED-PERSISTENCE","Set-accumulated-persistence","SET-ACCUMULATED-PERSISTENCE",[261],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2____SAVING-AND-RESTORING","Saving-and-restoring","SAVING-AND-RESTORING",[261],"See <see topic=\"ACL2____SAVE-EXEC\">save-exec</see>."],
 ["ACL2____RESET-PRINT-CONTROL","Reset-print-control","RESET-PRINT-CONTROL",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____REMOVE1-EQ","Remove1-eq","REMOVE1-EQ",[261],"See <see topic=\"ACL2____REMOVE1\">remove1</see>."],
 ["ACL2____REMOVE-DUPLICATES-EQUAL","Remove-duplicates-equal","REMOVE-DUPLICATES-EQUAL",[261],"See <see topic=\"COMMON-LISP____REMOVE-DUPLICATES\">remove-duplicates</see>."],
 ["ACL2____REMOVE-DUPLICATES-EQ","Remove-duplicates-eq","REMOVE-DUPLICATES-EQ",[261],"See <see topic=\"COMMON-LISP____REMOVE-DUPLICATES\">remove-duplicates</see>."],
 ["ACL2____PUT-ASSOC-EQ","Put-assoc-eq","PUT-ASSOC-EQ",[261],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____NORMALIZE","Normalize","NORMALIZE",[261],"See <see topic=\"ACL2____XARGS\">xargs</see> for keyword <v>:normalize</v>."],
 ["ACL2____NONLINEARP","Nonlinearp","NONLINEARP",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:nonlinearp</v>."],
 ["ACL2____NO-THANKS","No-thanks","NO-THANKS",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:no-thanks</v>."],
 ["ACL2____MODE","Mode","MODE",[261],"See <see topic=\"ACL2____XARGS\">xargs</see> for keyword <v>:mode</v>."],
 ["ACL2____META-EXTRACT-GLOBAL-FACT","Meta-extract-global-fact","META-EXTRACT-GLOBAL-FACT",[261],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____META-EXTRACT-FORMULA","Meta-extract-formula","META-EXTRACT-FORMULA",[261],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____META-EXTRACT-CONTEXTUAL-FACT","Meta-extract-contextual-fact","META-EXTRACT-CONTEXTUAL-FACT",[261],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____INTERSECTION-EQUAL","Intersection-equal","INTERSECTION-EQUAL",[261],"See <see topic=\"ACL2____INTERSECTION_42\">intersection$</see>."],
 ["ACL2____IF-INTRO","If-intro","IF-INTRO",[261],"See <see topic=\"ACL2____SPLITTER\">splitter</see>."],
 ["ACL2____HANDS-OFF","Hands-off","HANDS-OFF",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:hands-off</v>."],
 ["ACL2____GUARDS","Guards","GUARDS",[261],"See <see topic=\"ACL2____GUARD\">guard</see>."],
 ["ACL2____GET-OUTPUT-STREAM-STRING_42","Get-output-stream-string$","GET-OUTPUT-STREAM-STRING$",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____FMT-TO-STRING","Fmt-to-string","FMT-TO-STRING",[261],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____DO-NOT-INDUCT","Do-not-induct","DO-NOT-INDUCT",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:do-not-induct</v>."],
 ["ACL2____DELETE-ASSOC-EQUAL","Delete-assoc-equal","DELETE-ASSOC-EQUAL",[261],"See <see topic=\"ACL2____DELETE-ASSOC\">delete-assoc</see>."],
 ["ACL2____DELETE-ASSOC-EQ","Delete-assoc-eq","DELETE-ASSOC-EQ",[261],"See <see topic=\"ACL2____DELETE-ASSOC\">delete-assoc</see>."],
 ["ACL2____CHECK-INVARIANT-RISK","Check-invariant-risk","CHECK-INVARIANT-RISK",[261],"See <see topic=\"ACL2____SET-CHECK-INVARIANT-RISK\">set-check-invariant-risk</see>."],
 ["ACL2____BACKTRACK","Backtrack","BACKTRACK",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:backtrack</v>."],
 ["ACL2____ADD-TO-SET-EQUAL","Add-to-set-equal","ADD-TO-SET-EQUAL",[261],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ADD-TO-SET-EQL","Add-to-set-eql","ADD-TO-SET-EQL",[261],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ADD-LD-KEYWORD-ALIAS_12","Add-ld-keyword-alias!","ADD-LD-KEYWORD-ALIAS!",[261],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["COMMON-LISP_____62WHOLE","&amp;whole","&WHOLE",[261],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62REST","&amp;rest","&REST",[261],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62OPTIONAL","&amp;optional","&OPTIONAL",[261],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62KEY","&amp;key","&KEY",[261],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62BODY","&amp;body","&BODY",[261],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62ALLOW-OTHER-KEYS","&amp;allow-other-keys","&ALLOW-OTHER-KEYS",[261],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP____PACKAGE","Package","PACKAGE",[261],"See <see topic=\"ACL2____PACKAGES\">packages</see>."],
 ["COMMON-LISP____APROPOS","Apropos","APROPOS",[261],"See <see topic=\"ACL2____FINDING-DOCUMENTATION\">finding-documentation</see>."],
 ["ACL2____TTAG","Ttag","TTAG",[261],"See <see topic=\"ACL2____DEFTTAG\">defttag</see>."],
 ["ACL2____STABLE-UNDER-SIMPLIFICATIONP","Stable-under-simplificationp","STABLE-UNDER-SIMPLIFICATIONP",[261],"See <see topic=\"ACL2____COMPUTED-HINTS\">computed-hints</see>."],
 ["ACL2____SINGLE-THREADED-OBJECTS","Single-threaded-objects","SINGLE-THREADED-OBJECTS",[261],"See <see topic=\"ACL2____STOBJ\">stobj</see>."],
 ["ACL2____SET-PRINT-RIGHT-MARGIN","Set-print-right-margin","SET-PRINT-RIGHT-MARGIN",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-READABLY","Set-print-readably","SET-PRINT-READABLY",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LINES","Set-print-lines","SET-PRINT-LINES",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LEVEL","Set-print-level","SET-PRINT-LEVEL",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LENGTH","Set-print-length","SET-PRINT-LENGTH",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-ESCAPE","Set-print-escape","SET-PRINT-ESCAPE",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-CIRCLE","Set-print-circle","SET-PRINT-CIRCLE",[261],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____RW-CACHE","Rw-cache","RW-CACHE",[261],"See <see topic=\"ACL2____SET-RW-CACHE-STATE\">set-rw-cache-state</see>."],
 ["ACL2____REGRESSION","Regression","REGRESSION",[261],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____READ-OBJECT","Read-object","READ-OBJECT",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-CHAR_42","Read-char$","READ-CHAR$",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-BYTE_42","Read-byte$","READ-BYTE$",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____PUT-ASSOC-EQL","Put-assoc-eql","PUT-ASSOC-EQL",[261],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PROOF-SUPPORTERS-ALIST","Proof-supporters-alist","PROOF-SUPPORTERS-ALIST",[261],"See <see topic=\"ACL2____DEAD-EVENTS\">dead-events</see>."],
 ["ACL2____PRINT-SUMMARY-USER","Print-summary-user","PRINT-SUMMARY-USER",[261],"See <see topic=\"ACL2____FINALIZE-EVENT-USER\">finalize-event-user</see>."],
 ["ACL2____PEEK-CHAR_42","Peek-char$","PEEK-CHAR$",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-OUTPUT-CHANNEL-P","Open-output-channel-p","OPEN-OUTPUT-CHANNEL-P",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-INPUT-CHANNEL-P","Open-input-channel-p","OPEN-INPUT-CHANNEL-P",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____META-EXTRACT-RW_B2-TERM","Meta-extract-rw+-term","META-EXTRACT-RW+-TERM",[261],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____META-EXTRACT-GLOBAL-FACT_B2","Meta-extract-global-fact+","META-EXTRACT-GLOBAL-FACT+",[261],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____MEASURE-THEOREM","Measure-theorem","MEASURE-THEOREM",[261],"See <see topic=\"ACL2____TERMINATION-THEOREM\">termination-theorem</see>."],
 ["ACL2____IPRINTING","Iprinting","IPRINTING",[261],"See <see topic=\"ACL2____SET-IPRINT\">set-iprint</see>."],
 ["ACL2____IMMED-FORCED","Immed-forced","IMMED-FORCED",[261],"See <see topic=\"ACL2____SPLITTER\">splitter</see>."],
 ["ACL2____GUARD-MSG-TABLE","Guard-msg-table","GUARD-MSG-TABLE",[261],"See <see topic=\"ACL2____SET-GUARD-MSG\">set-guard-msg</see>."],
 ["ACL2____GETTING-STARTED","Getting-started","GETTING-STARTED",[261],"See <see topic=\"ACL2____ACL2-TUTORIAL\">ACL2-tutorial</see>."],
 ["ACL2____GCS","Gcs","GCS",[261],"See <see topic=\"ACL2____GET-COMMAND-SEQUENCE\">get-command-sequence</see>."],
 ["ACL2____FORCED","Forced","FORCED",[261],"See <see topic=\"ACL2____FORCE\">force</see>."],
 ["ACL2____FNCALL-TERM","Fncall-term","FNCALL-TERM",[261],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____FMT_12-TO-STRING","Fmt!-to-string","FMT!-TO-STRING",[261],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT1_12-TO-STRING","Fmt1!-to-string","FMT1!-TO-STRING",[261],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT1-TO-STRING","Fmt1-to-string","FMT1-TO-STRING",[261],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMS_12-TO-STRING","Fms!-to-string","FMS!-TO-STRING",[261],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMS-TO-STRING","Fms-to-string","FMS-TO-STRING",[261],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FAST-ALIST","Fast-alist","FAST-ALIST",[261],"See <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____FAKE-RUNE","Fake-rune","FAKE-RUNE",[261],"See <see topic=\"ACL2____RUNE\">rune</see>."],
 ["ACL2____EXTERNAL-FORMAT","External-format","EXTERNAL-FORMAT",[261],"See <see topic=\"ACL2____CHARACTER-ENCODING\">character-encoding</see>."],
 ["ACL2____DYNAMICALLY-MONITOR-REWRITES","Dynamically-monitor-rewrites","DYNAMICALLY-MONITOR-REWRITES",[261],"See <see topic=\"ACL2____DMR\">dmr</see>."],
 ["ACL2____CLOSE-INPUT-CHANNEL","Close-input-channel","CLOSE-INPUT-CHANNEL",[261],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____CERTIFYING-BOOKS","Certifying-books","CERTIFYING-BOOKS",[261],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____BY","By","BY",[261],"See <see topic=\"ACL2____HINTS\">hints</see> for keyword <v>:by</v>."],
 ["ACL2____BOOK-MAKEFILES","Book-makefiles","BOOK-MAKEFILES",[261],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____ACL2S","ACL2s","ACL2S",[261],"See <see topic=\"ACL2____ACL2-SEDAN\">ACL2-sedan</see>."]];